------------------------------------------------------------------------
r9090 | gbazin | 2004-10-31 17:21:28 +0100 (Sun, 31 Oct 2004) | 3 lines
Changed paths:
   M /trunk/TODO
   M /trunk/src/libvlc.h

* src/libvlc.h: --intf isn't an advanced option.
* TODO: updated.

------------------------------------------------------------------------
r9089 | jpsaman | 2004-10-31 16:51:24 +0100 (Sun, 31 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/spudec/spudec.c

Logical fix: add packetizer in PackitizerOpen()
------------------------------------------------------------------------
r9088 | gbazin | 2004-10-31 14:19:28 +0100 (Sun, 31 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwindows/preferences_widgets.cpp
   M /trunk/modules/gui/wxwindows/preferences_widgets.h

* modules/gui/wxwindows/preferences_widgets.cpp/h: work around a wxSpinCtrl recursion bug in wxGTK.
------------------------------------------------------------------------
r9087 | gbazin | 2004-10-30 17:32:56 +0200 (Sat, 30 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/control/netsync.c

* modules/control/netsync.c: less verbose.
------------------------------------------------------------------------
r9086 | gbazin | 2004-10-30 17:27:28 +0200 (Sat, 30 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/encoder.c

* modules/codec/ffmpeg/encoder.c: compilation fix for ffmpeg 0.4.8 (not sure it's worth but...).
------------------------------------------------------------------------
r9085 | gbazin | 2004-10-30 17:05:52 +0200 (Sat, 30 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c

* modules/stream_out/transcode.c: trying to make the audio/fps resync work even when an ES is not transcoded.
------------------------------------------------------------------------
r9084 | gbazin | 2004-10-30 16:12:35 +0200 (Sat, 30 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c

*  modules/stream_out/transcode.c: fixed subtitles encoding when used with audio-sync.
------------------------------------------------------------------------
r9083 | gbazin | 2004-10-30 12:36:07 +0200 (Sat, 30 Oct 2004) | 3 lines
Changed paths:
   M /trunk/modules/control/telnet.c
   M /trunk/src/misc/vlm.c

* src/misc/vlm.c: reformat help message.
* modules/control/telnet.c: "\n" -> "\r\n" + cleanup.

------------------------------------------------------------------------
r9082 | hartman | 2004-10-29 18:13:10 +0200 (Fri, 29 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/http.c

* live365.com servers behave quite like icecast servers. they are now supported and piggyback on the same 'hack'. Also print the [ice|icy|x-audiocast]-* meta headers. send by ICY and icecast servers.

------------------------------------------------------------------------
r9081 | hartman | 2004-10-29 17:11:07 +0200 (Fri, 29 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/http.c

* Fix icecast detection (only works if the server truly is icecast).

------------------------------------------------------------------------
r9080 | hartman | 2004-10-29 14:59:14 +0200 (Fri, 29 Oct 2004) | 5 lines
Changed paths:
   M /trunk/modules/demux/ts.c

* recognize the following descriptors in a DVB stream (no decoders yet)
  - 0x56 Systems B EBU Teletext
  - 0x45 VBI Data
  - 0x46 VBI Teletext

------------------------------------------------------------------------
r9079 | gbazin | 2004-10-29 12:59:19 +0200 (Fri, 29 Oct 2004) | 3 lines
Changed paths:
   M /trunk/include/vlc_es_out.h
   M /trunk/modules/control/netsync.c
   M /trunk/src/input/es_out.c

* src/input/es_out.c, include/vlc_es_out.h: added an ES_OUT_GET_TS method to get a converted timestamp.
* modules/control/netsync.c: fixed the netsync module.

------------------------------------------------------------------------
r9078 | gbazin | 2004-10-29 11:19:38 +0200 (Fri, 29 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/mux/mp4.c

* modules/mux/mp4.c: added a 3gp mode which writes a 3gp ftyp header.
------------------------------------------------------------------------
r9077 | gbazin | 2004-10-28 19:46:18 +0200 (Thu, 28 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/audio_output/portaudio.c

* modules/audio_output/portaudio.c: ported to portaudio v19 by Frederic Ruget +  mostly rewritten by me.
------------------------------------------------------------------------
r9076 | gbazin | 2004-10-28 15:52:36 +0200 (Thu, 28 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/access/dvb/linux_dvb.c

* modules/access/dvb/linux_dvb.c: compilation fix for new versions.
------------------------------------------------------------------------
r9075 | gbazin | 2004-10-28 15:42:48 +0200 (Thu, 28 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/dmo/dmo.c

* modules/codec/dmo: couple of fixes.
------------------------------------------------------------------------
r9074 | gbazin | 2004-10-28 13:16:06 +0200 (Thu, 28 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/access/dshow/dshow.cpp
   M /trunk/modules/access/dshow/filter.cpp

* modules/access/dshow: some more debug messages.
------------------------------------------------------------------------
r9073 | gbazin | 2004-10-28 12:29:49 +0200 (Thu, 28 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/misc/modules.c

* src/misc/modules.c: remove debug message.
------------------------------------------------------------------------
r9072 | gbazin | 2004-10-28 12:26:00 +0200 (Thu, 28 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/misc/modules.c

* src/misc/modules.c: include current language in cache file.
------------------------------------------------------------------------
r9071 | hartman | 2004-10-28 12:17:22 +0200 (Thu, 28 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/subtitle.c

* subtitle.c: make sure int -> date conversion is don properly everywhere.

------------------------------------------------------------------------
r9070 | gbazin | 2004-10-28 11:23:37 +0200 (Thu, 28 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/misc/modules.c

* src/misc/modules.c: fixed forcing of modules.
------------------------------------------------------------------------
r9069 | bigben | 2004-10-27 23:47:44 +0200 (Wed, 27 Oct 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/open.m

Add rtsp to the list of protocols available in the http/ftp/mms option of the open network dialog. This breaks translation of this string but, BTW, why is it translatable ?


------------------------------------------------------------------------
r9068 | massiot | 2004-10-27 17:22:01 +0200 (Wed, 27 Oct 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/dvb/dvb.h
   M /trunk/modules/access/dvb/en50221.c
   M /trunk/modules/access/dvb/linux_dvb.c

 * modules/access/dvb: Fixed a bug with CAMs which take a long time to
   initialize.

------------------------------------------------------------------------
r9067 | gbazin | 2004-10-27 16:59:24 +0200 (Wed, 27 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/mux/mpeg/pes.c
   M /trunk/modules/mux/mpeg/pes.h
   M /trunk/modules/mux/mpeg/ps.c
   M /trunk/modules/mux/mpeg/ts.c

* modules/mux/mpeg: for video ES, always put the pts and dts in the pes header when they are both available (makes vlc a lot happier when demuxing the stream, especially for other video codecs than mpeg2).
------------------------------------------------------------------------
r9066 | gbazin | 2004-10-27 16:14:47 +0200 (Wed, 27 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/encoder.c

* modules/codec/ffmpeg/encoder.c: work around stupid timestamping behaviour in libavcodec.
------------------------------------------------------------------------
r9065 | sam | 2004-10-27 15:32:21 +0200 (Wed, 27 Oct 2004) | 3 lines
Changed paths:
   M /trunk/src/misc/modules.c

  * src/misc/modules:
    + Support for CACHEDIR.TAG (see http://www.brynosaurus.com/cachedir/).

------------------------------------------------------------------------
r9064 | sam | 2004-10-27 15:20:42 +0200 (Wed, 27 Oct 2004) | 5 lines
Changed paths:
   M /trunk/include/vlc_config.h
   M /trunk/src/misc/modules.c

  * src/misc/modules.c:
    + Store plugin cache in a cache/ subdirectory.
    + Encode the endianness and pointer size in the plugin cache filename to
      prevent crashes on multiarch home directories.

------------------------------------------------------------------------
r9063 | gbazin | 2004-10-27 12:42:48 +0200 (Wed, 27 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/asf/asf.c

* modules/demux/asf/asf.c: commented out the 'found compressed payload' message.
------------------------------------------------------------------------
r9062 | hartman | 2004-10-27 03:05:37 +0200 (Wed, 27 Oct 2004) | 4 lines
Changed paths:
   M /trunk/modules/demux/livedotcom.cpp

* livedotcom.cpp: - added support for the RTSP BYE packet. Patch by
  Ross Finlayson (21 august 2004)
  - fixed support for (Darwin) Pause. Patch from Hussain ( conundrums at gmail dot com )

------------------------------------------------------------------------
r9061 | gbazin | 2004-10-26 15:03:03 +0200 (Tue, 26 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/mpeg/mpga.c

* modules/demux/mpeg/mpga.c: oops, uninitialized variable.
------------------------------------------------------------------------
r9060 | gbazin | 2004-10-26 15:00:04 +0200 (Tue, 26 Oct 2004) | 4 lines
Changed paths:
   M /trunk/modules/demux/mpeg/mpga.c

* modules/demux/mpeg/mpga.c: rewritten using the mpeg audio packetizer.
  - fixes problems the old demux had with some mp3s.
  - should handle free-bitrate as well.

------------------------------------------------------------------------
r9059 | markfm | 2004-10-25 13:23:11 +0200 (Mon, 25 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/mms/mmstu.c

Comment out truncated packets debug message.

------------------------------------------------------------------------
r9058 | gbazin | 2004-10-25 12:59:17 +0200 (Mon, 25 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/access/http.c

* modules/access/http.c: reverted the change to flag shoutcast streams as non-pace controllable (doesn't work really well).
------------------------------------------------------------------------
r9057 | gbazin | 2004-10-25 10:19:29 +0200 (Mon, 25 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/libvlc.h

* src/libvlc.h: do not make --high-priority an advanced option.
------------------------------------------------------------------------
r9056 | gbazin | 2004-10-24 23:07:58 +0200 (Sun, 24 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/libvlc.c
   M /trunk/src/misc/threads.c

* src/libvlc.c, src/misc/threads.c: couple of fixes for thread priorities.
------------------------------------------------------------------------
r9055 | murray | 2004-10-24 19:09:14 +0200 (Sun, 24 Oct 2004) | 2 lines
Changed paths:
   M /trunk/po/it.po

UTF8 version of it.po

------------------------------------------------------------------------
r9054 | zorglub | 2004-10-24 18:37:13 +0200 (Sun, 24 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/freetype.c

Cosmetics

------------------------------------------------------------------------
r9053 | sigmunau | 2004-10-24 18:19:44 +0200 (Sun, 24 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/freetype.c

freetype.c: fixed crash on unbreakable strings

------------------------------------------------------------------------
r9052 | sigmunau | 2004-10-24 18:03:11 +0200 (Sun, 24 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/freetype.c

freetype.c: Auto-wrap subtitles (still needs some work to handle margins)

------------------------------------------------------------------------
r9051 | markfm | 2004-10-24 17:56:37 +0200 (Sun, 24 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/mms/mmstu.c

Truncated packet debug message -- state reported vs. actual length, not the delta.

------------------------------------------------------------------------
r9050 | gbazin | 2004-10-24 17:26:23 +0200 (Sun, 24 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/encoder.c

* modules/codec/ffmpeg/encoder.c: sanity check for frames in the past that libavcodec really doesn't like.
------------------------------------------------------------------------
r9049 | sigmunau | 2004-10-24 15:13:58 +0200 (Sun, 24 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/freetype.c

freetype.c: fixed two size/position related bugs. 

------------------------------------------------------------------------
r9048 | gbazin | 2004-10-23 21:47:24 +0200 (Sat, 23 Oct 2004) | 1 line
Changed paths:
   M /trunk/configure.ac

* configure.ac: fixed detection of libavformat.
------------------------------------------------------------------------
r9047 | gbazin | 2004-10-23 20:22:42 +0200 (Sat, 23 Oct 2004) | 1 line
Changed paths:
   M /trunk/configure.ac

* configure.ac: mkv compilation fix by Philippe Van Hecke (philippe dot vanhecke at belnet dot be).
------------------------------------------------------------------------
r9046 | fkuehne | 2004-10-23 18:54:56 +0200 (Sat, 23 Oct 2004) | 1 line
Changed paths:
   M /trunk/po/es.po

* final update to the Spanish translation by Antonio Javier Varela Calvo
------------------------------------------------------------------------
r9045 | zorglub | 2004-10-23 18:08:57 +0200 (Sat, 23 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/streamdata.h
   M /trunk/modules/gui/wxwindows/streamout.cpp
   M /trunk/modules/gui/wxwindows/wizard.cpp

Update muxers and codecs in wizard

------------------------------------------------------------------------
r9044 | gbazin | 2004-10-23 13:47:22 +0200 (Sat, 23 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/misc/freetype.c

* modules/misc/freetype.c: off by one error.
------------------------------------------------------------------------
r9043 | gbazin | 2004-10-22 20:34:38 +0200 (Fri, 22 Oct 2004) | 1 line
Changed paths:
   M /trunk/include/vlc_block.h

* include/vlc_block.h: compilation fix (define BLOCK_FLAG_NO_KEYFRAME).
------------------------------------------------------------------------
r9042 | massiot | 2004-10-22 17:16:45 +0200 (Fri, 22 Oct 2004) | 6 lines
Changed paths:
   M /trunk/modules/mux/mpeg/pes.c
   M /trunk/modules/mux/mpeg/pes.h
   M /trunk/modules/mux/mpeg/ps.c
   M /trunk/modules/mux/mpeg/ts.c

 * modules/mux/mpeg/pes.c: Extended prototype to allow for padding bytes
   and data_alignment in the PES header (needed for teletext).
 * modules/mux/mpeg/ts.c: Teletext (0x56 descriptor) streaming support,
   new options spu-pid and tsid, re-enabled bmax because it is useful for
   debugging the encoder, fixed in a bug in the parsing of the CSA key

------------------------------------------------------------------------
r9041 | hartman | 2004-10-22 15:53:53 +0200 (Fri, 22 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/modules/misc/sap.c

* Fix reference modules to add after their own playlist position instead of the end of the playlist

------------------------------------------------------------------------
r9040 | massiot | 2004-10-22 15:53:18 +0200 (Fri, 22 Oct 2004) | 5 lines
Changed paths:
   M /trunk/modules/access/dvb/Modules.am
   M /trunk/modules/access/dvb/access.c
   M /trunk/modules/access/dvb/dvb.h
   A /trunk/modules/access/dvb/en50221.c
   M /trunk/modules/access/dvb/linux_dvb.c
   M /trunk/modules/demux/ts.c

 * modules/access/dvb: Partial EN 50 221 implementation. This activates
   native support for CAM modules (without using an external program).
   When used in conjunction with --programs, it also allows to descramble
   several services with one professional CAM.

------------------------------------------------------------------------
r9039 | massiot | 2004-10-22 15:49:14 +0200 (Fri, 22 Oct 2004) | 3 lines
Changed paths:
   M /trunk/include/vlc_es_out.h
   M /trunk/src/input/es_out.c
   M /trunk/src/input/input.c
   M /trunk/src/input/var.c
   M /trunk/src/libvlc.h

 * src/input: Added a --programs configuration option, allowing to select
   several coma-separated programs.

------------------------------------------------------------------------
r9038 | massiot | 2004-10-22 15:44:24 +0200 (Fri, 22 Oct 2004) | 3 lines
Changed paths:
   M /trunk/modules/stream_out/transrate/frame.c

* modules/stream_out/transrate/frame.c: Added Antoine Missout's (the
  original author) email address.

------------------------------------------------------------------------
r9037 | massiot | 2004-10-22 15:42:17 +0200 (Fri, 22 Oct 2004) | 4 lines
Changed paths:
   M /trunk/src/misc/threads.c

* src/misc/threads.c: Fixed a bug in handling of priorities : with POSIX
  threads a newly created thread inherits the priority of its parent.
  Set the priority even if it is 0.

------------------------------------------------------------------------
r9036 | massiot | 2004-10-22 15:37:21 +0200 (Fri, 22 Oct 2004) | 2 lines
Changed paths:
   M /trunk/src/misc/variables.c

 * src/misc/variables.c: Implemented inheritance for variables of type list.

------------------------------------------------------------------------
r9035 | gbazin | 2004-10-22 15:33:31 +0200 (Fri, 22 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwindows/open.cpp

* modules/gui/wxwindows/open.cpp: small cosmetic change.
------------------------------------------------------------------------
r9034 | gbazin | 2004-10-22 15:31:17 +0200 (Fri, 22 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/access/dshow/dshow.cpp

* modules/access/dshow/dshow.cpp: moved tuner properties to its own function + new dshow-tuner config option.
------------------------------------------------------------------------
r9033 | gbazin | 2004-10-22 14:07:08 +0200 (Fri, 22 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwindows/streamout.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.h

* modules/gui/wxwindows/streamout.cpp: removed avi muxer + added wav muxer and a few more codecs.
------------------------------------------------------------------------
r9032 | gbazin | 2004-10-22 13:22:04 +0200 (Fri, 22 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/video.c

* modules/codec/ffmpeg/video.c: libavcodec still doesn't handle avc1 properly so work around this until the issue is solved.
------------------------------------------------------------------------
r9031 | gbazin | 2004-10-22 13:11:27 +0200 (Fri, 22 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/packetizer/h264.c

* modules/packetizer/h264.c: oops, forgot to remove a bit of debug code.
------------------------------------------------------------------------
r9030 | gbazin | 2004-10-22 12:08:17 +0200 (Fri, 22 Oct 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac
   D /trunk/modules/codec/ffmpeg/postprocessing

* modules/codec/ffmpeg/postprocessing: removed deprecated postprocessing code.

------------------------------------------------------------------------
r9029 | fkuehne | 2004-10-21 16:55:00 +0200 (Thu, 21 Oct 2004) | 2 lines
Changed paths:
   M /trunk/po/de.po
   M /trunk/po/es.po

* es.po: almost complete update to the Spanish l10n by Antonio Javier Varela, converted to UTF-8
* de.po: small fix
------------------------------------------------------------------------
r9028 | gbazin | 2004-10-21 16:33:27 +0200 (Thu, 21 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/control/ntservice.c

* modules/control/ntservice.c: fix for --ntservice-extraintf.
------------------------------------------------------------------------
r9027 | gbazin | 2004-10-21 15:20:54 +0200 (Thu, 21 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/dvbsub.c

* modules/codec/dvbsub.c: fixed a sanity check.
------------------------------------------------------------------------
r9026 | gbazin | 2004-10-21 14:48:10 +0200 (Thu, 21 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/control/ntservice.c

* modules/control/ntservice.c: added an --ntservice-options config option to allow specifying config options to be used when starting the service.
------------------------------------------------------------------------
r9025 | gbazin | 2004-10-21 12:23:08 +0200 (Thu, 21 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/libvlc.c

* src/libvlc.c: win32 fixes for the help output when used with a cygwin shell.
------------------------------------------------------------------------
r9024 | gbazin | 2004-10-21 11:09:20 +0200 (Thu, 21 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/audio_output/directx.c

* modules/audio_output/directx.c: use common channel re-ordering code.
------------------------------------------------------------------------
r9023 | gbazin | 2004-10-20 19:44:36 +0200 (Wed, 20 Oct 2004) | 5 lines
Changed paths:
   M /trunk/modules/packetizer/h264.c

* modules/packetizer/h264.c:
   - use 3 bytes start codes.
   - fixed SPS parsing with cropping.
   - fixed detection of the first VCL NAL unit of a picture.

------------------------------------------------------------------------
r9022 | gbazin | 2004-10-20 16:59:49 +0200 (Wed, 20 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/access/dshow/dshow.cpp

* modules/access/dshow/dshow.cpp: codying style changes + a couple of fixes.
------------------------------------------------------------------------
r9021 | gbazin | 2004-10-20 15:04:05 +0200 (Wed, 20 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/input/demux.c

* src/input/demux.c: make sure the demux chaining layer doesn't stay stuck when stopping.
------------------------------------------------------------------------
r9020 | gbazin | 2004-10-20 14:01:09 +0200 (Wed, 20 Oct 2004) | 5 lines
Changed paths:
   M /trunk/doc/vlm.txt
   M /trunk/include/vlc_vlm.h
   M /trunk/modules/misc/rtsp.c
   M /trunk/src/misc/vlm.c

* src/misc/vlm.c: added support for the 'mux' option for VOD.
   This option tells the vod server to send an encapsulated stream.
* modules/misc/rtsp.c: support for mp2t (MPEG TS) and mp2p (MPEG PS) mux types.
* doc/vlm.txt: update for the mux option.

------------------------------------------------------------------------
r9019 | gbazin | 2004-10-20 13:37:08 +0200 (Wed, 20 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/control/telnet.c

* modules/control/telnet.c: a few fixes + coding style changes.
------------------------------------------------------------------------
r9018 | gbazin | 2004-10-20 00:28:26 +0200 (Wed, 20 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/input/demux.c

* src/input/demux.c: rewrote the demuxer chaining layer using a block fifo.
------------------------------------------------------------------------
r9017 | gbazin | 2004-10-19 14:05:58 +0200 (Tue, 19 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwindows/streamout.cpp

* modules/gui/wxwindows/streamout.cpp: fixed selection of codec.
------------------------------------------------------------------------
r9016 | gbazin | 2004-10-19 12:07:38 +0200 (Tue, 19 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/ts.c

* modules/demux/ts.c: on PMT change, don't restart an ES if it hasn't changed.
------------------------------------------------------------------------
r9015 | hartman | 2004-10-19 01:06:24 +0200 (Tue, 19 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/livedotcom.cpp
   M /trunk/modules/demux/sgimb.c

* Detect if kasenna VoD or unicast stream is MPEG4 or not. Set Kasenna flag for live if it is not MPEG-4

------------------------------------------------------------------------
r9014 | hartman | 2004-10-19 01:05:30 +0200 (Tue, 19 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/m3u.c
   M /trunk/modules/demux/real.c

* increase priority real demuxer, lower priority m3u demuxer. It was parsing ram files as playlists because it contained URLs.

------------------------------------------------------------------------
r9013 | hartman | 2004-10-19 00:47:48 +0200 (Tue, 19 Oct 2004) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

* Show value of boolean variable options when printing the list for an input.

------------------------------------------------------------------------
r9012 | asmax | 2004-10-18 23:16:58 +0200 (Mon, 18 Oct 2004) | 2 lines
Changed paths:
   M /trunk/share/skins2/skin.dtd

- skin.dtd: a Playlist may not have a Slider

------------------------------------------------------------------------
r9011 | hartman | 2004-10-18 21:45:21 +0200 (Mon, 18 Oct 2004) | 2 lines
Changed paths:
   M /trunk/po/nl.po

* another round of dutch translations. only stupid wizard is left.

------------------------------------------------------------------------
r9010 | gbazin | 2004-10-18 15:57:03 +0200 (Mon, 18 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/audio_output/input.c
   M /trunk/src/audio_output/mixer.c

* src/audio_output/input.c, mixer.c: don't try to resample when the audio output is drifting too much.
------------------------------------------------------------------------
r9009 | markfm | 2004-10-18 15:49:34 +0200 (Mon, 18 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

Windows compatibility -- Change printf from \n to \r\n

------------------------------------------------------------------------
r9008 | gbazin | 2004-10-18 15:19:56 +0200 (Mon, 18 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/audio_output/mixer.c

* src/audio_output/mixer.c: fixed segfault.
------------------------------------------------------------------------
r9007 | gbazin | 2004-10-18 08:36:35 +0200 (Mon, 18 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/control/rc.c

* modules/control/rc.c: proper fix for the high CPU useage with --rc-quiet.
------------------------------------------------------------------------
r9006 | gbazin | 2004-10-18 08:00:41 +0200 (Mon, 18 Oct 2004) | 1 line
Changed paths:
   M /trunk/include/vlc_common.h

* include/vlc_common.h: if strtof() is not available, try to replace it with strtod().
------------------------------------------------------------------------
r9005 | markfm | 2004-10-18 01:32:46 +0200 (Mon, 18 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

WIN32 rc-quiet fix, only do net_Accept once per second to avoid loading down CPU

------------------------------------------------------------------------
r9004 | hartman | 2004-10-17 15:48:57 +0200 (Sun, 17 Oct 2004) | 2 lines
Changed paths:
   M /trunk/INSTALL
   M /trunk/README
   M /trunk/README.MacOSX.rtf

* Update of README and install files with new information.

------------------------------------------------------------------------
r9003 | hartman | 2004-10-17 15:38:22 +0200 (Sun, 17 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/vobsub.c

* vobsub.c: implemented vobsub seeking support.

------------------------------------------------------------------------
r9002 | hartman | 2004-10-16 15:14:50 +0200 (Sat, 16 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/livedotcom.cpp

* livedotcom: added a --rtsp-kasenna option to tell liveMedia to speak Kasenna RTSP dialect for a certain rtsp:// link.

------------------------------------------------------------------------
r9001 | gbazin | 2004-10-16 11:19:28 +0200 (Sat, 16 Oct 2004) | 1 line
Changed paths:
   M /trunk/configure.ac

* configure.ac: autodetect ffmpeg build options when using --with-ffmpeg-tree + make sure we use the libs in the given tree.
------------------------------------------------------------------------
r9000 | gbazin | 2004-10-15 23:41:34 +0200 (Fri, 15 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/demux.c

* modules/codec/ffmpeg/demux.c: compilation fix for ffmpeg cvs.
------------------------------------------------------------------------
r8999 | gbazin | 2004-10-15 20:08:53 +0200 (Fri, 15 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/dvbsub.c

* modules/codec/dvbsub.c: improvements to the encoder. Should produce compliant streams now.
------------------------------------------------------------------------
r8998 | gbazin | 2004-10-15 17:46:53 +0200 (Fri, 15 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/stream_output/stream_output.c

* src/stream_output/stream_output.c: oops, 1.5 seconds, not 15.
------------------------------------------------------------------------
r8997 | gbazin | 2004-10-15 17:42:01 +0200 (Fri, 15 Oct 2004) | 7 lines
Changed paths:
   M /trunk/src/stream_output/stream_output.c

* src/stream_output/stream_output.c:
  - for muxers that request some preparsing before starting muxing,
    we now wait for 1.5 seconds worth of data to be in the fifo instead
    of waiting for 1.5 seconds of real-time.
  - if we have have control over the output pace, we also wait before
    starting muxing (produces nicer streams).

------------------------------------------------------------------------
r8996 | gbazin | 2004-10-15 12:40:39 +0200 (Fri, 15 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/dvbsub.c

* modules/codec/dvbsub.c: oops, small fix.
------------------------------------------------------------------------
r8995 | gbazin | 2004-10-15 12:29:38 +0200 (Fri, 15 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/dvbsub.c

* modules/codec/dvbsub.c: don't wait for an acquisition page to start decoding the subtitles.
------------------------------------------------------------------------
r8994 | gbazin | 2004-10-15 10:58:16 +0200 (Fri, 15 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/audio.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/codec/ffmpeg/video.c

* modules/codec/ffmpeg: fixed a couple of corner cases during initialization.
------------------------------------------------------------------------
r8993 | sam | 2004-10-15 10:32:03 +0200 (Fri, 15 Oct 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/http.c

  * modules/access/http.c:
    + Fixed erroneous extra "/" in URLs sent to a proxy.

------------------------------------------------------------------------
r8992 | hartman | 2004-10-15 02:25:18 +0200 (Fri, 15 Oct 2004) | 2 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/po/ja.po

* update of the japanese translation by Tadashi Jokagi <elf2000 at users.sourceforge dot net>

------------------------------------------------------------------------
r8991 | gbazin | 2004-10-15 00:14:09 +0200 (Fri, 15 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/video_filter.c
   M /trunk/modules/stream_out/transcode.c
   M /trunk/modules/video_filter/scale.c

* modules/codec/ffmpeg/video_filter.c: fixed cases where pictures weren't released properly.
------------------------------------------------------------------------
r8990 | geshp | 2004-10-14 22:52:14 +0200 (Thu, 14 Oct 2004) | 1 line
Changed paths:
   M /trunk/vlc.spec

Long overdue update to the spec file
------------------------------------------------------------------------
r8989 | gbazin | 2004-10-14 22:05:57 +0200 (Thu, 14 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/video_output/video_output.c

* src/video_output/video_output.c: another fix for on-the-fly deinterlacing switch.
------------------------------------------------------------------------
r8988 | gbazin | 2004-10-14 21:54:52 +0200 (Thu, 14 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/video_output/video_output.c

* src/video_output/video_output.c: a couple of fixes.
------------------------------------------------------------------------
r8987 | gbazin | 2004-10-14 17:03:23 +0200 (Thu, 14 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/video_output/video_output.c

* src/video_output/video_output.c: fixed video filter on-the-fly switching (use var_Get/Set instead of config_Get/Put).
------------------------------------------------------------------------
r8986 | gbazin | 2004-10-14 16:32:34 +0200 (Thu, 14 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/dvbsub.c

* modules/codec/dvbsub.c: another bunch of sanity checks to make the decoder more resiliant to bad streams.
------------------------------------------------------------------------
r8985 | hartman | 2004-10-14 16:00:14 +0200 (Thu, 14 Oct 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak

* goom2k4 for OSX.

------------------------------------------------------------------------
r8984 | murray | 2004-10-14 13:37:50 +0200 (Thu, 14 Oct 2004) | 2 lines
Changed paths:
   M /trunk/po/it.po

Italian translation for 0.8.0

------------------------------------------------------------------------
r8983 | gbazin | 2004-10-14 12:10:48 +0200 (Thu, 14 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/dvbsub.c

* modules/codec/dvbsub.c: more sanity checks.
------------------------------------------------------------------------
r8982 | gbazin | 2004-10-13 17:40:39 +0200 (Wed, 13 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/dvbsub.c

* modules/codec/dvbsub.c: switch debugging off.
------------------------------------------------------------------------
r8981 | gbazin | 2004-10-13 17:39:38 +0200 (Wed, 13 Oct 2004) | 5 lines
Changed paths:
   M /trunk/modules/codec/dvbsub.c

* modules/codec/dvbsub.c:
  - rewrite using the pixel buffer memory model as described in ETSI EN 300 743.
  - code simplification.
  - more compliant.

------------------------------------------------------------------------
r8980 | gbazin | 2004-10-13 14:32:06 +0200 (Wed, 13 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwindows/video.cpp

* modules/gui/wxwindows/video.cpp: will hopefully fix the gray video problem in embedded mode on win32.
------------------------------------------------------------------------
r8979 | gbazin | 2004-10-13 14:30:20 +0200 (Wed, 13 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/video_output/x11/xcommon.c

* modules/video_output/x11/xcommon.c: don't steal events from the owner window.
------------------------------------------------------------------------
r8978 | gbazin | 2004-10-12 14:58:24 +0200 (Tue, 12 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/visualization/goom.c

* modules/visualization/goom.c: increased buffer queue size (was too low for some audio streams).
------------------------------------------------------------------------
r8977 | gbazin | 2004-10-12 12:21:49 +0200 (Tue, 12 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/video_output/video_output.c

* src/video_output/video_output.c: even uglier fix for the on-the-fly deinterlacing switch problem (but at least it works).
------------------------------------------------------------------------
r8976 | gbazin | 2004-10-11 21:11:01 +0200 (Mon, 11 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/video_output/video_output.c

* src/video_output/video_output.c: nasty fix for on-the-fly deinterlacing switch.
------------------------------------------------------------------------
r8975 | fkuehne | 2004-10-11 15:44:47 +0200 (Mon, 11 Oct 2004) | 1 line
Changed paths:
   M /trunk/po/de.po

* converted the G. l10n to UTF-8
------------------------------------------------------------------------
r8974 | sam | 2004-10-11 15:14:31 +0200 (Mon, 11 Oct 2004) | 2 lines
Changed paths:
   M /trunk/po/de.po

  * po/de.po: minor typo.

------------------------------------------------------------------------
r8973 | gbazin | 2004-10-11 15:09:42 +0200 (Mon, 11 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/x264.c

* modules/codec/x264.c: compilation fix.
------------------------------------------------------------------------
r8972 | gbazin | 2004-10-11 14:50:13 +0200 (Mon, 11 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/ps.c

* modules/demux/ps.c: work around broken streams produced with WinSubMux.
------------------------------------------------------------------------
r8971 | gbazin | 2004-10-10 23:28:58 +0200 (Sun, 10 Oct 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/codec/x264.c

* modules/codec/x264.c: a couple of fixes + use SSE2 detection.
* modules/codec/ffmpeg/ffmpeg.c: use SSE2 detection.

------------------------------------------------------------------------
r8970 | sam | 2004-10-10 22:34:28 +0200 (Sun, 10 Oct 2004) | 4 lines
Changed paths:
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po

  * po/es.po: fixed a missing space.
  * po/fr.po: converted to UTF-8 and fixed ellipses.
  * po/en_GB.po: converted to UTF-8 and fixed ellipses.

------------------------------------------------------------------------
r8969 | courmisch | 2004-10-10 21:11:55 +0200 (Sun, 10 Oct 2004) | 2 lines
Changed paths:
   M /trunk/po/es.po

Compilation fix. Please double-check (I don't speak spanish).

------------------------------------------------------------------------
r8968 | fkuehne | 2004-10-10 17:31:21 +0200 (Sun, 10 Oct 2004) | 1 line
Changed paths:
   M /trunk/po/es.po

* 80% update of the Spanish l10n by Javier 'TonXabar' Varela
------------------------------------------------------------------------
r8967 | gbazin | 2004-10-10 16:06:23 +0200 (Sun, 10 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/x264.c

* modules/codec/x264.c: added a bunch of new config options.
------------------------------------------------------------------------
r8966 | ipkiss | 2004-10-10 12:08:44 +0200 (Sun, 10 Oct 2004) | 8 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/include/vlc_keys.h
   M /trunk/modules/control/Modules.am
   M /trunk/modules/control/hotkeys.c
   A /trunk/modules/control/showintf.c
   M /trunk/modules/gui/skins2/commands/cmd_show_window.hpp
   M /trunk/modules/gui/skins2/src/vlcproc.cpp
   M /trunk/modules/gui/skins2/src/vlcproc.hpp
   M /trunk/modules/gui/skins2/src/window_manager.cpp
   M /trunk/modules/gui/skins2/src/window_manager.hpp
   M /trunk/modules/gui/skins2/win32/win32_window.cpp
   M /trunk/modules/gui/wxwindows/timer.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.h
   M /trunk/src/libvlc.h

 - modules/control/showintf.c: new control module, able to show the
   interface when moving the mouse to the top of the screen (in
   fullscreen mode).
 - modules/control/hotkeys.c: added a hotkey to raise the interface
 - modules/gui/wxwindows/*, modules/gui/skins2/*: added callbacks for
   the "intf-show" variable; it should be easy to do the same for BeOS
   and MacOSX interfaces

------------------------------------------------------------------------
r8965 | rocky | 2004-10-10 02:24:44 +0200 (Sun, 10 Oct 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/cdda/info.c

Compilation fix when libcddb is not available.


------------------------------------------------------------------------
r8964 | sigmunau | 2004-10-10 00:18:25 +0200 (Sun, 10 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/vobsub.c

vobsub.c: Don't break autodetection of non-vobsub subtitles

------------------------------------------------------------------------
r8963 | gbazin | 2004-10-08 17:53:26 +0200 (Fri, 08 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/dvbsub.c

* modules/codec/dvbsub.c: bug fix in the encoder.
------------------------------------------------------------------------
r8962 | gbazin | 2004-10-08 15:12:51 +0200 (Fri, 08 Oct 2004) | 1 line
Changed paths:
   M /trunk/share/http/index.html

* share/http/index.html: delete/keep commands fix by Torsten Spindler
------------------------------------------------------------------------
r8961 | bigben | 2004-10-08 13:03:12 +0200 (Fri, 08 Oct 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/bitmaps/loop.xpm
   M /trunk/modules/gui/wxwindows/bitmaps/repeat.xpm
   M /trunk/modules/gui/wxwindows/bitmaps/shuffle.xpm

* new icons proposal for the playlist window


------------------------------------------------------------------------
r8960 | gbazin | 2004-10-08 12:49:05 +0200 (Fri, 08 Oct 2004) | 1 line
Changed paths:
   M /trunk/evc/errno.h
   M /trunk/evc/vlc.c
   M /trunk/evc/vlc.vcw

* evc/*: fixes and updates.
------------------------------------------------------------------------
r8959 | gbazin | 2004-10-08 12:46:09 +0200 (Fri, 08 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/subtitle.c

* modules/demux/subtitle.c: portability fix.
------------------------------------------------------------------------
r8958 | gbazin | 2004-10-08 12:36:25 +0200 (Fri, 08 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/access/mms/mmstu.c
   M /trunk/modules/demux/mp4/drms.c
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/modules/misc/logger.c

* modules/access/mms, modules/demux/mp4, modules/misc/logger.c: WinCE compilation fixes.
------------------------------------------------------------------------
r8957 | gbazin | 2004-10-08 11:59:26 +0200 (Fri, 08 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/win32_specific.c

* src/misc/win32_specific.c, modules.c: WinCE improvements (support for finding out the application path + support for the plugins cache).
------------------------------------------------------------------------
r8956 | hartman | 2004-10-08 02:07:48 +0200 (Fri, 08 Oct 2004) | 3 lines
Changed paths:
   M /trunk/modules/control/hotkeys.c

* hotkeys.c: change fullscreen setting even if there is no vout
  bigben: this fixes that last little problem you had with the 'fullscreen button'

------------------------------------------------------------------------
r8955 | hartman | 2004-10-08 01:10:50 +0200 (Fri, 08 Oct 2004) | 3 lines
Changed paths:
   M /trunk/po/nl.po

* 1st run of dutch translations


------------------------------------------------------------------------
r8954 | hartman | 2004-10-08 00:54:18 +0200 (Fri, 08 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/dvb/access.c

* removed another translatable string that is no longer used.

------------------------------------------------------------------------
r8953 | hartman | 2004-10-08 00:52:10 +0200 (Fri, 08 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/directory.c

* diretory.c: remove a completly useless translation string

------------------------------------------------------------------------
r8952 | rocky | 2004-10-08 00:50:44 +0200 (Fri, 08 Oct 2004) | 6 lines
Changed paths:
   M /trunk/modules/access/cdda/Modules.am
   M /trunk/modules/access/cdda/access.c
   M /trunk/modules/access/cdda/callback.c
   M /trunk/modules/access/cdda/callback.h
   M /trunk/modules/access/cdda/cdda.c
   M /trunk/modules/access/cdda/cdda.h
   A /trunk/modules/access/cdda/info.c
   A /trunk/modules/access/cdda/info.h

First attempt at adding CD-Text. 
Break out meta-info gathering.
Various fixes and cleanups, but more work is still needed.
Some conceptual work on how things *should* work may be in order.


------------------------------------------------------------------------
r8951 | gbazin | 2004-10-08 00:21:22 +0200 (Fri, 08 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/misc/modules.c

* src/misc/modules.c: pfff nobody found this one... you just lost the contest guys.
------------------------------------------------------------------------
r8950 | hartman | 2004-10-08 00:05:34 +0200 (Fri, 08 Oct 2004) | 3 lines
Changed paths:
   M /trunk/modules/video_output/opengl.c
   M /trunk/src/misc/configuration.c

* opengl: remove NULL from string arrays
* configuration.c: don't crash on NULL values

------------------------------------------------------------------------
r8949 | gbazin | 2004-10-07 23:44:41 +0200 (Thu, 07 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/misc/modules.c

* src/misc/modules.c: fixed harmless memory leaks in the plugins cache code.
------------------------------------------------------------------------
r8948 | bigben | 2004-10-07 23:33:38 +0200 (Thu, 07 Oct 2004) | 5 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/intf.m

* Fullscreen button works again
* It enabled even when no vout is present
* Still a little issue with the fullscreen hotkey


------------------------------------------------------------------------
r8947 | hartman | 2004-10-07 22:52:24 +0200 (Thu, 07 Oct 2004) | 2 lines
Changed paths:
   M /trunk/src/input/subtitles.c

* removed an unnecessary = NULL write.

------------------------------------------------------------------------
r8946 | hartman | 2004-10-07 22:50:59 +0200 (Thu, 07 Oct 2004) | 3 lines
Changed paths:
   M /trunk/modules/video_output/opengl.c

* Made the opengl effects a list of options instead of textbox
* Lowered the opengl prioriy on OSX to speed up selection proces, while the thing is not working.

------------------------------------------------------------------------
r8945 | gbazin | 2004-10-07 22:12:19 +0200 (Thu, 07 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/toolame.c

* modules/codec/toolame.c: lowered the priority of the toolame encoder and added the mp2/mp2a fourcc.
------------------------------------------------------------------------
r8944 | gbazin | 2004-10-07 17:59:36 +0200 (Thu, 07 Oct 2004) | 4 lines
Changed paths:
   M /trunk/modules/codec/dvbsub.c

* modules/codec/dvbsub.c:
  - bug fixes in the decoder and encoder.
  - the decoder now returns YUVP subpictures.

------------------------------------------------------------------------
r8943 | hartman | 2004-10-07 16:40:29 +0200 (Thu, 07 Oct 2004) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib

* Improve the Preferences display, when capabilties don't fit in the normal width of the table

------------------------------------------------------------------------
r8942 | rocky | 2004-10-07 12:10:22 +0200 (Thu, 07 Oct 2004) | 7 lines
Changed paths:
   M /trunk/modules/access/cdda/access.c
   M /trunk/modules/access/cdda/cdda.c
   M /trunk/modules/access/cdda/cdda.h

Fill in playlist information and stream & media information
Duration info is now set when playing entire CD so slider works again. 

More work is needed for playing single tracks, adding CD-Text info,
getting reference counts right.


------------------------------------------------------------------------
r8941 | gbazin | 2004-10-07 11:27:02 +0200 (Thu, 07 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c

* modules/stream_out/transcode.c: bug fix for subtitles transcoding.
------------------------------------------------------------------------
r8940 | gbazin | 2004-10-07 10:48:48 +0200 (Thu, 07 Oct 2004) | 1 line
Changed paths:
   M /trunk/configure.ac

* configure.ac: force c++ linkage for the portaudio plugin.
------------------------------------------------------------------------
r8939 | gbazin | 2004-10-06 19:05:26 +0200 (Wed, 06 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/mux/mpeg/ts.c

* modules/mux/mpeg/ts.c: a couple of fixes for DVB subtitles streaming.
------------------------------------------------------------------------
r8938 | hartman | 2004-10-06 18:15:48 +0200 (Wed, 06 Oct 2004) | 2 lines
Changed paths:
   M /trunk/src/input/subtitles.c

* Lets not ignore too many .sub files shall we? :)

------------------------------------------------------------------------
r8937 | hartman | 2004-10-06 17:35:54 +0200 (Wed, 06 Oct 2004) | 2 lines
Changed paths:
   M /trunk/src/input/subtitles.c

* if a .idx vobsub is found, then don't autodetect the corresponding .sub file

------------------------------------------------------------------------
r8936 | hartman | 2004-10-06 16:15:03 +0200 (Wed, 06 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/mms/mmsh.c

* spelling correction

------------------------------------------------------------------------
r8935 | hartman | 2004-10-06 15:51:21 +0200 (Wed, 06 Oct 2004) | 2 lines
Changed paths:
   M /trunk/vlc.win32.nsi

* Fixed the DefaultIcon registry settings

------------------------------------------------------------------------
r8934 | hartman | 2004-10-06 15:49:32 +0200 (Wed, 06 Oct 2004) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak

* Define RUNTIME_CPUDETECT for ffmpeg
* newer version of liveMedia

------------------------------------------------------------------------
r8933 | hartman | 2004-10-06 15:45:14 +0200 (Wed, 06 Oct 2004) | 3 lines
Changed paths:
   M /trunk/src/misc/net.c


* forgot this file in the vlc_b64_encode patch

------------------------------------------------------------------------
r8932 | hartman | 2004-10-06 15:41:57 +0200 (Wed, 06 Oct 2004) | 2 lines
Changed paths:
   M /trunk/include/network.h
   M /trunk/modules/access/http.c

* vlc_b64_encode patch by Torsten Spindler

------------------------------------------------------------------------
r8931 | gbazin | 2004-10-06 15:07:35 +0200 (Wed, 06 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/postprocess.c

* modules/codec/ffmpeg/postprocess.c: altivec CPU detection.
------------------------------------------------------------------------
r8930 | hartman | 2004-10-06 13:21:38 +0200 (Wed, 06 Oct 2004) | 4 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/vlc.win32.nsi

* added the .vlc fileextension to the win installer and the Mac app.
* Added the application/x-videolan-vlc and appllication/videolan-vlc mimetype to the OSX app
* NEWS: spelling error and remove the 'this version is not yet released' line. Before I forget :)

------------------------------------------------------------------------
r8929 | gbazin | 2004-10-06 13:07:04 +0200 (Wed, 06 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/video_output/directx/directx.c

* modules/video_output/directx: should solve the visible taskbar problem in fullscreen.
------------------------------------------------------------------------
r8928 | gbazin | 2004-10-06 12:50:35 +0200 (Wed, 06 Oct 2004) | 3 lines
Changed paths:
   M /trunk/evc/libvlc.vcp.in
   M /trunk/modules/demux/avi/avi.c
   M /trunk/src/input/stream.c

* src/input/stream.c, modules/demux/avi/avi.c: work around evc++ compiler bug.
* evc/libvlc.vcp.in: small fix.

------------------------------------------------------------------------
r8927 | gbazin | 2004-10-06 11:19:18 +0200 (Wed, 06 Oct 2004) | 5 lines
Changed paths:
   M /trunk/modules/audio_output/waveout.c

* modules/audio_output/waveout.c:
  - don't call waveOutUnprepareHeader() in the callback as the doc says it isn't advised.
  - use aout_ChannelReorder() for channels re-ordering.
  - a few bug fixes.

------------------------------------------------------------------------
r8926 | hartman | 2004-10-06 02:40:21 +0200 (Wed, 06 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/http.c

* Better Pragma header test. Apparently Pragma is a non required header in HTTP/1.1 This check should be more strict though perhaps not perfect.

------------------------------------------------------------------------
r8925 | hartman | 2004-10-06 01:17:04 +0200 (Wed, 06 Oct 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/voutqt.m

* Restored a fallback to the old Quartz drawing routine for the poor
  souls without Altivec. The new drawing was considerable slower to them.

------------------------------------------------------------------------
r8924 | hartman | 2004-10-06 00:15:40 +0200 (Wed, 06 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/voutgl.m

* Disabled the OSX OpenGL vout untill it's problems are fixed

------------------------------------------------------------------------
r8923 | damienf | 2004-10-05 23:38:33 +0200 (Tue, 05 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/dshow/filter.cpp

- removed some debug lines

------------------------------------------------------------------------
r8922 | damienf | 2004-10-05 23:37:49 +0200 (Tue, 05 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/dshow/crossbar.cpp

- use existing default route when configuring crossbars, allowing users to configure video properties from a third party tools (eg, Video Tuner)

------------------------------------------------------------------------
r8921 | damienf | 2004-10-05 23:35:21 +0200 (Tue, 05 Oct 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/dshow/dshow.cpp

- invoked crossbar properties pages after graph has been created, changing video input should now work properly


------------------------------------------------------------------------
r8920 | hartman | 2004-10-05 23:03:25 +0200 (Tue, 05 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/m3u.c

* m3u.c: We now support http links to mms sources that don't send the Pragma line, but use a custom Referer file.

------------------------------------------------------------------------
r8919 | hartman | 2004-10-05 22:20:40 +0200 (Tue, 05 Oct 2004) | 4 lines
Changed paths:
   M /trunk/modules/access/http.c

* Alternative solution to mms recognition of http:// streams
  These WiMP streams always have Pragma in the HTTP response, so we use
  this to identify them now.

------------------------------------------------------------------------
r8918 | gbazin | 2004-10-05 18:46:29 +0200 (Tue, 05 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/control/Modules.am

* modules/control/Modules.am: add rtci.c to make update-po happy.
------------------------------------------------------------------------
r8917 | gbazin | 2004-10-05 17:31:22 +0200 (Tue, 05 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/access/file.c

* modules/access/file.c: WinCE cruft removal.
------------------------------------------------------------------------
r8916 | gbazin | 2004-10-05 17:30:54 +0200 (Tue, 05 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/extras/libc.c
   M /trunk/src/misc/configuration.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/win32_specific.c

* src/misc/*, src/extras/libc.c: bunch of WinCE fixes.
------------------------------------------------------------------------
r8915 | hartman | 2004-10-05 17:25:44 +0200 (Tue, 05 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/http.c

* revert the mimetype recognition of http:// mmsh streams

------------------------------------------------------------------------
r8914 | gbazin | 2004-10-05 10:10:34 +0200 (Tue, 05 Oct 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/LIST
   M /trunk/modules/audio_output/Modules.am
   A /trunk/modules/audio_output/portaudio.c

* modules/audio_output/portaudio.c: portaudio (www.portaudio.com) audio output plugin by Frédéric RUGET (frederic dot ruget at free dot fr).

------------------------------------------------------------------------
r8913 | gbazin | 2004-10-04 19:22:52 +0200 (Mon, 04 Oct 2004) | 1 line
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/modules/misc/dummy/decoder.c

* include/vlc_common.h: define PATH_MAX on WinCE.
------------------------------------------------------------------------
r8912 | gbazin | 2004-10-04 18:04:54 +0200 (Mon, 04 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/misc/win32_specific.c

* src/misc/win32_specific.c: WinCE build fixes.
------------------------------------------------------------------------
r8911 | gbazin | 2004-10-04 18:03:30 +0200 (Mon, 04 Oct 2004) | 1 line
Changed paths:
   M /trunk/include/main.h
   M /trunk/include/vlc_common.h

* include/main.h, include/vlc_common.h: WinCE build fixes.
------------------------------------------------------------------------
r8910 | gbazin | 2004-10-04 17:43:10 +0200 (Mon, 04 Oct 2004) | 1 line
Changed paths:
   M /trunk/evc/vlc.vcp.in

* evc/vlc.vcp.in: fixes.
------------------------------------------------------------------------
r8909 | gbazin | 2004-10-04 17:21:34 +0200 (Mon, 04 Oct 2004) | 1 line
Changed paths:
   M /trunk/evc/config.h.in

* evc/config.h.in: cleanup.
------------------------------------------------------------------------
r8908 | hartman | 2004-10-04 17:15:31 +0200 (Mon, 04 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/streamout.cpp

* no longer use demuxdump. Only dump is a valid demux2 now.

------------------------------------------------------------------------
r8907 | gbazin | 2004-10-04 16:29:23 +0200 (Mon, 04 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/misc/network/ipv4.c

* modules/misc/network/ipv4.c: got rid of the #ifdef HAVE_ERRNO_H + WinCE compilation fixes.
------------------------------------------------------------------------
r8906 | gbazin | 2004-10-04 16:09:33 +0200 (Mon, 04 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/access/file.c

* modules/access/file.c: got rid of the #ifdef HAVE_ERRNO_H + WinCE compilation fixes.
------------------------------------------------------------------------
r8905 | gbazin | 2004-10-04 15:34:42 +0200 (Mon, 04 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/audio_output/dec.c
   M /trunk/src/audio_output/filters.c
   M /trunk/src/audio_output/intf.c
   M /trunk/src/interface/intf_eject.c
   M /trunk/src/libvlc.c
   M /trunk/src/misc/beos_specific.cpp
   M /trunk/src/misc/charset.c
   M /trunk/src/misc/configuration.c
   M /trunk/src/misc/error.c
   M /trunk/src/misc/httpd.c
   M /trunk/src/misc/messages.c
   M /trunk/src/misc/modules_plugin.h.in
   M /trunk/src/misc/net.c
   M /trunk/src/playlist/loadsave.c

* src/*: got rid of the #ifdef HAVE_ERRNO_H.
------------------------------------------------------------------------
r8904 | gbazin | 2004-10-04 14:19:34 +0200 (Mon, 04 Oct 2004) | 1 line
Changed paths:
   M /trunk/Makefile.am
   A /trunk/evc/errno.h

* evc/errno.h: errno.h replacement for WinCE.
------------------------------------------------------------------------
r8903 | gbazin | 2004-10-04 12:52:18 +0200 (Mon, 04 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/input/subtitles.c

* src/input/subtitles.c: strcoll is not available on wince.
------------------------------------------------------------------------
r8902 | gbazin | 2004-10-04 11:58:20 +0200 (Mon, 04 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/misc/dummy/decoder.c

* modules/misc/dummy/decoder.c: use MAX_PATH instead of PATH_MAX.
------------------------------------------------------------------------
r8901 | gbazin | 2004-10-04 00:01:45 +0200 (Mon, 04 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwindows/open.cpp

* modules/gui/wxwindows/open.cpp: fixed open dialog for mms/mmsh/ftp streams.
------------------------------------------------------------------------
r8900 | hartman | 2004-10-03 22:13:56 +0200 (Sun, 03 Oct 2004) | 2 lines
Changed paths:
   M /trunk/src/input/subtitles.c

* strip file:// from subtitle autodetect path if present in uri.

------------------------------------------------------------------------
r8899 | asmax | 2004-10-03 16:11:12 +0200 (Sun, 03 Oct 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/scaled_bitmap.cpp

 - scaled_bitmap.cpp: fixed an old bug in the bresenham algorithm
  (the right side of enlarged images was not scaled properly)

------------------------------------------------------------------------
r8898 | zorglub | 2004-10-03 13:52:25 +0200 (Sun, 03 Oct 2004) | 4 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/open.cpp
   M /trunk/modules/gui/wxwindows/subtitles.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.h
   M /trunk/src/input/input.c

* Added delay and alignment to wx subtitles dialog
* Fixed a tooltip
* Removed a debug message

------------------------------------------------------------------------
r8897 | gbazin | 2004-10-03 13:04:59 +0200 (Sun, 03 Oct 2004) | 1 line
Changed paths:
   M /trunk/configure.ac

* configure.ac: alsa is enabled by default.
------------------------------------------------------------------------
r8896 | fkuehne | 2004-10-02 23:52:02 +0200 (Sat, 02 Oct 2004) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/open.h
   M /trunk/modules/gui/macosx/open.m

* ALL: fixed some gettext stuff in the subtitles-options-dialogue, cosmetics to the text-fields, etc.
------------------------------------------------------------------------
r8895 | zorglub | 2004-10-02 23:02:27 +0200 (Sat, 02 Oct 2004) | 4 lines
Changed paths:
   M /trunk/modules/control/hotkeys.c
   M /trunk/modules/demux/subtitle.c
   M /trunk/src/input/input.c

* Re-added sub-delay option
* Re-implemented sub-fps for SubRIP.
* Use 50ms increments for hotkeys

------------------------------------------------------------------------
r8894 | zorglub | 2004-10-02 23:01:46 +0200 (Sat, 02 Oct 2004) | 2 lines
Changed paths:
   M /trunk/src/input/decoder.c

Fix segfault when spu heap is full

------------------------------------------------------------------------
r8893 | hartman | 2004-10-02 22:09:21 +0200 (Sat, 02 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/livedotcom.cpp

livedotcom.cpp: fprintf DEL DEL DEL DEL DEL

------------------------------------------------------------------------
r8892 | hartman | 2004-10-02 22:07:35 +0200 (Sat, 02 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp

* mkv.cpp: cosmetics

------------------------------------------------------------------------
r8891 | hartman | 2004-10-02 21:58:07 +0200 (Sat, 02 Oct 2004) | 3 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/TODO

* Update TODO list
* Added channel downmixing support to NEWS

------------------------------------------------------------------------
r8890 | massiot | 2004-10-02 20:19:39 +0200 (Sat, 02 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/dvb/access.c

* modules/dvb/access.c: Fixed a major heap corruption (gardening)

------------------------------------------------------------------------
r8889 | fkuehne | 2004-10-02 20:11:07 +0200 (Sat, 02 Oct 2004) | 1 line
Changed paths:
   M /trunk/po/de.po

* likely the final update to the G. translation
------------------------------------------------------------------------
r8888 | zorglub | 2004-10-02 19:57:33 +0200 (Sat, 02 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/mux/asf.c

Fixed string

------------------------------------------------------------------------
r8887 | zorglub | 2004-10-02 17:40:08 +0200 (Sat, 02 Oct 2004) | 6 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/streamdata.h
   M /trunk/po/POTFILES.in
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot
   M /trunk/toolbox

Do what I say, don't do what I do.

* Re-enabled string translation for wizard
* Fixed wizard strings
* internationalized some strings that weren't

------------------------------------------------------------------------
r8886 | hartman | 2004-10-02 17:02:08 +0200 (Sat, 02 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/vobsub.c

* vobsub.c : bail if we cannot find the .sub file

------------------------------------------------------------------------
r8885 | hartman | 2004-10-02 16:09:33 +0200 (Sat, 02 Oct 2004) | 3 lines
Changed paths:
   M /trunk/modules/misc/sap.c

* Look the SAP module CAN get even uglier
  - added a demuxer for SDP files. this is a temporary submodule to handle SDP files with UDP streams for so long as liveMedia doesn't support these yet.

------------------------------------------------------------------------
r8884 | zorglub | 2004-10-02 14:51:37 +0200 (Sat, 02 Oct 2004) | 2 lines
Changed paths:
   M /trunk/po/fr.po

(Final ?) update to french l10n file

------------------------------------------------------------------------
r8883 | fkuehne | 2004-10-01 20:38:28 +0200 (Fri, 01 Oct 2004) | 1 line
Changed paths:
   M /trunk/po/de.po

* last fixes to the G. translation
------------------------------------------------------------------------
r8882 | gbazin | 2004-10-01 20:04:09 +0200 (Fri, 01 Oct 2004) | 5 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/control/http.c
   M /trunk/modules/control/telnet.c
   M /trunk/src/misc/httpd.c
   M /trunk/src/misc/vlm.c

* configure.ac: added an --enable-httpd and --enable-vlm option
* src/misc/httpd.c: use dummy wrapper if httpd is disabled.
* src/misc/vlm.c: use dummy wrapper if vlm is disabled.
* modules/control/http.c, telnet.c: properly handle cases where http/vlm is not available.

------------------------------------------------------------------------
r8881 | gbazin | 2004-10-01 18:04:20 +0200 (Fri, 01 Oct 2004) | 1 line
Changed paths:
   M /trunk/evc/libvlc.vcp.in
   M /trunk/evc/plugins.vcp.in
   M /trunk/evc/vlc.vcp.in
   M /trunk/toolbox

*  evc/*: some updates to the evc project files.
------------------------------------------------------------------------
r8880 | gbazin | 2004-10-01 17:56:10 +0200 (Fri, 01 Oct 2004) | 1 line
Changed paths:
   M /trunk/include/vlc/vlc.h
   M /trunk/src/misc/configuration.c
   M /trunk/src/misc/httpd.c
   M /trunk/src/misc/net.c
   M /trunk/src/misc/vlm.c

* src/*: WinCE compilation fixes.
------------------------------------------------------------------------
r8879 | gbazin | 2004-10-01 15:43:05 +0200 (Fri, 01 Oct 2004) | 1 line
Changed paths:
   M /trunk/evc/vlc.vcw

* evc/vlc.vcw: removed old plugins.
------------------------------------------------------------------------
r8878 | gbazin | 2004-10-01 14:48:49 +0200 (Fri, 01 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/dmo/dmo.c

* modules/codec/dmo/dmo.c: portability fix.
------------------------------------------------------------------------
r8877 | gbazin | 2004-10-01 14:37:49 +0200 (Fri, 01 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/input/demux.c

* src/input/demux.c: gee, what a nice bug.
------------------------------------------------------------------------
r8876 | gbazin | 2004-10-01 14:24:16 +0200 (Fri, 01 Oct 2004) | 1 line
Changed paths:
   M /trunk/include/vlc_interface.h
   M /trunk/src/libvlc.c

* src/libvlc.c, include/vlc_interface.h: don't open a win32 console when using a cygwin shell.
------------------------------------------------------------------------
r8875 | gbazin | 2004-10-01 14:05:52 +0200 (Fri, 01 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/blend.c
   M /trunk/msvc/vlc.dsw

* modules/video_filter/blend.c: portability fix.
------------------------------------------------------------------------
r8874 | gbazin | 2004-10-01 13:56:57 +0200 (Fri, 01 Oct 2004) | 1 line
Changed paths:
   M /trunk/modules/access/mms/mmstu.c
   M /trunk/modules/control/hotkeys.c
   M /trunk/modules/control/rc.c
   M /trunk/modules/demux/mp4/drms.c
   M /trunk/modules/demux/mp4/drms.h
   M /trunk/modules/demux/mp4/drmstables.h
   M /trunk/modules/demux/mp4/libmp4.c

* modules/control/hotkeys.c, rc, modules/demux/mp4, modules/access/mms: portability fixes.
------------------------------------------------------------------------
r8873 | gbazin | 2004-10-01 13:23:06 +0200 (Fri, 01 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/extras/libc.c

* src/extras/libc.c: shut up compiler warnings.
------------------------------------------------------------------------
r8872 | gbazin | 2004-10-01 13:11:37 +0200 (Fri, 01 Oct 2004) | 1 line
Changed paths:
   M /trunk/configure.ac
   M /trunk/include/vlc_common.h
   M /trunk/src/extras/libc.c

* src/extras/libc.c: strtoll() replacement when not available.
------------------------------------------------------------------------
r8871 | gbazin | 2004-10-01 12:03:29 +0200 (Fri, 01 Oct 2004) | 1 line
Changed paths:
   M /trunk/src/input/es_out.c
   M /trunk/src/misc/httpd.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/net.c
   M /trunk/src/video_output/video_output.c

* src/*: bunch of portability fixes.
------------------------------------------------------------------------
r8870 | hartman | 2004-10-01 11:37:22 +0200 (Fri, 01 Oct 2004) | 2 lines
Changed paths:
   M /trunk/src/input/subtitles.c

* autodetect .idx files for vobsub autodetection

------------------------------------------------------------------------
r8869 | gbazin | 2004-10-01 00:17:54 +0200 (Fri, 01 Oct 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/interface.cpp
   M /trunk/modules/gui/wxwindows/preferences.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.cpp

* modules/gui/wxwindows/*: win32 fixes with new wxWidgets.

------------------------------------------------------------------------
r8868 | gbazin | 2004-09-30 23:38:26 +0200 (Thu, 30 Sep 2004) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot

* po/*: new updates before the test2 tarball is done.

------------------------------------------------------------------------
r8867 | gbazin | 2004-09-30 23:23:28 +0200 (Thu, 30 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/araw.c

* modules/codec/araw.c: compilation fix.
------------------------------------------------------------------------
r8866 | bigben | 2004-09-30 23:23:21 +0200 (Thu, 30 Sep 2004) | 3 lines
Changed paths:
   M /trunk/modules/mux/mpeg/ts.c

Adds the ability to specify the pid of the PMT (--sout-ts-pid-pmt)


------------------------------------------------------------------------
r8865 | gbazin | 2004-09-30 23:18:23 +0200 (Thu, 30 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/open.cpp
   M /trunk/modules/gui/wxwindows/subtitles.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.h

* modules/gui/wxwindows/subtitles.cpp: new "font size" option.

------------------------------------------------------------------------
r8864 | gbazin | 2004-09-30 21:44:43 +0200 (Thu, 30 Sep 2004) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/NEWS
   M /trunk/modules/gui/skins2/win32/win32_factory.cpp
   M /trunk/vlc.win32.nsi

* ALL: updates for the test release.

------------------------------------------------------------------------
r8863 | gbazin | 2004-09-30 19:42:27 +0200 (Thu, 30 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/a52tofloat32.c
   M /trunk/modules/audio_filter/converter/dtstofloat32.c

* modules/audio_filter/converter/a52tofloat32.c,dtstofloat32.c: proper channel re-ordering using aout_ChannelReorder().

------------------------------------------------------------------------
r8862 | gbazin | 2004-09-30 19:21:40 +0200 (Thu, 30 Sep 2004) | 4 lines
Changed paths:
   M /trunk/modules/codec/araw.c
   M /trunk/modules/demux/wav.c
   M /trunk/modules/mux/wav.c

* modules/mux/wav.c: use aout_ChannelReorder().
* modules/demux/wav.c: handle 7.1 multichannel audio.
* modules/codec/araw.c: handle 7.1 multichannel audio.

------------------------------------------------------------------------
r8861 | gbazin | 2004-09-30 18:49:26 +0200 (Thu, 30 Sep 2004) | 3 lines
Changed paths:
   M /trunk/modules/audio_filter/channel_mixer/simple.c
   M /trunk/modules/demux/wav.c

* modules/demux/wav.c: use aout_ChannelReorder().
* modules/audio_filter/channel_mixer/simple.c: remove debug message.

------------------------------------------------------------------------
r8860 | gbazin | 2004-09-30 18:46:37 +0200 (Thu, 30 Sep 2004) | 2 lines
Changed paths:
   M /trunk/include/audio_output.h
   M /trunk/src/audio_output/common.c

* src/audio_output/common.c: common facility for channel reordering (aout_CheckChannelReorder() and aout_ChannelReorder()).

------------------------------------------------------------------------
r8859 | gbazin | 2004-09-30 15:27:33 +0200 (Thu, 30 Sep 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/audio_filter/channel_mixer/Modules.am
   A /trunk/modules/audio_filter/channel_mixer/simple.c

* modules/audio_filter/channel_mixer/simple.c: very simple channel mixer for 7/7.1/5/5.1 -> Stereo.

------------------------------------------------------------------------
r8858 | gbazin | 2004-09-30 14:02:59 +0200 (Thu, 30 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/wav.c

* modules/demux/wav.c: proper channels re-ordering for multichannel audio (this should really be implemented as a common facility).
------------------------------------------------------------------------
r8857 | gbazin | 2004-09-30 12:57:52 +0200 (Thu, 30 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/ts.c

* modules/demux/ts.c: fixed segfault.
------------------------------------------------------------------------
r8856 | gbazin | 2004-09-30 11:08:48 +0200 (Thu, 30 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/ps.c

* modules/demux/ps.c: fixed recent screwage.
------------------------------------------------------------------------
r8855 | markfm | 2004-09-30 01:40:00 +0200 (Thu, 30 Sep 2004) | 2 lines
Changed paths:
   A /trunk/modules/control/rtci.c

Add rtci plugin, for various real-time parameter changes.  Not added to modules.am or configure.ac yet.

------------------------------------------------------------------------
r8854 | markfm | 2004-09-30 01:14:00 +0200 (Thu, 30 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

Minor fix, cleared warnings for unused var and undeclared type

------------------------------------------------------------------------
r8853 | gbazin | 2004-09-29 20:14:31 +0200 (Wed, 29 Sep 2004) | 3 lines
Changed paths:
   M /trunk/src/input/clock.c
   M /trunk/src/input/input.c

* src/input/clock.c: changes to the clock resync algo to remove some sensivity to the high frequencies jitterring when we start a stream.
* src/input/input.c: cr-average is now increased based on the input caching value.

------------------------------------------------------------------------
r8852 | zorglub | 2004-09-29 19:30:42 +0200 (Wed, 29 Sep 2004) | 6 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/NEWS
   M /trunk/configure.ac
   M /trunk/extras/MacOSX/Resources/English.lproj/InfoPlist.strings
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot

* Bumped up version number to 0.8.0-test2
* Last NEWS update
* Re-update pofiles
* Update Changelog


------------------------------------------------------------------------
r8851 | hartman | 2004-09-29 17:26:25 +0200 (Wed, 29 Sep 2004) | 2 lines
Changed paths:
   M /trunk/NEWS

* NEWS: AACplus webcasts are supported

------------------------------------------------------------------------
r8850 | bigben | 2004-09-29 17:24:03 +0200 (Wed, 29 Sep 2004) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/libpng.patch
   M /trunk/extras/contrib/src/packages.mak

Adds libpng to OSX contribs (for the logo filters)


------------------------------------------------------------------------
r8849 | fkuehne | 2004-09-29 16:22:00 +0200 (Wed, 29 Sep 2004) | 1 line
Changed paths:
   M /trunk/po/de.po

* updated German translation
------------------------------------------------------------------------
r8848 | fkuehne | 2004-09-29 16:21:31 +0200 (Wed, 29 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwindows/open.cpp
   M /trunk/modules/video_filter/marq.c
   M /trunk/modules/video_filter/swscale/filter.c

* fixed typos in some l10n-messages
------------------------------------------------------------------------
r8847 | markfm | 2004-09-29 13:36:37 +0200 (Wed, 29 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

Move marquee processing from Playlist to Other, change marquee switch to "marq-marquee".

------------------------------------------------------------------------
r8846 | markfm | 2004-09-29 13:31:49 +0200 (Wed, 29 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/marq.c

Destroy marq-timeout on exit, rename switch to "marq-marquee"

------------------------------------------------------------------------
r8845 | zorglub | 2004-09-29 11:00:41 +0200 (Wed, 29 Sep 2004) | 6 lines
Changed paths:
   M /trunk/modules/access/cdda/access.c
   M /trunk/modules/audio_filter/channel_mixer/headphone.c
   M /trunk/po/POTFILES.in
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot

A few string fixes

Update PO files

Update and proofread of the french translation

------------------------------------------------------------------------
r8844 | hartman | 2004-09-29 03:21:16 +0200 (Wed, 29 Sep 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

* Use a proper faad2 snapshot, cause the default .tar.gz ones suck big time

------------------------------------------------------------------------
r8843 | hartman | 2004-09-28 17:48:43 +0200 (Tue, 28 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/cdda/access.c

* Fix the cddax probing crash

------------------------------------------------------------------------
r8842 | gbazin | 2004-09-28 17:31:32 +0200 (Tue, 28 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/access/http.c

* modules/access/http.c: reversed a commit by accident.
------------------------------------------------------------------------
r8841 | gbazin | 2004-09-28 17:26:32 +0200 (Tue, 28 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/access/http.c

* modules/access/http.c: set ACCESS_CAN_CONTROL_PACE to false when dealing with Icecast servers.
------------------------------------------------------------------------
r8840 | gbazin | 2004-09-28 17:23:43 +0200 (Tue, 28 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/access/http.c

* modules/access/http.c: set ACCESS_CAN_CONTROL_PACE to false when dealing with ICY servers.
------------------------------------------------------------------------
r8839 | zorglub | 2004-09-28 15:55:00 +0200 (Tue, 28 Sep 2004) | 3 lines
Changed paths:
   M /trunk/mozilla/vlcintf.idl
   M /trunk/mozilla/vlcpeer.cpp
   M /trunk/mozilla/vlcpeer.h
   M /trunk/mozilla/vlcplugin.cpp
   M /trunk/mozilla/vlcplugin.h
   M /trunk/src/libvlc.c

* Add hooks for getting/setting variables (not working yet)
* Really change VLC_Get to VLC_VariableGet

------------------------------------------------------------------------
r8838 | zorglub | 2004-09-28 15:49:57 +0200 (Tue, 28 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/wizard.cpp

Misc Fixes

------------------------------------------------------------------------
r8837 | gbazin | 2004-09-28 15:35:50 +0200 (Tue, 28 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwindows/open.cpp

* modules/gui/wxwindows/open.cpp: compilation fix.
------------------------------------------------------------------------
r8836 | gbazin | 2004-09-28 15:24:29 +0200 (Tue, 28 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwindows/open.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.h

* modules/gui/wxwindows/open.cpp: added a caching option.
------------------------------------------------------------------------
r8835 | hartman | 2004-09-28 13:45:48 +0200 (Tue, 28 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/http.c

* recognize audio/aac as well

------------------------------------------------------------------------
r8834 | hartman | 2004-09-28 12:46:20 +0200 (Tue, 28 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/marq.c

* marq.c: compilation fixes for non c++ compilers

------------------------------------------------------------------------
r8833 | gbazin | 2004-09-28 12:05:53 +0200 (Tue, 28 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/vobsub.c

* modules/demux/vobsub.c: compilation fix + fixed a few memleaks + priority back to 0.
------------------------------------------------------------------------
r8832 | gbazin | 2004-09-27 23:46:54 +0200 (Mon, 27 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/mpeg/mpga.c

* modules/demux/mpeg/mpga.c: use the date_*() api for more precision.
------------------------------------------------------------------------
r8831 | hartman | 2004-09-27 23:08:57 +0200 (Mon, 27 Sep 2004) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak

* Hacky workaround for the vcdimager compile problem
* upgraded liveMedia

------------------------------------------------------------------------
r8830 | gbazin | 2004-09-27 23:04:51 +0200 (Mon, 27 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/mpeg/m4a.c

* modules/demux/mpeg/m4a.c: bug fix.
------------------------------------------------------------------------
r8829 | gbazin | 2004-09-27 21:57:26 +0200 (Mon, 27 Sep 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/demux/mpeg/Modules.am
   A /trunk/modules/demux/mpeg/m4a.c

* modules/demux/mpeg/m4a.c: MPEG 4 audio demuxer using the MPEG 4 audio packetizer (obsoletes the aac demuxer).

------------------------------------------------------------------------
r8828 | gbazin | 2004-09-27 21:47:30 +0200 (Mon, 27 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/wav.c

* modules/demux/wav.c: misc improvements.
------------------------------------------------------------------------
r8827 | gbazin | 2004-09-27 21:19:32 +0200 (Mon, 27 Sep 2004) | 1 line
Changed paths:
   M /trunk/src/audio_output/input.c

* src/audio_output/input.c: corrective audio resampling should be a lot more gradual now.
------------------------------------------------------------------------
r8826 | gbazin | 2004-09-27 19:41:49 +0200 (Mon, 27 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/access/mms/mms.c

* modules/access/mms/mms.c: set the priority to -1 and added an http shortcut.
------------------------------------------------------------------------
r8825 | gbazin | 2004-09-27 17:44:42 +0200 (Mon, 27 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/access/http.c

* modules/access/http.c: keep this plugin at priority 0.
------------------------------------------------------------------------
r8824 | gbazin | 2004-09-27 17:43:43 +0200 (Mon, 27 Sep 2004) | 1 line
Changed paths:
   M /trunk/src/misc/modules.c

* src/misc/modules.c: allow negative priorities.
------------------------------------------------------------------------
r8823 | gbazin | 2004-09-27 17:16:13 +0200 (Mon, 27 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwindows/interface.cpp
   M /trunk/modules/gui/wxwindows/timer.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.h

* modules/gui/wxwindows/*: work-around a wxwindows bug with accelerators registration on win32.
------------------------------------------------------------------------
r8822 | gbazin | 2004-09-27 16:46:39 +0200 (Mon, 27 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c

* modules/stream_out/transcode.c: fixed subpictures overlaying when the audio-sync or fps options are used.
------------------------------------------------------------------------
r8821 | gbazin | 2004-09-27 12:27:14 +0200 (Mon, 27 Sep 2004) | 1 line
Changed paths:
   M /trunk/src/video_output/vout_subpictures.c

* src/video_output/vout_subpictures.c: a few fixes for subpictures positionning when scaling is active.
------------------------------------------------------------------------
r8820 | gbazin | 2004-09-27 11:13:49 +0200 (Mon, 27 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/logo.c

* modules/video_filter/logo.c: implemented --logo-position for old filter as well.
------------------------------------------------------------------------
r8819 | gbazin | 2004-09-27 11:02:26 +0200 (Mon, 27 Sep 2004) | 1 line
Changed paths:
   M /trunk/include/vlc_video.h
   M /trunk/modules/video_filter/logo.c

* modules/video_filter/logo.c: new --logo-position option (by default the logo is displayed on the top right)
------------------------------------------------------------------------
r8818 | gbazin | 2004-09-27 09:21:53 +0200 (Mon, 27 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/video.c

* modules/codec/ffmpeg/video.c: don't need to modify width/height anymore with lowres.
------------------------------------------------------------------------
r8817 | gbazin | 2004-09-27 01:31:48 +0200 (Mon, 27 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/mux/wav.c

* modules/mux/wav.c: small cleanup.
------------------------------------------------------------------------
r8816 | gbazin | 2004-09-27 01:23:09 +0200 (Mon, 27 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/mux/wav.c

"* modules/mux/wav.c: support for s16l as well as fl32 + multichannel audio (up to 5.1) + proper channels ordering."

------------------------------------------------------------------------
r8815 | sigmunau | 2004-09-26 22:37:41 +0200 (Sun, 26 Sep 2004) | 3 lines
Changed paths:
   M /trunk/TODO

TODO: added some items, removed subtitle scaling, use "Mac OS X" everywhere
in Platform:

------------------------------------------------------------------------
r8814 | markfm | 2004-09-26 22:31:06 +0200 (Sun, 26 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

Moved marquee to Playlist area, "marquee  " blanks out the marquee

------------------------------------------------------------------------
r8813 | gbazin | 2004-09-26 22:17:50 +0200 (Sun, 26 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/video.c
   M /trunk/modules/codec/libmpeg2.c
   M /trunk/modules/codec/theora.c

* modules/codec/libmpeg2.c, ffmpeg/video.c, theora.c: decoder sets fmt_out.video.i_frame_rate.

------------------------------------------------------------------------
r8812 | gbazin | 2004-09-26 21:59:49 +0200 (Sun, 26 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/packetizer/mpegvideo.c

* modules/packetizer/mpegvideo.c: set fmt_out.video.i_frame_rate.
------------------------------------------------------------------------
r8811 | gbazin | 2004-09-26 19:55:50 +0200 (Sun, 26 Sep 2004) | 1 line
Changed paths:
   M /trunk/configure.ac

* configure.ac: added check for daemon().
------------------------------------------------------------------------
r8810 | gbazin | 2004-09-26 19:54:56 +0200 (Sun, 26 Sep 2004) | 1 line
Changed paths:
   M /trunk/src/libvlc.c
   M /trunk/src/libvlc.h
   M /trunk/src/vlc.c

* src/libvlc.c: use dameon() instead of fork() when available. It does some more things like reopening stdin/out/err to /dev/null which avoids screwing up the first sockets we open.
------------------------------------------------------------------------
r8809 | markfm | 2004-09-26 17:49:41 +0200 (Sun, 26 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

Add --rc-extend switch, for extra commands.

------------------------------------------------------------------------
r8808 | zorglub | 2004-09-26 17:31:41 +0200 (Sun, 26 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

Add logout function to RC interface

------------------------------------------------------------------------
r8807 | gbazin | 2004-09-26 16:19:43 +0200 (Sun, 26 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/audio.c

* modules/codec/ffmpeg/audio.c: fixed 5.1 audio decoding.
------------------------------------------------------------------------
r8806 | gbazin | 2004-09-26 15:39:00 +0200 (Sun, 26 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/demux.c
   M /trunk/modules/codec/ffmpeg/encoder.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.h
   M /trunk/modules/codec/ffmpeg/video.c

* modules/codec/ffmpeg/*: new --ffmpeg-lowres option to force video decoding at a lower resolution.
------------------------------------------------------------------------
r8805 | zorglub | 2004-09-26 15:06:45 +0200 (Sun, 26 Sep 2004) | 4 lines
Changed paths:
   M /trunk/modules/video_filter/marq.c

* Use callbacks for live update
* Add timeout support (marq-timeout, in milliseconds, 0 for no timeout)
* A few minor coding style fixes

------------------------------------------------------------------------
r8804 | zorglub | 2004-09-26 15:03:52 +0200 (Sun, 26 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

Add timeout hook for marquee

------------------------------------------------------------------------
r8803 | gbazin | 2004-09-26 14:59:50 +0200 (Sun, 26 Sep 2004) | 1 line
Changed paths:
   M /trunk/include/configuration.h

* include/configuration.h: added change_float/integer_range( min, max ) macro.
------------------------------------------------------------------------
r8802 | markfm | 2004-09-26 14:55:29 +0200 (Sun, 26 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/Modules.am

modules/video_milter/Modules.am -- added marquee filter

------------------------------------------------------------------------
r8801 | markfm | 2004-09-26 14:45:33 +0200 (Sun, 26 Sep 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac

configure.ac -- Add marquee subfilter

------------------------------------------------------------------------
r8800 | gbazin | 2004-09-26 14:40:05 +0200 (Sun, 26 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/control/rc.c

* modules/control/rc.c: added an --rc-quiet option for win32.
------------------------------------------------------------------------
r8799 | gbazin | 2004-09-26 14:06:50 +0200 (Sun, 26 Sep 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/ps.c
   M /trunk/modules/demux/ps.h

* modules/demux/ps.h: fixed PSM parsing.
* modules/demux/ps.c: improved MPEG PS autodetection a bit.

------------------------------------------------------------------------
r8798 | markfm | 2004-09-26 13:47:12 +0200 (Sun, 26 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

rc.c -- Add hooks to control marquee string and offsets

------------------------------------------------------------------------
r8797 | sigmunau | 2004-09-26 13:43:19 +0200 (Sun, 26 Sep 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/video.c

ffmpeg/video.c: fixed recent breakage of avc1 in mp4 due to a recent ffmpeg
change

------------------------------------------------------------------------
r8796 | markfm | 2004-09-26 13:41:32 +0200 (Sun, 26 Sep 2004) | 2 lines
Changed paths:
   A /trunk/modules/video_filter/marq.c

Add marq.c, marquee video filter.

------------------------------------------------------------------------
r8795 | sigmunau | 2004-09-26 01:36:55 +0200 (Sun, 26 Sep 2004) | 4 lines
Changed paths:
   M /trunk/modules/demux/Modules.am
   M /trunk/modules/demux/mkv.cpp
   M /trunk/modules/demux/mp4/libmp4.c
   M /trunk/modules/demux/mp4/libmp4.h

mkv.cpp: added support for quicktime video codecs in mkv (tested with svq3)
Modules.am: link mkv demux with mp4 demux
mp4/*: export some functions needed by mkv demux

------------------------------------------------------------------------
r8794 | hartman | 2004-09-25 22:05:02 +0200 (Sat, 25 Sep 2004) | 2 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/TODO

* update of NEWS and todo

------------------------------------------------------------------------
r8793 | sigmunau | 2004-09-25 19:51:24 +0200 (Sat, 25 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/time.c

time.c: remove unused function parameter

------------------------------------------------------------------------
r8792 | gbazin | 2004-09-25 17:13:01 +0200 (Sat, 25 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_output/directx/directx.c
   M /trunk/modules/video_output/directx/events.c

* modules/video_output/directx/*: fix for spurious taskbar item after switching to fullscreen.
------------------------------------------------------------------------
r8791 | sigmunau | 2004-09-25 16:01:05 +0200 (Sat, 25 Sep 2004) | 4 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: helper function for printing of the mkv parse tree. Moves all the
nastyness to a central location. Improves the general readability in my
opinion.

------------------------------------------------------------------------
r8790 | sigmunau | 2004-09-25 15:04:12 +0200 (Sat, 25 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: protect the call to block_zlib_decompress

------------------------------------------------------------------------
r8789 | sigmunau | 2004-09-25 14:45:04 +0200 (Sat, 25 Sep 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: turned do_zlib_decompress into block_zlib_decompress, and use it
when needed. Zlib-compressed vobsubs work for me now.

------------------------------------------------------------------------
r8788 | sigmunau | 2004-09-25 14:25:42 +0200 (Sat, 25 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: Parse tags related to compression (unused yet)

------------------------------------------------------------------------
r8787 | gbazin | 2004-09-24 13:29:25 +0200 (Fri, 24 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/time.c

* modules/video_filter/time.c: the subpicture doesn't need a timeout.
------------------------------------------------------------------------
r8786 | gbazin | 2004-09-24 10:35:23 +0200 (Fri, 24 Sep 2004) | 1 line
Changed paths:
   M /trunk/Makefile.am

* Makefile.am: use the new wine cmdl syntax for make package-win32.
------------------------------------------------------------------------
r8785 | gbazin | 2004-09-24 08:59:28 +0200 (Fri, 24 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/control/corba/Modules.am

modules/control/corba/Modules.am: attempt to fix build.
------------------------------------------------------------------------
r8784 | hartman | 2004-09-24 00:08:39 +0200 (Fri, 24 Sep 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/demux/mkv.cpp

* zlib decompressor for mkv. not working. (i don't get c++ :) )

------------------------------------------------------------------------
r8783 | gbazin | 2004-09-23 23:11:43 +0200 (Thu, 23 Sep 2004) | 1 line
Changed paths:
   M /trunk/src/video_output/vout_subpictures.c

* src/video_output/vout_subpictures.c: fixed recent dvd menu breakage.
------------------------------------------------------------------------
r8782 | hartman | 2004-09-23 22:56:46 +0200 (Thu, 23 Sep 2004) | 3 lines
Changed paths:
   M /trunk/HACKING
   M /trunk/TODO

* added asx todo item to list
* added some clarifications on use of bootstrap to HACKING file

------------------------------------------------------------------------
r8781 | hartman | 2004-09-23 22:52:20 +0200 (Thu, 23 Sep 2004) | 8 lines
Changed paths:
   M /trunk/modules/access/http.c

* if http:// and mime == asf, and name doesn't contain asx (cause they have mime == asf too) then bail http access and let the mms access try.
  ( VLC now plays http:// urls which are actually mms:// streams and no longer handles asx files when the path doesn't contain "asx" )

* added the aacp (aacPlus) mime type and force the aac demux in that case. aacPlus still doesn't work. (decoder issue?)

* don't PLAYLIST_GO on a redirect. gave weird effects because the current item was still in the 'open' fase. The playlist is already playing, so there is no use in this option.


------------------------------------------------------------------------
r8780 | oaubert | 2004-09-23 18:56:07 +0200 (Thu, 23 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/control/corba/mediacontrol-plugin.c

mediacontrol-plugin.c: removed superfluous vlc_release()

------------------------------------------------------------------------
r8779 | oaubert | 2004-09-23 18:55:37 +0200 (Thu, 23 Sep 2004) | 3 lines
Changed paths:
   M /trunk/modules/control/corba/mediacontrol-core.c

mediacontrol-core.c: updated the used API to the new demux2
  API. ByteCount positions are not supported anymore.

------------------------------------------------------------------------
r8778 | oaubert | 2004-09-23 18:53:51 +0200 (Thu, 23 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/control/corba/Modules.am

Modules.am: fixed typelib generation

------------------------------------------------------------------------
r8777 | hartman | 2004-09-23 16:08:11 +0200 (Thu, 23 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/faad.c

* unknow -> unknown

------------------------------------------------------------------------
r8776 | hartman | 2004-09-23 14:42:42 +0200 (Thu, 23 Sep 2004) | 2 lines
Changed paths:
   M /trunk/HACKING

* HACKING: CVS -> SVN, added remark about developers.videolan.org site

------------------------------------------------------------------------
r8775 | gbazin | 2004-09-23 14:09:53 +0200 (Thu, 23 Sep 2004) | 1 line
Changed paths:
   M /trunk/configure.ac

* configure.ac: fixed typo.
------------------------------------------------------------------------
r8774 | gbazin | 2004-09-23 13:20:24 +0200 (Thu, 23 Sep 2004) | 1 line
Changed paths:
   M /trunk/configure.ac

* configure.ac: should fix libpng detection on win32.
------------------------------------------------------------------------
r8773 | gbazin | 2004-09-23 11:08:08 +0200 (Thu, 23 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/misc/rtsp.c

* modules/misc/rtsp.c: fixed pause.
------------------------------------------------------------------------
r8772 | gbazin | 2004-09-22 21:32:21 +0200 (Wed, 22 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/misc/rtsp.c

* modules/misc/rtsp.c: fixed segfault.
------------------------------------------------------------------------
r8771 | gbazin | 2004-09-22 21:29:32 +0200 (Wed, 22 Sep 2004) | 1 line
Changed paths:
   M /trunk/src/libvlc.h

* src/libvlc.h: -f shortcut for fullscreen option.
------------------------------------------------------------------------
r8770 | gbazin | 2004-09-22 20:42:52 +0200 (Wed, 22 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/misc/rtsp.c

* modules/misc/rtsp.c: misc improvements + respect ports given by client.
------------------------------------------------------------------------
r8769 | gbazin | 2004-09-22 17:25:11 +0200 (Wed, 22 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/access_output/udp.c

* modules/access_output/udp.c: if a packet is bigger than the mtu size, we emit a warning and try to split it.
------------------------------------------------------------------------
r8768 | gbazin | 2004-09-22 15:43:03 +0200 (Wed, 22 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/access/dvdnav.c
   M /trunk/modules/access/dvdread.c
   M /trunk/modules/demux/ps.c
   M /trunk/modules/demux/ps.h

* modules/demux/ps.c,ps.h: PSM parsing remotely based on a patch by Pascal Claes.
------------------------------------------------------------------------
r8767 | gbazin | 2004-09-22 15:37:55 +0200 (Wed, 22 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c

* modules/stream_out/transcode.c: a bit more useful debug message.
------------------------------------------------------------------------
r8766 | sigmunau | 2004-09-22 14:09:30 +0200 (Wed, 22 Sep 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac

configure.ac: enabled time plugin

------------------------------------------------------------------------
r8765 | gbazin | 2004-09-22 12:17:41 +0200 (Wed, 22 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/ps.c

* modules/demux/ps.c: small cleanup.
------------------------------------------------------------------------
r8764 | gbazin | 2004-09-22 11:44:44 +0200 (Wed, 22 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/mux/mpeg/ps.c

* modules/mux/mpeg/ps.c: make sure the data blocks containing the pack and system headers are timestamped correctly. Added an --sout-ps-dts-delay option.
------------------------------------------------------------------------
r8763 | gbazin | 2004-09-22 11:20:12 +0200 (Wed, 22 Sep 2004) | 1 line
Changed paths:
   M /trunk/src/playlist/item.c

* src/playlist/item.c: fixed recent playlist item initialization bug which was screwing up things like doing random autodeletions, etc...
------------------------------------------------------------------------
r8762 | hartman | 2004-09-22 00:24:31 +0200 (Wed, 22 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/vobsub.c

Thou shalt compile before thou commits

------------------------------------------------------------------------
r8761 | hartman | 2004-09-22 00:16:35 +0200 (Wed, 22 Sep 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/vobsub.c

* Fix the vobsub length.
  fen: any suggestions for the other Control() stuff?

------------------------------------------------------------------------
r8760 | hartman | 2004-09-21 23:52:52 +0200 (Tue, 21 Sep 2004) | 4 lines
Changed paths:
   M /trunk/modules/demux/vobsub.c

 * scaled external vobsubs with multiple tracks are now working
   - searching is a mess
   - autodetect not yet activated, force by opening the idx as subfile

------------------------------------------------------------------------
r8759 | gbazin | 2004-09-21 22:40:09 +0200 (Tue, 21 Sep 2004) | 1 line
Changed paths:
   M /trunk/doc/vlm.txt

* doc/vlm.txt: small update to reflect the latest changes.
------------------------------------------------------------------------
r8758 | gbazin | 2004-09-21 22:33:59 +0200 (Tue, 21 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/spudec/parse.c
   M /trunk/modules/codec/spudec/spudec.c

* modules/codec/spudec/spudec.c: packetizer needs to duplicate the input es_format_t.
------------------------------------------------------------------------
r8757 | gbazin | 2004-09-21 22:19:04 +0200 (Tue, 21 Sep 2004) | 1 line
Changed paths:
   M /trunk/src/video_output/vout_subpictures.c

* src/video_output/vout_subpictures.c: modify the scaling factor based on the original video size info.
------------------------------------------------------------------------
r8756 | hartman | 2004-09-21 21:26:10 +0200 (Tue, 21 Sep 2004) | 2 lines
Changed paths:
   M /trunk/include/vlc_video.h
   M /trunk/modules/codec/spudec/parse.c

* pass the orignal movie size from es_format_t to subpicture_t

------------------------------------------------------------------------
r8755 | sam | 2004-09-21 18:22:16 +0200 (Tue, 21 Sep 2004) | 2 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/modules/video_filter/swscale/Modules.am

  * Added missing \n to misc files.

------------------------------------------------------------------------
r8754 | sam | 2004-09-21 18:07:41 +0200 (Tue, 21 Sep 2004) | 2 lines
Changed paths:
   M /trunk/toolbox

  * toolbox: fixed mixup in the changelog generation example.

------------------------------------------------------------------------
r8753 | sam | 2004-09-21 17:55:45 +0200 (Tue, 21 Sep 2004) | 6 lines
Changed paths:
   M /trunk/debian/changelog
   M /trunk/debian/control
   M /trunk/debian/rules

  * debian/rules:
    + Fixed previously broken DVD support.
    + Removed currently broken Speex support.
  * debian/control:
    + Build-depend on libdvdnav.

------------------------------------------------------------------------
r8752 | fkuehne | 2004-09-21 16:44:38 +0200 (Tue, 21 Sep 2004) | 1 line
Changed paths:
   M /trunk/po/de.po

* hopefully fixed the wrong behaviour of the strg/ctrl-key in the G. translation
------------------------------------------------------------------------
r8751 | gbazin | 2004-09-20 23:51:41 +0200 (Mon, 20 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/time.c

* modules/video_filter/time.c: added Id svn keyword
------------------------------------------------------------------------
r8750 | gbazin | 2004-09-20 23:50:18 +0200 (Mon, 20 Sep 2004) | 1 line
Changed paths:
   M /trunk/include/vlc_vlm.h
   M /trunk/include/vlc_vod.h
   M /trunk/modules/misc/rtsp.c
   M /trunk/src/misc/vlm.c

* modules/misc/rtsp.c, src/misc/vlm.c: VOD RTSP support is beginning to work.
------------------------------------------------------------------------
r8749 | hartman | 2004-09-20 17:47:08 +0200 (Mon, 20 Sep 2004) | 4 lines
Changed paths:
   M /trunk/modules/demux/vobsub.c

* some fixes to vobsub
  TODO: create the index
        position control

------------------------------------------------------------------------
r8748 | hartman | 2004-09-20 17:03:17 +0200 (Mon, 20 Sep 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* disabled the libdts making for the nightlies

------------------------------------------------------------------------
r8747 | sigmunau | 2004-09-20 14:17:51 +0200 (Mon, 20 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/time.c

time.c: configureable time format patch by markfm + some cleanup

------------------------------------------------------------------------
r8746 | gbazin | 2004-09-20 12:23:59 +0200 (Mon, 20 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/x264.c

* modules/codec/x264.c: fixed aspect ratio.
------------------------------------------------------------------------
r8745 | gbazin | 2004-09-20 12:09:28 +0200 (Mon, 20 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/time.c

* modules/video_filter/time.c: optimized a bit.
------------------------------------------------------------------------
r8744 | gbazin | 2004-09-20 12:06:53 +0200 (Mon, 20 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/misc/freetype.c

* modules/misc/freetype.c: fixed memory leak.
------------------------------------------------------------------------
r8743 | gbazin | 2004-09-20 11:18:11 +0200 (Mon, 20 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/logo.c

* modules/video_filter/logo.c: fixed memleak.
------------------------------------------------------------------------
r8742 | gbazin | 2004-09-20 10:53:58 +0200 (Mon, 20 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/time.c

* modules/video_filter/time.c: stick to our config options naming convention + fixed a couple of mem-leaks.
------------------------------------------------------------------------
r8741 | gbazin | 2004-09-19 23:38:12 +0200 (Sun, 19 Sep 2004) | 5 lines
Changed paths:
   M /trunk/include/vlc_vlm.h
   M /trunk/src/misc/vlm.c

* src/misc/vlm.c:
   + major cleanup and bug fixing.
   + added support for spawning and controlling several media instances.


------------------------------------------------------------------------
r8740 | gbazin | 2004-09-19 21:22:04 +0200 (Sun, 19 Sep 2004) | 1 line
Changed paths:
   M /trunk/include/vlc/intf.h
   M /trunk/include/vlc_input.h
   M /trunk/src/playlist/item.c

* include/vlc_input.h, src/playlist/item.c: added vlc_input_item_Init()/Clean() facility.
------------------------------------------------------------------------
r8739 | gbazin | 2004-09-19 20:50:54 +0200 (Sun, 19 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/vobsub.c

* modules/demux/vobsub.c: fixed bug pointed to by gcc warnings.
------------------------------------------------------------------------
r8738 | gbazin | 2004-09-19 18:26:54 +0200 (Sun, 19 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/logo.c

* modules/video_filter/logo.c: oops, broke something.
------------------------------------------------------------------------
r8737 | gbazin | 2004-09-19 17:46:14 +0200 (Sun, 19 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/logo.c

* modules/video_filter/logo.c: couple of sanity check.
------------------------------------------------------------------------
r8736 | gbazin | 2004-09-19 17:36:08 +0200 (Sun, 19 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/logo.c

* modules/video_filter/logo.c: transparency fix by markfm.
------------------------------------------------------------------------
r8735 | gbazin | 2004-09-19 17:23:38 +0200 (Sun, 19 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/logo.c

* modules/video_filter/logo.c: fixed case when no transparent color is set.
------------------------------------------------------------------------
r8734 | gbazin | 2004-09-19 17:11:36 +0200 (Sun, 19 Sep 2004) | 1 line
Changed paths:
   M /trunk/src/video_output/vout_subpictures.c

* src/video_output/vout_subpictures.c: support for stacking subpictures filters (eg. --sub-filter=foo,bar).
------------------------------------------------------------------------
r8733 | gbazin | 2004-09-19 16:58:43 +0200 (Sun, 19 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/logo.c

* modules/video_filter/logo.c: remove the comment about the need for RGBA PNG files.
------------------------------------------------------------------------
r8732 | gbazin | 2004-09-19 16:46:01 +0200 (Sun, 19 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/logo.c

* modules/video_filter/logo.c: convert all pngs to RGBA.
------------------------------------------------------------------------
r8731 | sigmunau | 2004-09-19 14:29:16 +0200 (Sun, 19 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/time.c

time.c: customizable position and string prefix, mainly done by markfm

------------------------------------------------------------------------
r8730 | hartman | 2004-09-18 23:13:45 +0200 (Sat, 18 Sep 2004) | 6 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp
   M /trunk/modules/demux/vobsub.c

* mkv.cpp: retrieve the original framesize from the vobsub idx and store in es_format_t
* vobsub.c: rewrite of the vobsub module. Now has track support. This is UNFINISHED.
  TODO, repair the 'Control' commands store the timestamp/location combo's in the arrays of subtitle_t structs

  and find a way to pass the info from the decoder to the core of course....

------------------------------------------------------------------------
r8729 | sigmunau | 2004-09-18 19:46:15 +0200 (Sat, 18 Sep 2004) | 4 lines
Changed paths:
   M /trunk/modules/video_filter/Modules.am
   M /trunk/modules/video_filter/time.c

modules/video_filter/Modules.am: added time, for those that don't know the
fen-trick
time.c: fixed a few copy/paste bugs and some warnings

------------------------------------------------------------------------
r8728 | sigmunau | 2004-09-18 18:38:58 +0200 (Sat, 18 Sep 2004) | 2 lines
Changed paths:
   A /trunk/modules/video_filter/time.c

time.c: a small module to place current time on top of video

------------------------------------------------------------------------
r8727 | hartman | 2004-09-18 11:52:20 +0200 (Sat, 18 Sep 2004) | 2 lines
Changed paths:
   M /trunk/include/vlc_es.h

* added origin (position) and 'original frame size' params to SPU es

------------------------------------------------------------------------
r8726 | hartman | 2004-09-18 11:36:26 +0200 (Sat, 18 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/livedotcom.cpp

* added SVQ3 ID to livedotcom. don't remember if it worked, but won't hurt either i guess..

------------------------------------------------------------------------
r8725 | gbazin | 2004-09-18 11:34:03 +0200 (Sat, 18 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/subtitle.c

* modules/demux/subtitle.c: compilation fix.
------------------------------------------------------------------------
r8724 | gbazin | 2004-09-18 11:21:03 +0200 (Sat, 18 Sep 2004) | 1 line
Changed paths:
   M /trunk/src/misc/vlm.c

* src/misc/vlm.c: we probably have enough bugs already :p
------------------------------------------------------------------------
r8723 | hartman | 2004-09-18 02:05:11 +0200 (Sat, 18 Sep 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/demux/Modules.am
   M /trunk/modules/demux/subtitle.c
   A /trunk/modules/demux/vobsub.c (from /trunk/modules/demux/subtitle.c:8722)

* split vobsub and textual demuxers.


------------------------------------------------------------------------
r8722 | gbazin | 2004-09-17 16:47:01 +0200 (Fri, 17 Sep 2004) | 4 lines
Changed paths:
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/video_widgets.c
   M /trunk/src/video_output/vout_subpictures.c

* video_output/vout_subpictures.c:
  + improved spu_SortSubpictures() to deal with SPU channels.
  + ephemer subpictures can also have a stop date now (allows more flexibility).

------------------------------------------------------------------------
r8721 | gbazin | 2004-09-17 12:21:00 +0200 (Fri, 17 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/logo.c

* modules/video_filter/logo.c: small fix.
------------------------------------------------------------------------
r8720 | gbazin | 2004-09-17 12:13:21 +0200 (Fri, 17 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c

* modules/stream_out/transcode.c: new sfilter option for using subpictures filters during the transcoding.
------------------------------------------------------------------------
r8719 | gbazin | 2004-09-17 11:30:19 +0200 (Fri, 17 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/logo.c
   M /trunk/src/libvlc.h
   M /trunk/src/video_output/vout_subpictures.c

* modules/video_filter/logo.c: implemented a logo subpictures filter.

------------------------------------------------------------------------
r8718 | gbazin | 2004-09-17 11:13:05 +0200 (Fri, 17 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/scale.c

* modules/video_filter/scale.c: add a bias when calculating the nearest neighbour.
------------------------------------------------------------------------
r8717 | gbazin | 2004-09-17 11:11:50 +0200 (Fri, 17 Sep 2004) | 3 lines
Changed paths:
   M /trunk/include/vlc_filter.h
   M /trunk/include/vlc_spu.h
   M /trunk/modules/misc/freetype.c
   M /trunk/modules/stream_out/transcode.c
   M /trunk/src/libvlc.h
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_subpictures.c

* src/video_output/vout_subpictures.c: support for subpictures filters.
* src/libvlc.h: new --sub-filter config option + added a new subpictures category that regroups all the subpictures options.

------------------------------------------------------------------------
r8716 | gbazin | 2004-09-17 00:04:36 +0200 (Fri, 17 Sep 2004) | 3 lines
Changed paths:
   M /trunk/modules/misc/rtsp.c
   M /trunk/modules/stream_out/description.c

* modules/misc/rtsp.c: getting closer to a basic but functional rtsp server.
* modules/stream_out/description.c: bug fix.

------------------------------------------------------------------------
r8715 | gbazin | 2004-09-16 16:31:14 +0200 (Thu, 16 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwindows/menus.cpp

* modules/gui/wxwindows/menus.cpp: re-organized right-click menu + play/pause/stop/next/previous entries.
------------------------------------------------------------------------
r8714 | gbazin | 2004-09-15 22:21:09 +0200 (Wed, 15 Sep 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/misc/rtsp.c
   M /trunk/modules/stream_out/Modules.am
   A /trunk/modules/stream_out/description.c
   M /trunk/src/misc/vlm.c

* modules/stream_out/description.c: new "description" stream output module which gathers information on elementary streams (pre-parsing).
* src/misc/vlm.c: pre-parse vod media items.

------------------------------------------------------------------------
r8713 | gbazin | 2004-09-15 18:59:25 +0200 (Wed, 15 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/Modules.am

* modules/video_filter/Modules.am: oops
------------------------------------------------------------------------
r8712 | gbazin | 2004-09-15 18:02:45 +0200 (Wed, 15 Sep 2004) | 1 line
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/video_filter/Modules.am
   A /trunk/modules/video_filter/scale.c

* modules/video_filter/scale.c: simple nearest neighbour rescaling module for YUVP/A (subpictures).
------------------------------------------------------------------------
r8711 | gbazin | 2004-09-15 17:55:25 +0200 (Wed, 15 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/video_filter.c

* modules/codec/ffmpeg/video_filter.c: improvements.
------------------------------------------------------------------------
r8710 | gbazin | 2004-09-15 17:52:13 +0200 (Wed, 15 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/swscale/filter.c

* modules/video_filter/swscale/filter.c: uninitialised variable fix.
------------------------------------------------------------------------
r8709 | gbazin | 2004-09-15 17:50:54 +0200 (Wed, 15 Sep 2004) | 4 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/include/video_output.h
   M /trunk/include/vlc/vout.h
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_filter.h
   M /trunk/include/vlc_objects.h
   A /trunk/include/vlc_spu.h
   M /trunk/include/vlc_video.h
   M /trunk/modules/codec/cmml/intf.c
   M /trunk/modules/codec/ogt/common.c
   M /trunk/modules/codec/ogt/cvd.c
   M /trunk/modules/codec/ogt/cvd_parse.c
   M /trunk/modules/codec/ogt/ogt.c
   M /trunk/modules/codec/ogt/ogt_parse.c
   M /trunk/modules/control/hotkeys.c
   M /trunk/modules/stream_out/transcode.c
   M /trunk/src/input/decoder.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/objects.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/video_widgets.c
   M /trunk/src/video_output/vout_pictures.c
   M /trunk/src/video_output/vout_subpictures.c

* ALL: separation of the SPU engine from the VOUT.
* modules/stream_out/transcode.c: re-use the SPU engine.
* src/video_output/vout_subpictures.c: support for resizing subpictures.

------------------------------------------------------------------------
r8708 | gbazin | 2004-09-14 22:30:12 +0200 (Tue, 14 Sep 2004) | 4 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_input.h
   M /trunk/include/vlc_vlm.h
   M /trunk/include/vlc_vod.h
   M /trunk/modules/misc/rtsp.c
   M /trunk/src/misc/vlm.c

* src/misc/vlm.c: started "vod server" integration (not much done yet).
* modules/misc/rtsp.c, include/vlc_vod.h: vod server api update.
* include/vlc_input.h: extended input_item_t a bit for the vod server.

------------------------------------------------------------------------
r8707 | bigben | 2004-09-14 19:27:52 +0200 (Tue, 14 Sep 2004) | 4 lines
Changed paths:
   M /trunk/modules/demux/avi/avi.c


msg_Err -> msg_Dbg


------------------------------------------------------------------------
r8706 | gbazin | 2004-09-14 13:45:44 +0200 (Tue, 14 Sep 2004) | 3 lines
Changed paths:
   M /trunk/INSTALL.win32
   M /trunk/configure.ac

* configure.ac: fixed --with-ffmpeg-dts.
* INSTALL.win32: update with new contrib package.

------------------------------------------------------------------------
r8705 | gbazin | 2004-09-14 13:38:50 +0200 (Tue, 14 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/asf/asf.c

* modules/demux/asf/asf.c: fixed overflow in aspect ratio calculation.
------------------------------------------------------------------------
r8704 | fkuehne | 2004-09-13 22:30:12 +0200 (Mon, 13 Sep 2004) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

* updated used libcdio-version from 0.69 to 0.70
------------------------------------------------------------------------
r8703 | gbazin | 2004-09-13 22:29:58 +0200 (Mon, 13 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/access/dshow/crossbar.cpp

* modules/access/dshow/crossbar.cpp: real compilation fix.
------------------------------------------------------------------------
r8702 | gbazin | 2004-09-13 21:46:38 +0200 (Mon, 13 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/access/dshow/crossbar.cpp

* modules/access/dshow/crossbar.cpp: compilation fix.
------------------------------------------------------------------------
r8701 | gbazin | 2004-09-13 21:43:30 +0200 (Mon, 13 Sep 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac
   A /trunk/modules/video_filter/swscale
   A /trunk/modules/video_filter/swscale/Modules.am
   A /trunk/modules/video_filter/swscale/common.h
   A /trunk/modules/video_filter/swscale/filter.c
   A /trunk/modules/video_filter/swscale/rgb2rgb.c
   A /trunk/modules/video_filter/swscale/rgb2rgb.h
   A /trunk/modules/video_filter/swscale/rgb2rgb_template.c
   A /trunk/modules/video_filter/swscale/swscale.c
   A /trunk/modules/video_filter/swscale/swscale.h
   A /trunk/modules/video_filter/swscale/swscale_altivec_template.c
   A /trunk/modules/video_filter/swscale/swscale_internal.h
   A /trunk/modules/video_filter/swscale/swscale_template.c
   A /trunk/modules/video_filter/swscale/yuv2rgb.c
   A /trunk/modules/video_filter/swscale/yuv2rgb_altivec.c
   A /trunk/modules/video_filter/swscale/yuv2rgb_mlib.c
   A /trunk/modules/video_filter/swscale/yuv2rgb_template.c

* modules/video_filter/swscale/*: new resizing/chroma conversion video filter based on MPlayer's swscale module.
  (not enabled in configure.ac yet as it may have problems building on some platforms)

------------------------------------------------------------------------
r8700 | titer | 2004-09-13 17:46:00 +0200 (Mon, 13 Sep 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

 contrib/src/Makefile: quick BeOS compile fix (-lnet bla bla)

------------------------------------------------------------------------
r8699 | gbazin | 2004-09-13 15:28:10 +0200 (Mon, 13 Sep 2004) | 1 line
Changed paths:
   M /trunk/include/vlc_block.h
   M /trunk/src/misc/block.c

* include/vlc_block.h: block_Duplicate() needs to duplicate all the fields of block_t.
------------------------------------------------------------------------
r8698 | titer | 2004-09-13 12:57:03 +0200 (Mon, 13 Sep 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac

 + configure.ac: explicitly link to -lnet the modules which need it
   (cause latest BeOS gcc doesn't do it by default anymore)

------------------------------------------------------------------------
r8697 | titer | 2004-09-13 10:27:58 +0200 (Mon, 13 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/mux/asf.c

 + mux/asf.c: gcc < 3 compile fix

------------------------------------------------------------------------
r8696 | gbazin | 2004-09-12 22:32:08 +0200 (Sun, 12 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_output/directx/directx.c

* modules/video_output/directx/directx.c: removed debug message.
------------------------------------------------------------------------
r8695 | gbazin | 2004-09-12 22:31:00 +0200 (Sun, 12 Sep 2004) | 1 line
Changed paths:
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_pictures.c

* src/video_output: fixed a CPU heating loop in pause mode (fixes the problem with fast user switching on win32).
------------------------------------------------------------------------
r8694 | gbazin | 2004-09-12 20:00:02 +0200 (Sun, 12 Sep 2004) | 5 lines
Changed paths:
   M /trunk/modules/access/dshow/Modules.am
   A /trunk/modules/access/dshow/common.h
   A /trunk/modules/access/dshow/crossbar.cpp
   M /trunk/modules/access/dshow/dshow.cpp
   M /trunk/modules/access/dshow/filter.cpp
   M /trunk/modules/access/dshow/filter.h

* modules/access/dshow/*:
  - switch to access_demux module for raw video/audio streams.
  - massive cleanup and simplifications.
  - a bunch of fixes.

------------------------------------------------------------------------
r8693 | gbazin | 2004-09-12 12:30:24 +0200 (Sun, 12 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/access/screen/win32.c

* modules/access/screen/win32.c: proper rgb mask for RV24.
------------------------------------------------------------------------
r8692 | gbazin | 2004-09-12 11:31:47 +0200 (Sun, 12 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/access/dshow/dshow.cpp
   M /trunk/modules/access/dshow/filter.cpp

* modules/access/dshow: simplification (video inversion is now handled in the rawvideo codec/packetizer).
------------------------------------------------------------------------
r8691 | gbazin | 2004-09-12 11:16:55 +0200 (Sun, 12 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_output/directx/directx.c

* modules/video_output/directx/directx.c: small fix.
------------------------------------------------------------------------
r8690 | gbazin | 2004-09-12 11:10:33 +0200 (Sun, 12 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_output/directx/events.c

* modules/video_output/directx/events.c: use a different window class for the video sub-window so the background color doesn't get messed-up with.
------------------------------------------------------------------------
r8689 | gbazin | 2004-09-11 15:15:18 +0200 (Sat, 11 Sep 2004) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/include/network.h
   M /trunk/include/vlc_common.h
   A /trunk/include/vlc_vod.h
   M /trunk/modules/misc/Modules.am
   A /trunk/modules/misc/rtsp.c

* include/vlc_vod.h, modules/misc/rtsp.c: skeleton for a "vod server" RTSP module.

------------------------------------------------------------------------
r8688 | gbazin | 2004-09-10 23:08:41 +0200 (Fri, 10 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/logo.c

* modules/video_filter/logo.c: complete rewrite using the alpha-blending module.
------------------------------------------------------------------------
r8687 | gbazin | 2004-09-10 21:47:16 +0200 (Fri, 10 Sep 2004) | 1 line
Changed paths:
   M /trunk/src/video_output/video_output.c

* src/video_output/video_output.c: oops.
------------------------------------------------------------------------
r8686 | gbazin | 2004-09-10 20:03:25 +0200 (Fri, 10 Sep 2004) | 2 lines
Changed paths:
   M /trunk/include/vlc_video.h
   M /trunk/modules/codec/ogt/common.c
   M /trunk/modules/codec/ogt/render.c
   M /trunk/src/video_output/video_output.c

* src/video_output/video_output.c, modules/codec/ogt: got rid of vout_AspectRatio().

------------------------------------------------------------------------
r8685 | gbazin | 2004-09-10 19:22:03 +0200 (Fri, 10 Sep 2004) | 2 lines
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/include/vlc_video.h
   M /trunk/src/video_output/vout_pictures.c

* include/vlc_video.h, src/video_output/vout_pictures.c: export vout_CopyPicture().

------------------------------------------------------------------------
r8684 | gbazin | 2004-09-10 15:53:43 +0200 (Fri, 10 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_output/directx/directx.c
   M /trunk/modules/video_output/x11/xcommon.c

* modules/video_output/x11/xcommon.c, modules/video_output/directx/directx.c: when we invert the YV12 picture buffer chroma planes, we need to report a I420 chroma.
------------------------------------------------------------------------
r8683 | gbazin | 2004-09-10 15:15:59 +0200 (Fri, 10 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/rawvideo.c

* modules/codec/rawvideo.c: packetizer will also invert the pictures if needed.
------------------------------------------------------------------------
r8682 | gbazin | 2004-09-10 14:43:08 +0200 (Fri, 10 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/asf/asf.c
   M /trunk/modules/demux/asf/libasf.c
   M /trunk/modules/demux/asf/libasf.h

* modules/demux/asf/*: get video aspect ratio from metadata object.
------------------------------------------------------------------------
r8681 | gbazin | 2004-09-10 13:35:42 +0200 (Fri, 10 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/asf/libasf.c
   M /trunk/modules/demux/asf/libasf.h

* commit modules/demux/asf/*: load and parse the metadata object + coding style changes.
------------------------------------------------------------------------
r8680 | gbazin | 2004-09-10 11:49:01 +0200 (Fri, 10 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/stream_out/standard.c

* modules/stream_out/standard.c: compilation fix.
------------------------------------------------------------------------
r8679 | gbazin | 2004-09-10 11:19:59 +0200 (Fri, 10 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/cmml/intf.c

* modules/codec/cmml/intf.c: compilation fix.
------------------------------------------------------------------------
r8678 | gbazin | 2004-09-10 00:18:51 +0200 (Fri, 10 Sep 2004) | 1 line
Changed paths:
   M /trunk/src/misc/httpd.c

* src/misc/httpd.c: spelling mistake.
------------------------------------------------------------------------
r8677 | gbazin | 2004-09-09 23:45:38 +0200 (Thu, 09 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/format.c
   M /trunk/modules/audio_filter/normvol.c
   M /trunk/modules/codec/ffmpeg/video_filter.c

 modules/codec/ffmpeg/video_filter.c, modules/audio_filter/format.c, normvol.c: added Id svn keyword.
------------------------------------------------------------------------
r8676 | gbazin | 2004-09-09 16:47:33 +0200 (Thu, 09 Sep 2004) | 1 line
Changed paths:
   M /trunk/src/input/input.c

* src/input/input.c: hack to allow for the udp:@:port syntax again... not really pretty though.
------------------------------------------------------------------------
r8675 | gbazin | 2004-09-09 16:33:33 +0200 (Thu, 09 Sep 2004) | 1 line
Changed paths:
   M /trunk/src/extras/libc.c

* src/extras/libc.c: forgot a small modification.
------------------------------------------------------------------------
r8674 | gbazin | 2004-09-09 16:25:07 +0200 (Thu, 09 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/theora.c

* modules/codec/theora.c: use vlc_reduce() to before storing the aspect-ratio.
------------------------------------------------------------------------
r8673 | gbazin | 2004-09-09 16:23:44 +0200 (Thu, 09 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/mux/asf.c

* modules/mux/asf.c: include a metadata header to store the video pixel aspect ratio info.
------------------------------------------------------------------------
r8672 | gbazin | 2004-09-09 16:02:24 +0200 (Thu, 09 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/control/gestures.c

* modules/control/gestures.c: compilation fix.
------------------------------------------------------------------------
r8671 | gbazin | 2004-09-09 15:04:12 +0200 (Thu, 09 Sep 2004) | 1 line
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/src/extras/libc.c

* include/vlc_common.h, src/extras/libc.c: added GCD() and vlc_reduce().
------------------------------------------------------------------------
r8670 | gbazin | 2004-09-09 00:02:48 +0200 (Thu, 09 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/access/dvdnav.c

* modules/access/dvdnav.c: call buttonUpdate() again when the video ES is started.
------------------------------------------------------------------------
r8669 | gbazin | 2004-09-08 23:11:31 +0200 (Wed, 08 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/video_output/opengl.c
   M /trunk/src/video_output/vout_intf.c

* src/video_output/vout_intf.c, modules/video_output/opengl.c: we do really need these, so please don't remove them again.
------------------------------------------------------------------------
r8668 | gbazin | 2004-09-08 23:01:11 +0200 (Wed, 08 Sep 2004) | 1 line
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_subpictures.c

* src/video_output/*: fixed race condition in spu initialization which affected DVD menus.
------------------------------------------------------------------------
r8667 | gbazin | 2004-09-08 17:25:56 +0200 (Wed, 08 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/ts.c

* modules/demux/ts.c: small video artefacts are usually better than dropping whole frames.
------------------------------------------------------------------------
r8666 | gbazin | 2004-09-08 16:10:20 +0200 (Wed, 08 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/converter/a52tofloat32.c
   M /trunk/modules/audio_filter/converter/dtstofloat32.c
   M /trunk/modules/audio_filter/converter/mpgatofixed32.c

* modules/audio_filter/converter/*: a couple of fixes for transcoding.
------------------------------------------------------------------------
r8665 | gbazin | 2004-09-08 14:48:57 +0200 (Wed, 08 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c

* modules/stream_out/transcode.c: use picture ring buffers to avoid leaks due to decoders not releasing pictures properly and to avoid uncessary mallocs.
------------------------------------------------------------------------
r8664 | gbazin | 2004-09-08 12:07:05 +0200 (Wed, 08 Sep 2004) | 1 line
Changed paths:
   M /trunk/include/vlc_help.h
   M /trunk/modules/gui/wxwindows/iteminfo.cpp

* include/vlc_help.h: update.
------------------------------------------------------------------------
r8663 | gbazin | 2004-09-08 00:55:26 +0200 (Wed, 08 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwindows/interface.cpp

* modules/gui/wxwindows/interface.cpp: fix for the interface resizing when video is stopped.
------------------------------------------------------------------------
r8662 | gbazin | 2004-09-08 00:08:36 +0200 (Wed, 08 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwindows/video.cpp

* modules/gui/wxwindows/video.cpp: reverted change to re-use the video window as it doesn't work well on wxGTK.
------------------------------------------------------------------------
r8661 | gbazin | 2004-09-07 23:46:16 +0200 (Tue, 07 Sep 2004) | 1 line
Changed paths:
   M /trunk/include/vlc_common.h

* include/vlc_common.h: forgot this file in my last commit.
------------------------------------------------------------------------
r8660 | gbazin | 2004-09-07 23:28:52 +0200 (Tue, 07 Sep 2004) | 1 line
Changed paths:
   M /trunk/configure.ac

* configure.ac: small iconv fix.
------------------------------------------------------------------------
r8659 | gbazin | 2004-09-07 23:16:49 +0200 (Tue, 07 Sep 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/codec/subsdec.c
   M /trunk/modules/gui/skins2/vars/playlist.cpp
   M /trunk/modules/gui/skins2/vars/playlist.hpp
   M /trunk/modules/misc/freetype.c
   M /trunk/src/extras/libc.c

* src/extras/libc.c: provide iconv facility in the core (vlc_iconv_open(), vlc_iconv(), vlc_iconv_close()).
* modules/misc/freetype.c, modules/codec/subsdec.c, modules/gui/skins2: use iconv from the core.

------------------------------------------------------------------------
r8658 | sigmunau | 2004-09-07 12:34:47 +0200 (Tue, 07 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/freetype.c

freetype.c: don't hang if user specify negative fontsize

------------------------------------------------------------------------
r8657 | gbazin | 2004-09-07 11:34:03 +0200 (Tue, 07 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/faad.c
   M /trunk/src/input/decoder.c

* src/input/decoder.c, modules/codec/faad.c: work around another bug in libfaad with ADTS streams.
------------------------------------------------------------------------
r8656 | sigmunau | 2004-09-07 10:11:49 +0200 (Tue, 07 Sep 2004) | 2 lines
Changed paths:
   M /trunk/TODO
   M /trunk/modules/demux/mkv.cpp

fixed track selection for mkv-files with default flag set on tracks.

------------------------------------------------------------------------
r8655 | titer | 2004-09-06 23:28:07 +0200 (Mon, 06 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/video_output/opengl.c
   M /trunk/src/video_output/vout_intf.c

 Fixed OpenGL mouse events

------------------------------------------------------------------------
r8654 | titer | 2004-09-06 23:07:43 +0200 (Mon, 06 Sep 2004) | 3 lines
Changed paths:
   M /trunk/src/input/var.c

 + src/input/var.c: when starting a title, don't recreate next/prev-chapter
     and add callbacks if they already exist

------------------------------------------------------------------------
r8653 | sigmunau | 2004-09-06 21:01:34 +0200 (Mon, 06 Sep 2004) | 2 lines
Changed paths:
   M /trunk/TODO
   M /trunk/modules/demux/mkv.cpp

some timecode and chapter-related fixes from Mosu(thanks a lot).

------------------------------------------------------------------------
r8652 | titer | 2004-09-06 18:46:25 +0200 (Mon, 06 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/MsgVals.h

 beos/*: fixed title/chapter navigation

------------------------------------------------------------------------
r8651 | sigmunau | 2004-09-06 18:10:34 +0200 (Mon, 06 Sep 2004) | 2 lines
Changed paths:
   M /trunk/TODO

Added matroska-related items to todo-list

------------------------------------------------------------------------
r8650 | courmisch | 2004-09-06 17:09:37 +0200 (Mon, 06 Sep 2004) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

debug message accessed free'd structure causing a segmentation fault

------------------------------------------------------------------------
r8649 | rocky | 2004-09-06 14:49:29 +0200 (Mon, 06 Sep 2004) | 5 lines
Changed paths:
   M /trunk/modules/access/cdda/Modules.am
   M /trunk/modules/access/cdda/access.c
   A /trunk/modules/access/cdda/access.h
   A /trunk/modules/access/cdda/callback.c
   A /trunk/modules/access/cdda/callback.h
   M /trunk/modules/access/cdda/cdda.c
   M /trunk/modules/access/cdda/cdda.h

Allow size of blocks reads to be specified/adjusted
Split out callback routines. 
Some cleanup. Still largely broken though. 


------------------------------------------------------------------------
r8648 | courmisch | 2004-09-06 13:45:44 +0200 (Mon, 06 Sep 2004) | 2 lines
Changed paths:
   M /trunk/src/misc/httpd.c

0 is a legal socket descriptor

------------------------------------------------------------------------
r8647 | rocky | 2004-09-06 06:38:46 +0200 (Mon, 06 Sep 2004) | 5 lines
Changed paths:
   M /trunk/include/mtime.h
   M /trunk/modules/access/cdda/Modules.am
   M /trunk/modules/access/cdda/access.c
   M /trunk/modules/access/cdda/cdda.h

2nd attempt to get libcdio cdda working.

mtime.h: define constant for second-to-millisecond conversions.


------------------------------------------------------------------------
r8646 | fkuehne | 2004-09-05 20:38:53 +0200 (Sun, 05 Sep 2004) | 3 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/modules/gui/wxwindows/extrapanel.cpp
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot

modules/gui/wxwindows/extrapanel.cpp: minor string fix
po/*: updated the po-files
THANKS: updated my mail-address
------------------------------------------------------------------------
r8645 | fkuehne | 2004-09-05 18:53:39 +0200 (Sun, 05 Sep 2004) | 1 line
Changed paths:
   M /trunk/po/de.po

* first update of the German translation
------------------------------------------------------------------------
r8644 | fkuehne | 2004-09-05 18:53:04 +0200 (Sun, 05 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/access/pvr/pvr.c
   M /trunk/modules/audio_filter/normvol.c
   M /trunk/modules/gui/macosx/equalizer.m
   M /trunk/modules/gui/ncurses.c
   M /trunk/modules/gui/wxwindows/bookmarks.cpp
   M /trunk/modules/gui/wxwindows/extrapanel.cpp
   M /trunk/modules/video_output/snapshot.c
   M /trunk/src/audio_output/input.c

* string review
------------------------------------------------------------------------
r8643 | rocky | 2004-09-04 16:51:04 +0200 (Sat, 04 Sep 2004) | 10 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/include/vlc_meta.h
   M /trunk/modules/access/cdda/access.c
   M /trunk/modules/access/cdda/cdda.c
   M /trunk/modules/access/cdda/cdda.h

First attempt to reinstate a libcdio cdda. 

vlc_meta.h: added CD-Text, ISO 9660, and CDDB fields. Separate email
will be sent about this.

Note: sound may be off by 2 seconds (150 sectors or pregap
amount). The sound for both this and the other cdda plugin don't work
for me. Before the last SVN update though that's what it sounded like.


------------------------------------------------------------------------
r8642 | bigben | 2004-09-04 12:39:44 +0200 (Sat, 04 Sep 2004) | 4 lines
Changed paths:
   M /trunk/modules/gui/macosx/open.m

* syntax to specify the dvd title/chapter to open has changed...



------------------------------------------------------------------------
r8641 | massiot | 2004-09-03 20:42:25 +0200 (Fri, 03 Sep 2004) | 4 lines
Changed paths:
   M /trunk/include/vlc_access.h
   M /trunk/modules/access/dvb/access.c
   M /trunk/modules/access/dvb/dvb.h
   M /trunk/modules/access/dvb/linux_dvb.c
   M /trunk/modules/demux/ts.c
   M /trunk/src/input/stream.c

* modules/demux/ts.c, modules/access/dvb: Added support for the CAM device
  of linuxtv drivers. We currently only descramble one channel (this will
  change in the near future). Also fixed a few demux-related bugs.

------------------------------------------------------------------------
r8640 | massiot | 2004-09-03 20:38:33 +0200 (Fri, 03 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/demuxdump.c

* modules/demux/demuxdump.c: Added a --demuxdump-append boolean option.

------------------------------------------------------------------------
r8639 | massiot | 2004-09-03 20:37:21 +0200 (Fri, 03 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/pvr/pvr.c

* modules/access/pvr/pvr.c: Added a --pvr-caching option.

------------------------------------------------------------------------
r8638 | zorglub | 2004-09-03 02:11:25 +0200 (Fri, 03 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/mpgatofixed32.c

msg_Err -> msg_Dbg

------------------------------------------------------------------------
r8637 | gbazin | 2004-09-02 23:42:14 +0200 (Thu, 02 Sep 2004) | 1 line
Changed paths:
   M /trunk/src/libvlc.h

* src/libvlc.h: plugins-cache is now enabled by default.
------------------------------------------------------------------------
r8636 | gbazin | 2004-09-02 23:19:35 +0200 (Thu, 02 Sep 2004) | 1 line
Changed paths:
   M /trunk/NEWS

* NEWS: next version is going to be 0.8.0.
------------------------------------------------------------------------
r8635 | gbazin | 2004-09-02 21:40:28 +0200 (Thu, 02 Sep 2004) | 1 line
Changed paths:
   M /trunk/src/video_output/vout_intf.c

* src/video_output/vout_intf.c: fixed mouse events forwarding in opengl provider.
------------------------------------------------------------------------
r8634 | gbazin | 2004-09-02 19:51:02 +0200 (Thu, 02 Sep 2004) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

* extras/contrib/src/packages.mak: fixed the faad2 package
------------------------------------------------------------------------
r8633 | gbazin | 2004-09-02 18:00:44 +0200 (Thu, 02 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwindows/video.cpp

* modules/gui/wxwindows/video.cpp: before resizing the interface when a video stops, wait a bit just to make sure a new video outut is not being spawned.
------------------------------------------------------------------------
r8632 | zorglub | 2004-09-02 17:31:00 +0200 (Thu, 02 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/extrapanel.cpp

Switch video-filters on the fly

------------------------------------------------------------------------
r8631 | gbazin | 2004-09-02 17:20:34 +0200 (Thu, 02 Sep 2004) | 1 line
Changed paths:
   M /trunk/src/video_output/video_output.c

* src/video_output/video_output.c: re-enabled on-the-fly switching of video filters.
------------------------------------------------------------------------
r8630 | gbazin | 2004-09-02 16:27:57 +0200 (Thu, 02 Sep 2004) | 1 line
Changed paths:
   M /trunk/src/input/demux.c

* src/input/demux.c: ignore STREAM_CONTROL_ACCESS control query + coding style changes.
------------------------------------------------------------------------
r8629 | hartman | 2004-09-02 09:47:01 +0200 (Thu, 02 Sep 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/README

* Don't say make bin works in the contrib system

------------------------------------------------------------------------
r8628 | gbazin | 2004-09-02 01:17:43 +0200 (Thu, 02 Sep 2004) | 1 line
Changed paths:
   M /trunk/ChangeLog

* ChangeLog: update.
------------------------------------------------------------------------
r8627 | gbazin | 2004-09-02 01:15:12 +0200 (Thu, 02 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/visualization/galaktos/Modules.am

* modules/visualization/galaktos/Modules.am: a whole lot of files were forgotten.
------------------------------------------------------------------------
r8626 | gbazin | 2004-09-02 00:26:48 +0200 (Thu, 02 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c

* modules/stream_out/transcode.c: fixed fps and audio-sync options.
------------------------------------------------------------------------
r8625 | hartman | 2004-09-02 00:08:00 +0200 (Thu, 02 Sep 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak

* fix the ebml and matroska downloads. added toolame target, but not enabled, since toolame is worse than ffmpeg when it comes to makefiles... ("it needs sam power").

------------------------------------------------------------------------
r8624 | hartman | 2004-09-01 23:40:35 +0200 (Wed, 01 Sep 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

* updated ebml, matroska, liveMedia and faad2 version

------------------------------------------------------------------------
r8623 | zorglub | 2004-09-01 22:02:17 +0200 (Wed, 01 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

Added "is_playing", "get_title", "get_time" and "get_length" to get computer-readable output (for third-party programs)

------------------------------------------------------------------------
r8622 | titer | 2004-09-01 20:59:23 +0200 (Wed, 01 Sep 2004) | 4 lines
Changed paths:
   M /trunk/src/video_output/vout_subpictures.c

 + vout_subpictures.c: don't check only the first subpicture_t to see
   if we need blending & rendering modules (fixes text messages which
   were missing sometimes)

------------------------------------------------------------------------
r8621 | titer | 2004-09-01 20:41:22 +0200 (Wed, 01 Sep 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/freetype.c

 + misc/freetype.c: workaround yet another weird BeOS behaviour

------------------------------------------------------------------------
r8620 | gbazin | 2004-09-01 17:56:03 +0200 (Wed, 01 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/dmo/dmo.c

* modules/codec/dmo/dmo.c: specify required input chroma for video encoding.
------------------------------------------------------------------------
r8619 | gbazin | 2004-09-01 17:37:40 +0200 (Wed, 01 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c

* modules/stream_out/transcode.c: free the original picture pointer, not the aligned one.
------------------------------------------------------------------------
r8618 | gbazin | 2004-09-01 16:34:24 +0200 (Wed, 01 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/mux/asf.c

* modules/mux/asf.c: MUX_GET_ADD_STREAM_WAIT == true. Seems even asfh can't send new headers after the stream started.
------------------------------------------------------------------------
r8617 | gbazin | 2004-09-01 16:26:23 +0200 (Wed, 01 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/video_filter.c

* modules/codec/ffmpeg/video_filter.c: oops, copy&paste bug.
------------------------------------------------------------------------
r8616 | gbazin | 2004-09-01 16:07:45 +0200 (Wed, 01 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/mux/asf.c

* modules/mux/asf.c: fixed a bug I introduced in my last commit.
------------------------------------------------------------------------
r8615 | gbazin | 2004-09-01 16:02:23 +0200 (Wed, 01 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/video.c

* modules/codec/ffmpeg/video.c: fixed a crash on win32 (s/free/av_free).
------------------------------------------------------------------------
r8614 | gbazin | 2004-09-01 15:27:46 +0200 (Wed, 01 Sep 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/x264.c

* modules/codec/x264.c: updated to latest x264 version.
------------------------------------------------------------------------
r8613 | gbazin | 2004-09-01 15:19:43 +0200 (Wed, 01 Sep 2004) | 1 line
Changed paths:
   M /trunk/src/input/input.c

* src/input/input.c: fixed small memory leak.
------------------------------------------------------------------------
r8612 | zorglub | 2004-09-01 14:54:34 +0200 (Wed, 01 Sep 2004) | 6 lines
Changed paths:
   M /trunk/share/http/index.html
   M /trunk/share/http/style.css

* Added some status information to the HTTP interface

* Invalid HTML SUX !
* Table layout SUX !


------------------------------------------------------------------------
r8611 | zorglub | 2004-09-01 13:02:15 +0200 (Wed, 01 Sep 2004) | 7 lines
Changed paths:
   M /trunk/doc/fortunes.txt
   M /trunk/modules/access/pvr/pvr.c
   M /trunk/modules/access/screen/screen.c
   M /trunk/modules/audio_filter/normvol.c
   M /trunk/po/POTFILES.in
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot
   M /trunk/src/libvlc.h

* Fixed a few string errors

* Update PO files

* First round of updates for the french l10n


------------------------------------------------------------------------
r8610 | gbazin | 2004-09-01 00:53:22 +0200 (Wed, 01 Sep 2004) | 1 line
Changed paths:
   M /trunk/src/video_output/vout_subpictures.c

* src/video_output/vout_subpictures.c: use p_vout->output instead of p_vout->render where necessary.
------------------------------------------------------------------------
r8609 | hartman | 2004-08-31 22:44:47 +0200 (Tue, 31 Aug 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/extras/MacOSX/Resources/English.lproj/InfoPlist.strings
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj

* Updated version number to 0.8.0-test1 and to codename Janus

------------------------------------------------------------------------
r8608 | hartman | 2004-08-31 22:21:54 +0200 (Tue, 31 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

 * Defer nsviews untill the NSWindow is created. Hopefully fixes the VLC[25709] *** Assertion failure in -[NSViewHierarchyLock unlockTopMostReader], AppKit.subproj/NSViewHierarchyLock.m:428

------------------------------------------------------------------------
r8607 | hartman | 2004-08-31 20:52:22 +0200 (Tue, 31 Aug 2004) | 2 lines
Changed paths:
   M /trunk/src/misc/modules.c

* forgot the most important file of the commit :)

------------------------------------------------------------------------
r8606 | hartman | 2004-08-31 20:32:54 +0200 (Tue, 31 Aug 2004) | 4 lines
Changed paths:
   M /trunk/modules/access/cdda.c
   M /trunk/modules/access/directory.c
   M /trunk/modules/access/dshow/dshow.cpp
   M /trunk/modules/access/dvb/access.c
   M /trunk/modules/access/file.c
   M /trunk/modules/access/ftp.c
   M /trunk/modules/access/http.c
   M /trunk/modules/access/mms/mmsh.c
   M /trunk/modules/access/mms/mmstu.c
   M /trunk/modules/access/pvr/pvr.c
   M /trunk/modules/access/tcp.c
   M /trunk/modules/access/udp.c
   M /trunk/modules/access/vcd/vcd.c

* Don't bitch anymore about not found access_demux plugins.
* Add ACCESS_SET_PRIVATE_ID_STATE to the list of every access plugin
* msg_Err -> msg_Warn for unimplemented Control queries

------------------------------------------------------------------------
r8605 | gbazin | 2004-08-31 20:29:58 +0200 (Tue, 31 Aug 2004) | 8 lines
Changed paths:
   M /trunk/include/vlc_video.h
   M /trunk/modules/codec/subsdec.c
   M /trunk/modules/misc/freetype.c
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/vout_subpictures.c

* src/video_output/vout_subpictures.c, include/vlc_video.h:
  + introduce a "TEXT" subpicture region type.
  + a psz_text field stores the subpicture text.
* src/video_output/video_text.c: produce "TEXT" subpictures.
* modules/codec/subsdec.c: produce "TEXT" subpictures.
* modules/misc/freetype.c: auto sizing works again.


------------------------------------------------------------------------
r8604 | gbazin | 2004-08-31 14:02:12 +0200 (Tue, 31 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/format.c
   M /trunk/modules/stream_out/transcode.c

* modules/stream_out/transcode.c, modules/audio_filter/format.c: fixed a bunch of stupid mistakes.
------------------------------------------------------------------------
r8603 | gbazin | 2004-08-31 14:00:38 +0200 (Tue, 31 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/converter/a52tofloat32.c
   M /trunk/modules/audio_filter/converter/dtstofloat32.c
   M /trunk/modules/audio_filter/converter/mpgatofixed32.c

* modules/audio_filter/converter/dtstofloat32.c,a52tofloat32.c,mpgatofixed32.c: release the old audio buffer after conversion.
------------------------------------------------------------------------
r8602 | gbazin | 2004-08-31 13:58:40 +0200 (Tue, 31 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/araw.c

* modules/codec/araw.c: got rid of the audio conversion in the encoder, which is now done by the audio filters.
------------------------------------------------------------------------
r8601 | gbazin | 2004-08-31 12:25:39 +0200 (Tue, 31 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/ps.h

* modules/demux/ps.h: oups... fixed typo in my ps_pkt_parse_system() fix.
------------------------------------------------------------------------
r8600 | gbazin | 2004-08-31 11:29:04 +0200 (Tue, 31 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/converter/a52tofloat32.c
   M /trunk/modules/audio_filter/converter/dtstofloat32.c

* modules/audio_filter/converter/dtstofloat32.c,a52tofloat32.c: don't forget to update the size of the audio buffer after decoding.
------------------------------------------------------------------------
r8599 | bigben | 2004-08-31 07:44:15 +0200 (Tue, 31 Aug 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/open.m

Consistency in labels.


------------------------------------------------------------------------
r8598 | titer | 2004-08-31 00:53:40 +0200 (Tue, 31 Aug 2004) | 2 lines
Changed paths:
   M /trunk/src/input/es_out.c

 compile fix

------------------------------------------------------------------------
r8597 | gbazin | 2004-08-30 23:02:00 +0200 (Mon, 30 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c

* modules/stream_out/transcode.c: fix for channels mapping.
------------------------------------------------------------------------
r8596 | bigben | 2004-08-30 22:57:08 +0200 (Mon, 30 Aug 2004) | 3 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/open.h
   M /trunk/modules/gui/macosx/open.m

* Add some options to the subtitle selection dialog. (relative size, encoding, and alignement).


------------------------------------------------------------------------
r8595 | gbazin | 2004-08-30 21:58:56 +0200 (Mon, 30 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/rawvideo.c
   M /trunk/modules/demux/avi/avi.c

* modules/demux/avi/avi.c, modules/codec/rawvideo.c: RGB DIBs are coded from bottom to top.
------------------------------------------------------------------------
r8594 | gbazin | 2004-08-30 21:37:35 +0200 (Mon, 30 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/access/v4l/v4l.c

* modules/access/v4l/v4l.c: in v4l, RGB24 really is BGR24. Changed aspect ratio to 4:3.
------------------------------------------------------------------------
r8593 | gbazin | 2004-08-30 21:24:55 +0200 (Mon, 30 Aug 2004) | 3 lines
Changed paths:
   M /trunk/include/vlc_es.h
   M /trunk/modules/codec/ffmpeg/chroma.c
   M /trunk/modules/codec/ffmpeg/video_filter.c
   M /trunk/modules/codec/rawvideo.c
   M /trunk/modules/demux/avi/avi.c
   M /trunk/src/input/decoder.c

* ALL: use rgb mask members in video_format_t.
* modules/demux/avi/avi.c: raw RGB 24 is in fact BGR 24.

------------------------------------------------------------------------
r8592 | gbazin | 2004-08-30 19:46:46 +0200 (Mon, 30 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/mux/mpeg/ts.c

* modules/mux/mpeg/ts.c: waiting for the fifo to have 51 packets before muxing is completely insane. Put back the old value of 2 packets.
------------------------------------------------------------------------
r8591 | gbazin | 2004-08-30 18:28:38 +0200 (Mon, 30 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c

* modules/stream_out/transcode.c: don't segfault when video encoder or filter can't be opened.
------------------------------------------------------------------------
r8590 | gbazin | 2004-08-30 16:52:52 +0200 (Mon, 30 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwindows/interface.cpp

* modules/gui/wxwindows/interface.cpp: do not use a checkbox control for the bookmarks menu
------------------------------------------------------------------------
r8589 | zorglub | 2004-08-30 15:14:05 +0200 (Mon, 30 Aug 2004) | 2 lines
Changed paths:
   M /trunk/NEWS

Few improvements

------------------------------------------------------------------------
r8588 | hartman | 2004-08-30 13:02:33 +0200 (Mon, 30 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/mp4.c

* Remove fprintf debug statement in the mp4 demux

------------------------------------------------------------------------
r8587 | damienf | 2004-08-30 12:45:01 +0200 (Mon, 30 Aug 2004) | 9 lines
Changed paths:
   M /trunk/src/input/stream.c


i've modified the following functions to properly skip data (read buffer is nil) on streams which cannot be seeked.

AStreamReadBlock()
AStreamReadStream()

before those modifications, playback would suddenly be interrupted after a while on network streams prone to packet loss.


------------------------------------------------------------------------
r8586 | gbazin | 2004-08-30 12:35:19 +0200 (Mon, 30 Aug 2004) | 1 line
Changed paths:
   M /trunk/NEWS

* NEWS: update
------------------------------------------------------------------------
r8585 | gbazin | 2004-08-30 04:15:25 +0200 (Mon, 30 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/ps.h

* modules/demux/ps.h: fixed parsing of system header.
------------------------------------------------------------------------
r8584 | gbazin | 2004-08-30 03:26:14 +0200 (Mon, 30 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/video_chroma/i420_rgb8.c

* modules/video_chroma/i420_rgb8.c: take care of width != pitch as well.
------------------------------------------------------------------------
r8583 | gbazin | 2004-08-30 03:24:08 +0200 (Mon, 30 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/video_chroma/i420_rgb16.c

* modules/video_chroma/i420_rgb16.c: take care of width != pitch as well.
------------------------------------------------------------------------
r8582 | gbazin | 2004-08-30 03:03:12 +0200 (Mon, 30 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/video_chroma/i420_yuy2.c

* modules/video_chroma/i420_yuy2.c: take care of chroma pitch as well.
------------------------------------------------------------------------
r8581 | gbazin | 2004-08-30 02:10:17 +0200 (Mon, 30 Aug 2004) | 1 line
Changed paths:
   M /trunk/src/input/es_out.c

* src/input/es_out.c: really fixed ES_OUT_SET_FMT this time.
------------------------------------------------------------------------
r8580 | gbazin | 2004-08-30 01:48:31 +0200 (Mon, 30 Aug 2004) | 1 line
Changed paths:
   M /trunk/src/input/es_out.c

* src/input/es_out.c: fixed ES_OUT_SET_FMT control.
------------------------------------------------------------------------
r8579 | gbazin | 2004-08-30 01:18:11 +0200 (Mon, 30 Aug 2004) | 1 line
Changed paths:
   M /trunk/src/video_output/vout_pictures.c

* src/video_output/vout_pictures.c: RV24 is really 24 bits per pixel.
------------------------------------------------------------------------
r8578 | hartman | 2004-08-30 00:32:39 +0200 (Mon, 30 Aug 2004) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* build ffmpeg with zlib on Mac/BeOS
  remember to configure vlc with --with-ffmpeg-zlib

------------------------------------------------------------------------
r8577 | hartman | 2004-08-30 00:18:25 +0200 (Mon, 30 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

* added TSCC decoder to our ffmpeg module

------------------------------------------------------------------------
r8576 | zorglub | 2004-08-29 23:26:16 +0200 (Sun, 29 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/standard.c
   M /trunk/src/stream_output/sap.c

Fix memleaks

------------------------------------------------------------------------
r8575 | hartman | 2004-08-29 21:48:09 +0200 (Sun, 29 Aug 2004) | 4 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m

* Fix the play/pause button status
* the prime manage thread now runs every .1 sec instead of .3,
  this might improve response sometimes.

------------------------------------------------------------------------
r8574 | fenrir | 2004-08-29 21:36:41 +0200 (Sun, 29 Aug 2004) | 4 lines
Changed paths:
   M /trunk/src/input/es_out.c

 * es_out: msg_Err -> msg_Warn for Program empty. But I still need to
fix it... (it should be annoying only with TS, you may have dead program
entry).

------------------------------------------------------------------------
r8573 | fenrir | 2004-08-29 21:34:54 +0200 (Sun, 29 Aug 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/mp4/libmp4.c
   M /trunk/modules/demux/mp4/libmp4.h
   M /trunk/modules/demux/mp4/mp4.c

 * mp4: support vobsub in .mp4 (NeroRecode), but won't work if the video
has been cropped.

------------------------------------------------------------------------
r8572 | hartman | 2004-08-29 17:59:12 +0200 (Sun, 29 Aug 2004) | 3 lines
Changed paths:
   M /trunk/TODO
   M /trunk/modules/gui/macosx/voutqt.m

* Don't release the VLCWindow on QTClose. The mainthread still needs it.
* Updated TODO list

------------------------------------------------------------------------
r8571 | hartman | 2004-08-29 17:11:50 +0200 (Sun, 29 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/open.m
   M /trunk/modules/gui/macosx/prefs.m
   M /trunk/modules/gui/macosx/prefs_widgets.m

* fix text encoding of subtitle filenames (and other paths).

------------------------------------------------------------------------
r8570 | titer | 2004-08-29 15:40:56 +0200 (Sun, 29 Aug 2004) | 2 lines
Changed paths:
   M /trunk/src/input/es_out.c

 src/input/es_out.c: gcc < 3 fix

------------------------------------------------------------------------
r8569 | gbazin | 2004-08-29 15:18:53 +0200 (Sun, 29 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c

* modules/stream_out/transcode.c: when overlaying subtitles, duplicate frames if they are referenced by the decoder.
------------------------------------------------------------------------
r8568 | gbazin | 2004-08-29 14:40:33 +0200 (Sun, 29 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/misc/dummy/vout.c

* modules/misc/dummy/vout.c: have the dummy vout use the render chroma by default.
------------------------------------------------------------------------
r8567 | gbazin | 2004-08-29 14:27:49 +0200 (Sun, 29 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/ogg.c

* modules/demux/ogg.c: fixed skipped pictures problem when starting a stream.
------------------------------------------------------------------------
r8566 | gbazin | 2004-08-29 13:42:43 +0200 (Sun, 29 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/mux/ogg.c

* modules/mux/ogg.c: when removing a stream, flush its fifo first.
------------------------------------------------------------------------
r8565 | gbazin | 2004-08-29 12:56:24 +0200 (Sun, 29 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/vorbis.c

* modules/codec/vorbis.c: VBR encoding is now the default + added a cbr option.
------------------------------------------------------------------------
r8564 | gbazin | 2004-08-29 11:58:07 +0200 (Sun, 29 Aug 2004) | 3 lines
Changed paths:
   M /trunk/modules/video_chroma/i420_rgb.c
   M /trunk/modules/video_output/x11/xcommon.c

* modules/video_output/x11/xcommon.c: 24 bits screen depth uses 32bits per pixels.
* video_chroma/i420_rgb.c: disable RV24 support (which was assuming 32 bits per pixels).

------------------------------------------------------------------------
r8563 | zorglub | 2004-08-29 11:04:20 +0200 (Sun, 29 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/playlist.cpp

Fix last  playlist item deletion with wxWIN32

------------------------------------------------------------------------
r8562 | asmax | 2004-08-29 11:00:03 +0200 (Sun, 29 Aug 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/commands/async_queue.cpp
   M /trunk/modules/gui/skins2/commands/async_queue.hpp

  * async_queue.*: AsyncQueue::remove is now thread-safe to avoid potential
  (but *very* unlikely) segfaults

------------------------------------------------------------------------
r8561 | gbazin | 2004-08-29 03:28:28 +0200 (Sun, 29 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/mpeg_audio.c

* modules/codec/mpeg_audio.c: correct bitrate.
------------------------------------------------------------------------
r8560 | gbazin | 2004-08-29 03:25:29 +0200 (Sun, 29 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/mux/ogg.c

* commit modules/mux/ogg.c: added SNOW fourcc.
------------------------------------------------------------------------
r8559 | gbazin | 2004-08-29 03:12:06 +0200 (Sun, 29 Aug 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.h
   M /trunk/modules/codec/ffmpeg/video_filter.c
   M /trunk/modules/stream_out/transcode.c

* codec/ffmpeg/video_filter.c: deinterlace filter.
* stream_out/transcode.c: deinterlacing works again.

------------------------------------------------------------------------
r8558 | gbazin | 2004-08-29 02:40:43 +0200 (Sun, 29 Aug 2004) | 4 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/dtstofloat32.c
   M /trunk/modules/audio_filter/format.c
   M /trunk/modules/codec/araw.c
   M /trunk/modules/codec/dts.c

* modules/audio_filter/converter/dtstofloat32.c: added implementation for the new audio filter architecture.
* codec/dts.c: bug fix.
* codec/araw.c: added more PCM formats to the encoder.

------------------------------------------------------------------------
r8557 | gbazin | 2004-08-29 01:59:55 +0200 (Sun, 29 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/a52tofloat32.c

* modules/audio_filter/converter/a52tofloat32.c: added implementation for the new audio filter architecture.

------------------------------------------------------------------------
r8556 | gbazin | 2004-08-29 01:58:01 +0200 (Sun, 29 Aug 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/vorbis.c
   M /trunk/modules/stream_out/transcode.c

* modules/codec/vorbis.c: vorbis encoder takes float32 as input.
* modules/stream_out/transcode.c: respect input requested by encoder.

------------------------------------------------------------------------
r8555 | gbazin | 2004-08-29 00:50:50 +0200 (Sun, 29 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwindows/menus.cpp

* modules/gui/wxwindows/menus.cpp: increased size of a couple of arrays for safety.
------------------------------------------------------------------------
r8554 | zorglub | 2004-08-28 21:29:32 +0200 (Sat, 28 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/fileinfo.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.h

Update the "Stream and Media Info" dialog

------------------------------------------------------------------------
r8553 | gbazin | 2004-08-28 20:37:02 +0200 (Sat, 28 Aug 2004) | 4 lines
Changed paths:
   M /trunk/modules/codec/theora.c
   M /trunk/modules/stream_out/transcode.c

* codec/theora.c: Removed the "multiple of 16" size restriction for the encoding.
  + correct cropping of the decoded video when specified.
* stream_out/transcode.c: make sure the size of the encoded video is at least a multiple of 2.

------------------------------------------------------------------------
r8552 | gbazin | 2004-08-28 20:07:35 +0200 (Sat, 28 Aug 2004) | 1 line
Changed paths:
   M /trunk/src/video_output/vout_pictures.c

* src/video_output/vout_pictures.c: oups, inverted i_visible_lines and i_lines.
------------------------------------------------------------------------
r8551 | gbazin | 2004-08-28 19:36:02 +0200 (Sat, 28 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/v4l/v4l.c
   M /trunk/modules/codec/cinepak.c
   M /trunk/modules/codec/dmo/dmo.c
   M /trunk/modules/codec/ffmpeg/video.c
   M /trunk/modules/codec/rawvideo.c
   M /trunk/modules/codec/tarkin.c
   M /trunk/modules/gui/beos/VideoOutput.cpp
   M /trunk/modules/gui/macosx/voutqt.m
   M /trunk/modules/gui/qnx/vout.c
   M /trunk/modules/video_chroma/i420_ymga.c
   M /trunk/modules/video_chroma/i420_yuy2.c
   M /trunk/modules/video_chroma/i422_yuy2.c
   M /trunk/modules/video_filter/adjust.c
   M /trunk/modules/video_filter/clone.c
   M /trunk/modules/video_filter/crop.c
   M /trunk/modules/video_filter/deinterlace.c
   M /trunk/modules/video_filter/distort.c
   M /trunk/modules/video_filter/invert.c
   M /trunk/modules/video_filter/logo.c
   M /trunk/modules/video_filter/motionblur.c
   M /trunk/modules/video_filter/transform.c
   M /trunk/modules/video_filter/wall.c
   M /trunk/modules/video_output/aa.c
   M /trunk/modules/video_output/caca.c
   M /trunk/modules/video_output/directx/directx.c
   M /trunk/modules/video_output/fb.c
   M /trunk/modules/video_output/ggi.c
   M /trunk/modules/video_output/glide.c
   M /trunk/modules/video_output/hd1000v.cpp
   M /trunk/modules/video_output/mga.c
   M /trunk/modules/video_output/opengl.c
   M /trunk/modules/video_output/qte/qte.cpp
   M /trunk/modules/video_output/sdl.c
   M /trunk/modules/video_output/wingdi.c
   M /trunk/modules/video_output/x11/xcommon.c
   M /trunk/modules/visualization/visual/visual.c
   M /trunk/src/video_output/vout_pictures.c

* ALL: use i_visible_lines in plane_t.

------------------------------------------------------------------------
r8550 | gbazin | 2004-08-28 18:46:22 +0200 (Sat, 28 Aug 2004) | 1 line
Changed paths:
   M /trunk/include/vlc_video.h

* include/vlc_video.h: added an i_visible_lines field to plane_t.
------------------------------------------------------------------------
r8549 | fenrir | 2004-08-28 17:40:11 +0200 (Sat, 28 Aug 2004) | 2 lines
Changed paths:
   M /trunk/src/input/stream.c

 * stream.c: oops another bug with  SET_ID...

------------------------------------------------------------------------
r8548 | fenrir | 2004-08-28 17:20:18 +0200 (Sat, 28 Aug 2004) | 2 lines
Changed paths:
   M /trunk/include/vlc_access.h
   M /trunk/modules/access/dvb/access.c

 * all: ooops wrong order for ACCESS_SET_PRIVATE_ID...

------------------------------------------------------------------------
r8547 | sam | 2004-08-28 13:29:48 +0200 (Sat, 28 Aug 2004) | 2 lines
Changed paths:
   M /trunk/debian/changelog
   M /trunk/doc/mad/DESIGN
   M /trunk/doc/skins/skins-howto.txt
   M /trunk/include/vlc_block_helper.h
   M /trunk/modules/access/satellite/access.c
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/video_output/directx/directx.c
   M /trunk/modules/video_output/directx/glwin32.c
   M /trunk/modules/video_output/ggi.c
   M /trunk/modules/video_output/opengl.c
   M /trunk/modules/video_output/sdl.c
   M /trunk/src/input/input.c
   M /trunk/src/stream_output/stream_output.c
   M /trunk/src/video_output/video_output.c

  * Spelling fixes.

------------------------------------------------------------------------
r8546 | gbazin | 2004-08-28 13:02:51 +0200 (Sat, 28 Aug 2004) | 9 lines
Changed paths:
   M /trunk/include/vlc_es_out.h
   M /trunk/modules/codec/flac.c
   M /trunk/modules/codec/speex.c
   M /trunk/modules/codec/theora.c
   M /trunk/modules/codec/vorbis.c
   M /trunk/modules/demux/mkv.cpp
   M /trunk/modules/demux/ogg.c
   M /trunk/modules/mux/ogg.c
   M /trunk/src/input/es_out.c

* include/vlc_es_out.h, src/input/es_out.c: added an ES_OUT_SET_FMT control.
* modules/demux/ogg.c, modules/demux/mkv.cpp:
  - store the vorbis/theora/speex headers in fmt.p_extra.
  - this change simplifies the code quite a bit and is a lot cleaner.
* modules/codec/vorbis.c, theora.c, speex.c, flac.c:
  - get the headers from fmt_in.p_extra or from the bitstream if empty.
* modules/mux/ogg.c:
  - recontstruct the headers from fmt.p_extra.

------------------------------------------------------------------------
r8545 | zorglub | 2004-08-28 12:04:15 +0200 (Sat, 28 Aug 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/dvb/access.c

s/access/access2


------------------------------------------------------------------------
r8544 | sam | 2004-08-27 22:58:33 +0200 (Fri, 27 Aug 2004) | 2 lines
Changed paths:
   M /trunk/debian/rules

  * debian/rules: typo.

------------------------------------------------------------------------
r8543 | sam | 2004-08-27 22:46:35 +0200 (Fri, 27 Aug 2004) | 7 lines
Changed paths:
   M /trunk/debian/Makefile.am
   M /trunk/debian/control
   D /trunk/debian/gnome-vlc.menu
   D /trunk/debian/gvlc.menu
   D /trunk/debian/kvlc.menu
   D /trunk/debian/qvlc.menu
   M /trunk/debian/rules
   M /trunk/include/vlc_common.h

  * debian/*.menu:
    + Removed unused menu files.
  * debian/rules:
    + Build libavformat.
  * include/vlc_common.h:
    + PACKAGE overrides PACKAGE_NAME.

------------------------------------------------------------------------
r8542 | gbazin | 2004-08-27 22:44:39 +0200 (Fri, 27 Aug 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/asf/asf.c
   M /trunk/modules/mux/asf.c

* modules/demux/asf/asf.c: ignore the ES extra data for mpeg audio.
* modules/mux/asf.c: bring the tracks back to a 0 based offset.

------------------------------------------------------------------------
r8541 | gbazin | 2004-08-27 22:10:21 +0200 (Fri, 27 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/mux/asf.c

* modules/mux/asf.c: flush our buffers on close.
------------------------------------------------------------------------
r8540 | sam | 2004-08-27 21:32:44 +0200 (Fri, 27 Aug 2004) | 4 lines
Changed paths:
   M /trunk/debian/changelog
   M /trunk/debian/control
   M /trunk/debian/gnome-vlc.menu
   M /trunk/debian/gvlc.menu
   M /trunk/debian/kvlc.menu
   M /trunk/debian/qvlc.menu
   M /trunk/debian/rules
   M /trunk/debian/wxvlc.menu

  * debian/rules:
    + Disabled the GNOME, Qt, GTK+ and KDE interfaces in favour of the
      WxWidgets one.

------------------------------------------------------------------------
r8539 | sam | 2004-08-27 21:30:37 +0200 (Fri, 27 Aug 2004) | 5 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/gui/wxwindows/interface.cpp
   M /trunk/modules/mux/ogg.c
   M /trunk/src/libvlc.c

  * include/vlc_common.h:
    + Use PACKAGE_NAME instead of PACKAGE.
  * modules/codec/ffmpeg/ffmpeg.c:
    + This module does not require AltiVec for now.

------------------------------------------------------------------------
r8538 | sam | 2004-08-27 19:25:31 +0200 (Fri, 27 Aug 2004) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in

  * po/POTFILES.in: updated for deprecated files.

------------------------------------------------------------------------
r8537 | gbazin | 2004-08-27 15:57:11 +0200 (Fri, 27 Aug 2004) | 1 line
Changed paths:
   M /trunk/configure.ac

* configure.ac: added --with-ffmpeg-dts/zlib options.
------------------------------------------------------------------------
r8536 | gbazin | 2004-08-27 15:49:20 +0200 (Fri, 27 Aug 2004) | 1 line
Changed paths:
   M /trunk/configure.ac

* configure.ac: fixed typo.
------------------------------------------------------------------------
r8535 | gbazin | 2004-08-27 15:34:44 +0200 (Fri, 27 Aug 2004) | 1 line
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/audio_filter/Modules.am

* configure.ac: add the audio format conversion filter.
------------------------------------------------------------------------
r8534 | gbazin | 2004-08-27 15:31:23 +0200 (Fri, 27 Aug 2004) | 11 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/include/audio_output.h
   M /trunk/include/vlc_block.h
   M /trunk/include/vlc_es.h
   M /trunk/include/vlc_filter.h
   M /trunk/modules/audio_filter/Modules.am
   M /trunk/modules/audio_filter/converter/mpgatofixed32.c
   A /trunk/modules/audio_filter/format.c
   M /trunk/modules/codec/ffmpeg/audio.c
   M /trunk/modules/stream_out/Modules.am
   M /trunk/modules/stream_out/transcode.c

* modules/stream_out/transcode.c:
  - Re-use our audio decoder modules instead of using libavcodec directly.
  - No more dependance on libavcodec.
  (downmixing is currently broken + you have to force the ffmpeg codec for a52)
* modules/audio_filter/format.c:
  - PCM audio format conversion filter using the new common filter architecture.
* modules/audio_filter/converter/mpgatofixed32.c:
  - implements both the old and new filter architecture (ie. useable in the transcoder).
* modules/codec/ffmpeg/audio.c:
  - fixes and cleanup.

------------------------------------------------------------------------
r8533 | sam | 2004-08-27 14:14:26 +0200 (Fri, 27 Aug 2004) | 2 lines
Changed paths:
   M /trunk/extras

  * extras: ignore extra directories.

------------------------------------------------------------------------
r8532 | sam | 2004-08-27 14:10:17 +0200 (Fri, 27 Aug 2004) | 11 lines
Changed paths:
   M /trunk/debian/Makefile.am
   M /trunk/debian/README.Debian
   M /trunk/debian/control
   M /trunk/debian/copyright
   M /trunk/debian/patches/00list
   D /trunk/debian/patches/20_faad2.dpatch
   M /trunk/debian/patches/20_interfaces.dpatch
   M /trunk/debian/rules

  * debian/rules:
    + Activated x264 support.
    + Re-enabled libmodplug support.
    + Build PIC plugins even on x86.
    + Disabled DVB and SLP because their code is broken.
  * debian/control:
    + Force the vlc-plugin-arts and qvlc dependencies.
    + Build-depend on jam and nasm because of x264.
  * debian/copyright:
    + Converted to UTF-8.

------------------------------------------------------------------------
r8531 | gbazin | 2004-08-26 23:27:06 +0200 (Thu, 26 Aug 2004) | 15 lines
Changed paths:
   M /trunk/include/vlc_codec.h
   M /trunk/include/vlc_filter.h
   M /trunk/include/vlc_objects.h
   M /trunk/include/vlc_video.h
   M /trunk/modules/codec/ffmpeg/Modules.am
   M /trunk/modules/codec/ffmpeg/chroma.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.h
   M /trunk/modules/codec/ffmpeg/video.c
   A /trunk/modules/codec/ffmpeg/video_filter.c
   M /trunk/modules/codec/libmpeg2.c
   M /trunk/modules/codec/speex.c
   M /trunk/modules/codec/theora.c
   M /trunk/modules/codec/toolame.c
   M /trunk/modules/codec/vorbis.c
   M /trunk/modules/stream_out/transcode.c
   M /trunk/src/misc/objects.c
   M /trunk/src/video_output/vout_pictures.c

* modules/codec/ffmpeg/video_filter.c, include/vlc_filter.h:
  - chroma + resizing video filter (using the filter_t architecture).
* modules/codec/ffmpeg/*:
  - cleanup + small updates.
* modules/codec/speex.c, theora.c, vorbis.c:
  - got rid of pf_header() in the encoder.
  - store the headers in fmt_out.p_extra (this will break the ogg muxer for now).
* modules/codec/libmpeg2.c, modules/codec/ffmpeg/video.c:
  - added a p_dec->b_pace_control field to signal if the decoder is allowed to drop frames.
* modules/stream_out/transcode.c:
  - heavy cleanup.
  - re-use video decoder modules and got rid of the duplicated ffmpeg video decoder.
  - use video filters for chroma conversion and resizing.
  (a few things are broken now like deinterlacing but I'll repair them asap).

------------------------------------------------------------------------
r8530 | gbazin | 2004-08-26 21:26:16 +0200 (Thu, 26 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/libmpeg2.c

* modules/codec/libmpeg2.c: use the DTS in the synchro algorithm.
------------------------------------------------------------------------
r8529 | gbazin | 2004-08-26 21:19:08 +0200 (Thu, 26 Aug 2004) | 1 line
Changed paths:
   M /trunk/src/input/decoder.c

* src/input/decoder.c: forward the p_block->i_rate info when required (fixes libmpeg2 decoding in the display stream output module).
------------------------------------------------------------------------
r8528 | sam | 2004-08-26 18:02:34 +0200 (Thu, 26 Aug 2004) | 2 lines
Changed paths:
   M /trunk/INSTALL

  * INSTALL: added a note about bootstrapping.

------------------------------------------------------------------------
r8527 | titer | 2004-08-26 15:11:16 +0200 (Thu, 26 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/ts.c

 + demux/ts.c: gcc < 3 fix

------------------------------------------------------------------------
r8526 | titer | 2004-08-26 14:59:31 +0200 (Thu, 26 Aug 2004) | 6 lines
Changed paths:
   M /trunk/modules/gui/beos/VideoOutput.cpp
   M /trunk/src/input/decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_intf.c

 + input/decoder.c: detach decoder after vout_Request(...,0,0,0,0)ing
     so AttachSPU can still reach p_input
 + src/video_output/*: init mouse variable before attaching p_vout so
     dvdnav can't add callbacks on those before there're created
 + beos/VideoOutput.cpp: removed tabs, sanity check

------------------------------------------------------------------------
r8525 | ipkiss | 2004-08-25 23:36:03 +0200 (Wed, 25 Aug 2004) | 2 lines
Changed paths:
   M /trunk/doc/skins/skins2-howto.xml

 * Update the docs

------------------------------------------------------------------------
r8524 | ipkiss | 2004-08-25 23:32:15 +0200 (Wed, 25 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/commands/cmd_change_skin.cpp
   M /trunk/modules/gui/skins2/commands/cmd_change_skin.hpp
   M /trunk/modules/gui/skins2/commands/cmd_dialogs.hpp
   M /trunk/modules/gui/skins2/commands/cmd_playlist.cpp
   M /trunk/modules/gui/skins2/commands/cmd_playlist.hpp
   M /trunk/modules/gui/skins2/parser/interpreter.cpp
   M /trunk/modules/gui/skins2/src/dialogs.cpp
   M /trunk/modules/gui/skins2/src/dialogs.hpp
   M /trunk/modules/gui/skins2/src/skin_main.cpp
   M /trunk/modules/gui/skins2/src/top_window.cpp

 * skins2: new "playlist.load()" and "playlist.save()" actions

------------------------------------------------------------------------
r8523 | fenrir | 2004-08-25 22:09:16 +0200 (Wed, 25 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/ts.c

 ts.c: send pid select/unselect to access. (untested).

------------------------------------------------------------------------
r8522 | fenrir | 2004-08-25 22:08:23 +0200 (Wed, 25 Aug 2004) | 2 lines
Changed paths:
   M /trunk/src/input/demux.c
   M /trunk/src/input/input.c

 * input: send DEMUX_SET_GROUP.

------------------------------------------------------------------------
r8521 | fenrir | 2004-08-25 22:06:00 +0200 (Wed, 25 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/dvb/access.c

 * dvb: fixes.

------------------------------------------------------------------------
r8520 | fenrir | 2004-08-25 20:50:36 +0200 (Wed, 25 Aug 2004) | 4 lines
Changed paths:
   M /trunk/include/vlc_access.h
   M /trunk/include/vlc_demux.h
   M /trunk/include/vlc_input.h

 * input: added a INPUT_UPDATE_META (for meta data in access like ICY)
 * access: added ACCESS_GET_TITLE_INFO (not yet implemented)
 * demux: added DEMUX_SET_GROUP (will be only for dvb/ts).

------------------------------------------------------------------------
r8519 | gbazin | 2004-08-25 17:09:50 +0200 (Wed, 25 Aug 2004) | 1 line
Changed paths:
   M /trunk/Makefile.am

* Makefile.am: fixed make package-win32-base.
------------------------------------------------------------------------
r8518 | fenrir | 2004-08-25 00:07:54 +0200 (Wed, 25 Aug 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/dvb/access.c
   M /trunk/modules/access/dvb/dvb.h

 * dvb: compilation fix. With great luck it may, perhaps, work in budget
mode (else I still need to hack ts demuxer).

------------------------------------------------------------------------
r8517 | fenrir | 2004-08-24 23:58:24 +0200 (Tue, 24 Aug 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/dvb/access.c
   M /trunk/modules/access/dvb/dvb.h
   M /trunk/modules/access/dvb/linux_dvb.c

 * dvn: first pass to port dvb to new api. (it doesn't even yet compile,
I haven't tried :)

------------------------------------------------------------------------
r8516 | sigmunau | 2004-08-24 22:50:36 +0200 (Tue, 24 Aug 2004) | 2 lines
Changed paths:
   M /trunk/share/Makefile.am

share/Makefile.am: update for default skin change

------------------------------------------------------------------------
r8515 | fenrir | 2004-08-24 22:03:15 +0200 (Tue, 24 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/udp.c

 * udp: unused line.

------------------------------------------------------------------------
r8514 | gbazin | 2004-08-24 21:38:09 +0200 (Tue, 24 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/video_output/x11/xcommon.c

* modules/video_output/x11/xcommon.c: fixed fullscreen with KDE 3.3
------------------------------------------------------------------------
r8513 | asmax | 2004-08-24 21:01:32 +0200 (Tue, 24 Aug 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/skin_main.cpp
   M /trunk/modules/gui/skins2/src/theme_repository.cpp
   M /trunk/modules/gui/skins2/src/theme_repository.hpp
   D /trunk/share/skins2/default
   A /trunk/share/skins2/default.vlt

  * the default skin is now shipped as a .vlt (whether you like it or not ;)
  * missing "Id" property

------------------------------------------------------------------------
r8512 | asmax | 2004-08-24 20:43:41 +0200 (Tue, 24 Aug 2004) | 2 lines
Changed paths:
   M /trunk/include/vlc_interface.h
   M /trunk/modules/gui/skins2/src/dialogs.cpp
   M /trunk/modules/gui/wxwindows/dialogs.cpp

  * all: removed obsolete b_blocking in intf_dialogs_arg_t

------------------------------------------------------------------------
r8511 | gbazin | 2004-08-24 20:31:13 +0200 (Tue, 24 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/Modules.am
   D /trunk/modules/demux/demuxstream.c

* modules/demux/demuxstream.c: module obsoleted by the --ts-out option of the ts demuxer (and is broken anyway).

------------------------------------------------------------------------
r8510 | fenrir | 2004-08-24 19:51:44 +0200 (Tue, 24 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/ts.c

 * ts.c: fixed --ts-out.

------------------------------------------------------------------------
r8509 | jlj | 2004-08-24 18:30:53 +0200 (Tue, 24 Aug 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/src/libvlc.c

  * ./src/libvlc.c: initialize dvd/vcd/cd-audio values using HAL.


------------------------------------------------------------------------
r8508 | fenrir | 2004-08-24 00:16:58 +0200 (Tue, 24 Aug 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/ps.c

 * ps.c: handle PES with 0 size. (look for next start code, slow but
better that nothing).

------------------------------------------------------------------------
r8507 | gbazin | 2004-08-23 17:19:56 +0200 (Mon, 23 Aug 2004) | 1 line
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_subpictures.c

* src/video_output/vout_subpictures.c, video_output.c: fixed a crash with dvd menus.
------------------------------------------------------------------------
r8506 | gbazin | 2004-08-23 12:09:52 +0200 (Mon, 23 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/packetizer/h264.c

* modules/packetizer/h264.c: modified ParseNALBlock() to return a complete picture and not just a picture slice.
------------------------------------------------------------------------
r8505 | gbazin | 2004-08-23 00:44:27 +0200 (Mon, 23 Aug 2004) | 1 line
Changed paths:
   M /trunk/src/input/decoder.c

* src/input/decoder.c: don't forget that packetizers can output a chain of data blocks.
------------------------------------------------------------------------
r8504 | gbazin | 2004-08-22 19:15:35 +0200 (Sun, 22 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/ogt/cvd.c
   M /trunk/modules/codec/ogt/ogt.c

* modules/codec/ogt/*: updated the prototype of the decode function.
------------------------------------------------------------------------
r8503 | asmax | 2004-08-22 17:24:48 +0200 (Sun, 22 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/theme_repository.cpp
   M /trunk/po/fr.po

  * all: french translation for skin popup menu

------------------------------------------------------------------------
r8502 | fenrir | 2004-08-22 17:17:35 +0200 (Sun, 22 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/x264.c

 * compilation fix.

------------------------------------------------------------------------
r8501 | hartman | 2004-08-22 17:16:03 +0200 (Sun, 22 Aug 2004) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj

* Added the new OSX vout files
* added the new OSX vout files to pb proj.

------------------------------------------------------------------------
r8500 | asmax | 2004-08-22 17:00:19 +0200 (Sun, 22 Aug 2004) | 4 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/dialogs.cpp
   M /trunk/modules/gui/skins2/src/theme_repository.cpp
   M /trunk/modules/gui/skins2/src/theme_repository.hpp

  * theme_repository.*: the popup menu for skin selection works !
  (it looks for .vlt files in all the directories of the resource path)
  * dialogs.cpp: fixed a stupid copy/paste mistake

------------------------------------------------------------------------
r8499 | ipkiss | 2004-08-22 16:39:16 +0200 (Sun, 22 Aug 2004) | 4 lines
Changed paths:
   M /trunk/doc/skins/skins2-howto.xml
   M /trunk/modules/gui/skins2/parser/interpreter.cpp
   M /trunk/modules/gui/skins2/src/vlcproc.hpp
   M /trunk/modules/gui/skins2/src/window_manager.cpp
   M /trunk/modules/gui/skins2/src/window_manager.hpp

 * skins2/src/window_manager.cpp: Added the vlc.isOnTop boolean variable
 * skins2/parser/interpreter.cpp: Renamed vlc.ontop() into vlc.onTop()
 * doc/skins/skins2-howto.xml: doc updated

------------------------------------------------------------------------
r8498 | hartman | 2004-08-22 16:32:51 +0200 (Sun, 22 Aug 2004) | 4 lines
Changed paths:
   M /trunk/modules/video_output/x11/glx.c

* initialize variables and don't use arguments that failed being created.
  (fixes glx when X11 isn't runnning)


------------------------------------------------------------------------
r8497 | gbazin | 2004-08-22 16:16:37 +0200 (Sun, 22 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/gui/skins2/src/skin_main.cpp

* modules/gui/skins2/src/skin_main.cpp: added a skins shortcut.
------------------------------------------------------------------------
r8496 | gbazin | 2004-08-22 16:10:27 +0200 (Sun, 22 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/video_output/x11/glx.c

* modules/video_output/x11/glx.c: don't call XCloseDisplay() if p_display == NULL.
------------------------------------------------------------------------
r8495 | asmax | 2004-08-22 14:50:39 +0200 (Sun, 22 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/Modules.am
   M /trunk/modules/gui/skins2/src/skin_common.hpp
   M /trunk/modules/gui/skins2/src/skin_main.cpp
   A /trunk/modules/gui/skins2/src/theme_repository.cpp
   A /trunk/modules/gui/skins2/src/theme_repository.hpp
   M /trunk/modules/gui/wxwindows/menus.cpp

  * all: skeleton of a popup menu entry for skin selection

------------------------------------------------------------------------
r8494 | gbazin | 2004-08-22 13:06:28 +0200 (Sun, 22 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/access/dvdread.c

* modules/access/dvdread.c: fixed chapter change detection.
------------------------------------------------------------------------
r8493 | asmax | 2004-08-22 12:38:26 +0200 (Sun, 22 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_list.cpp

  * ctrl_list.cpp: beginning of key handling in the playlist

------------------------------------------------------------------------
r8492 | asmax | 2004-08-22 11:40:07 +0200 (Sun, 22 Aug 2004) | 2 lines
Changed paths:
   M /trunk/share/Makefile.am

 * Makefile.am: don't forget to copy reduce_mouseover.png !

------------------------------------------------------------------------
r8491 | rocky | 2004-08-22 04:17:43 +0200 (Sun, 22 Aug 2004) | 2 lines
Changed paths:
   M /trunk/bootstrap

automake 1.8 works, so accept that as well.

------------------------------------------------------------------------
r8490 | hartman | 2004-08-21 21:45:40 +0200 (Sat, 21 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/video_output/x11/glx.c

* Fix a X11 GLX crash

------------------------------------------------------------------------
r8489 | gbazin | 2004-08-21 18:38:10 +0200 (Sat, 21 Aug 2004) | 1 line
Changed paths:
   M /trunk/configure.ac

* configure.ac: added an option for x264 support.
------------------------------------------------------------------------
r8488 | dionoea | 2004-08-21 18:02:06 +0200 (Sat, 21 Aug 2004) | 7 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/extrapanel.cpp
   M /trunk/po/fr.po

* modules/gui/wxwindows/extrapanel.cpp : Changed "Restore defaults" to 
  "Restore Defaults" so it gets translated

* po/fr.po : Chanded "Restore Defaults" translation
  


------------------------------------------------------------------------
r8487 | sam | 2004-08-21 16:11:41 +0200 (Sat, 21 Aug 2004) | 2 lines
Changed paths:
   M /trunk/Makefile.am

  * Makefile.am: yet another humiliating submission of automake.

------------------------------------------------------------------------
r8486 | asmax | 2004-08-21 16:06:08 +0200 (Sat, 21 Aug 2004) | 2 lines
Changed paths:
   M /trunk/Makefile.am

 * Makefile.am: "noinst_lib_DATA" broke bootstrap :(

------------------------------------------------------------------------
r8485 | asmax | 2004-08-21 15:54:36 +0200 (Sat, 21 Aug 2004) | 3 lines
Changed paths:
   M /trunk/modules/audio_output/alsa.c
   M /trunk/src/audio_output/output.c

 * alsa.c: compute next_date with snd_pcm_delay() if snd_pcm_status_get_tstamp
   doesn't work. Better than nothing but the sound is still poor with DVDs :(

------------------------------------------------------------------------
r8484 | gbazin | 2004-08-21 15:06:42 +0200 (Sat, 21 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwindows/open.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.h

* modules/gui/wxwindows/*: updated open disc dialog.
------------------------------------------------------------------------
r8483 | asmax | 2004-08-21 14:57:32 +0200 (Sat, 21 Aug 2004) | 4 lines
Changed paths:
   M /trunk/modules/audio_output/alsa.c

 * alsa.c: pass next_date=0 to aout_OutputNextBuffer if
   snd_pcm_status_get_tstamp() returns zero. I hope someone has a better
   fix because in fact it is not perfect (there are "clicks" with DVDs)

------------------------------------------------------------------------
r8482 | asmax | 2004-08-21 14:38:53 +0200 (Sat, 21 Aug 2004) | 5 lines
Changed paths:
   M /trunk/src/audio_output/output.c

 * src/audio_output/output.c: check if start_date is null in
   aout_OutputNextBuffer(), then do not try to resample or play silences.
   Now everything works perfectly with screwed ALSA drivers that always
   return zero in snd_pcm_status_get_tstamp() (at last!!!)

------------------------------------------------------------------------
r8481 | ipkiss | 2004-08-21 13:47:04 +0200 (Sat, 21 Aug 2004) | 2 lines
Changed paths:
   M /trunk/share/Makefile.am
   D /trunk/share/skins
   M /trunk/src/interface/interface.c

Removed the default skin for the skins1 module

------------------------------------------------------------------------
r8480 | ipkiss | 2004-08-21 13:34:33 +0200 (Sat, 21 Aug 2004) | 2 lines
Changed paths:
   M /trunk/build-vlc
   M /trunk/configure.ac
   M /trunk/modules/LIST
   D /trunk/modules/gui/skins
   M /trunk/toolbox
   M /trunk/vlc.win32.nsi

Removed the old skins plugin

------------------------------------------------------------------------
r8479 | gbazin | 2004-08-21 13:06:19 +0200 (Sat, 21 Aug 2004) | 4 lines
Changed paths:
   M /trunk/src/input/input.c
   M /trunk/src/libvlc.h

* src/input/input.c: changed MRL syntax again: URL[@[title][:chapter][-[title][:chapter]]]
   The parsing of the title/chapter section is more strict so shouldn't trigger on false positives like udp syntax or http url with login/password.
* src/libvlc.h: updated useage.

------------------------------------------------------------------------
r8478 | sam | 2004-08-21 12:46:32 +0200 (Sat, 21 Aug 2004) | 4 lines
Changed paths:
   M /trunk/Makefile.am

  * Makefile.am:
    + Don't use vlc_app_DATA for the BeOS bundle.
    + Build the BeOS bundle in $(top_builddir).

------------------------------------------------------------------------
r8477 | gbazin | 2004-08-21 02:22:44 +0200 (Sat, 21 Aug 2004) | 3 lines
Changed paths:
   M /trunk/src/input/input.c
   M /trunk/src/libvlc.h

* src/libvlc.h: updated useage.
* src/input/input.c: hack for udp access and MRLSections().

------------------------------------------------------------------------
r8476 | gbazin | 2004-08-21 01:37:40 +0200 (Sat, 21 Aug 2004) | 6 lines
Changed paths:
   M /trunk/include/vlc_input.h
   M /trunk/modules/access/cdda.c
   M /trunk/modules/access/dvdnav.c
   M /trunk/modules/access/dvdread.c
   M /trunk/src/input/input.c
   M /trunk/src/input/var.c

* src/input/*, include/vlc_input.h: the MRL is now parsed for titles/chapters directly in the core.
  - syntax is: [url][@[title-start][,chapter-start][-[title-end][,chapter-end]]]
  - core also handles start/end boundaries itself (simplifies the access plugins).
* modules/access/dvdread.c,dvdnav.c,cdda.c: removed MRL parsing code.


------------------------------------------------------------------------
r8475 | titer | 2004-08-20 17:49:09 +0200 (Fri, 20 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/MessagesWindow.cpp
   M /trunk/modules/gui/beos/MessagesWindow.h

 beos/MessagesWindow*: fixed messages window

------------------------------------------------------------------------
r8474 | sam | 2004-08-20 17:21:43 +0200 (Fri, 20 Aug 2004) | 4 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/stream_out/transcode.c

  * modules/codec/ffmpeg/ffmpeg.c modules/stream_out/transcode.c:
    + Added macros for AltiVec versions of these modules. Will not work at all
      for the moment.

------------------------------------------------------------------------
r8473 | sam | 2004-08-20 17:09:43 +0200 (Fri, 20 Aug 2004) | 2 lines
Changed paths:
   M /trunk/src/input/control.c

  * src/input/control.c: minor typo in a comment.

------------------------------------------------------------------------
r8472 | sam | 2004-08-20 16:57:18 +0200 (Fri, 20 Aug 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/codec/ffmpeg/Modules.am
   M /trunk/modules/stream_out/Modules.am

  * configure.ac: Added --enable-ffmpegaltivec. Do not use it.

------------------------------------------------------------------------
r8471 | titer | 2004-08-20 16:40:23 +0200 (Fri, 20 Aug 2004) | 4 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/configure.ac

 + configure.ac: always build the beos module built-in
   (really strange crashes happen otherwise, can't figure out why)
 + Makefile.am: don't forget to build vlc-bundle on BeOS

------------------------------------------------------------------------
r8470 | gbazin | 2004-08-20 15:01:49 +0200 (Fri, 20 Aug 2004) | 7 lines
Changed paths:
   M /trunk/modules/access/cdda.c

* modules/access/cdda.c: new MRL syntax: "[dev_path][@[title-start][-[title-end]]]".
  - if no title-start/end are specified, the whole cd is played.
  - if only a title-start is specified, only this title is played.
  - if a title-start and end are specified, this range is played.
  - "@title-start-" will play everything from the specified start position.


------------------------------------------------------------------------
r8469 | titer | 2004-08-20 13:57:51 +0200 (Fri, 20 Aug 2004) | 4 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/Patches/gettext.patch

 extras/contrib/*: don't use gettext *printf replacements on BeOS even
  though there're not 100% posix compliant - this way we can build vlc
  with dynamic plugins (not linked against libintl) again

------------------------------------------------------------------------
r8468 | gbazin | 2004-08-20 12:19:42 +0200 (Fri, 20 Aug 2004) | 1 line
Changed paths:
   M /trunk/NEWS

* NEWS: updated
------------------------------------------------------------------------
r8467 | gbazin | 2004-08-20 11:01:19 +0200 (Fri, 20 Aug 2004) | 1 line
Changed paths:
   M /trunk/src/input/input.c
   M /trunk/src/input/input_internal.h
   M /trunk/src/input/stream.c

* src/input/*: update position on title change.
------------------------------------------------------------------------
r8466 | gbazin | 2004-08-20 10:27:59 +0200 (Fri, 20 Aug 2004) | 1 line
Changed paths:
   M /trunk/src/input/input.c

* src/input/input.c: re-enabled the --bookmarks option.
------------------------------------------------------------------------
r8465 | gbazin | 2004-08-19 19:06:51 +0200 (Thu, 19 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c

*  modules/stream_out/transcode.c: implemented fps option for video only streams.
------------------------------------------------------------------------
r8464 | sigmunau | 2004-08-19 17:31:22 +0200 (Thu, 19 Aug 2004) | 4 lines
Changed paths:
   M /trunk/modules/demux/livedotcom.cpp

livedotcom.cpp: update the StreamRead function to non-deprecated api, new
api gives proper detection for too small buffer. Thanks to Ross for pointing
this out.

------------------------------------------------------------------------
r8463 | gbazin | 2004-08-19 17:11:32 +0200 (Thu, 19 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/mux/asf.c

* modules/mux/asf.c: use syncpoints + add an empty index object to make wmp happy about seeking.
------------------------------------------------------------------------
r8462 | gbazin | 2004-08-19 17:02:51 +0200 (Thu, 19 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/dmo/dmo.c
   M /trunk/modules/codec/dmo/dmo.h

* modules/codec/dmo/*: flag sync-points in the video encoder.
------------------------------------------------------------------------
r8461 | gbazin | 2004-08-19 17:01:54 +0200 (Thu, 19 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c

* modules/stream_out/transcode.c: small cleanup + added an fps (to specify the output frame rate) and an audio-sync option (to add/drop video frames to keep a constant framerate while being synchronised on the audio track).
------------------------------------------------------------------------
r8460 | gbazin | 2004-08-19 14:25:22 +0200 (Thu, 19 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/mux/asf.c

* modules/mux/asf.c: small cleanup
------------------------------------------------------------------------
r8459 | gbazin | 2004-08-19 13:32:20 +0200 (Thu, 19 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/mux/asf.c

* modules/mux/asf.c: don't forget to add the preroll offset to the data timestamps.
------------------------------------------------------------------------
r8458 | sigmunau | 2004-08-18 18:30:45 +0200 (Wed, 18 Aug 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/livedotcom.cpp

livedotcom.cpp: use geometric growth for the buffer. Should reduce in much
fewer garbled frames. Still not perfect though.

------------------------------------------------------------------------
r8457 | sigmunau | 2004-08-18 18:04:01 +0200 (Wed, 18 Aug 2004) | 5 lines
Changed paths:
   M /trunk/modules/demux/livedotcom.cpp

livedotcom.cpp: dynamically determine the buffer size passed to live.com
    When the buffer passed to live.com don't have space for another packet 
    when we get it back we assume that the stream uses larger frames than
    our current buffer and we increase the buffer.

------------------------------------------------------------------------
r8456 | gbazin | 2004-08-18 17:46:01 +0200 (Wed, 18 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/mux/asf.c

* modules/mux/asf.c: the asf muxer can only add streams on the fly when in http mode (otherwise this will screw up the header re-writing on Close().)
------------------------------------------------------------------------
r8455 | sigmunau | 2004-08-18 14:06:52 +0200 (Wed, 18 Aug 2004) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in

po/POTFILES.in: updated from clean tree (seems necessary for make-dist to work)

------------------------------------------------------------------------
r8454 | gbazin | 2004-08-18 14:04:03 +0200 (Wed, 18 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/mux/asf.c

* modules/mux/asf.c: a few coding style changes.
------------------------------------------------------------------------
r8453 | sigmunau | 2004-08-18 13:46:40 +0200 (Wed, 18 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/Modules.am

Modules.am: fixed incorrect filename

------------------------------------------------------------------------
r8452 | gbazin | 2004-08-18 13:08:54 +0200 (Wed, 18 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/dmo/dmo.c
   M /trunk/modules/codec/dmo/dmo.h

* modules/codec/dmo/*: fixed video encoding.
------------------------------------------------------------------------
r8451 | sigmunau | 2004-08-18 11:59:29 +0200 (Wed, 18 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/audio_output/alsa.c

alsa.c: support mono on stereo only boards

------------------------------------------------------------------------
r8450 | sigmunau | 2004-08-18 11:45:07 +0200 (Wed, 18 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/audio_output/alsa.c

alsa.c: don't fail the probe without giving a reason in the log.

------------------------------------------------------------------------
r8449 | titer | 2004-08-17 22:55:55 +0200 (Tue, 17 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/MediaControlView.cpp
   M /trunk/modules/gui/beos/MediaControlView.h

 beos/*: fixed seek, clean up

------------------------------------------------------------------------
r8448 | titer | 2004-08-17 19:24:02 +0200 (Tue, 17 Aug 2004) | 7 lines
Changed paths:
   M /trunk/modules/gui/beos/Interface.cpp
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/InterfaceWindow.h
   M /trunk/modules/gui/beos/ListViews.cpp
   M /trunk/modules/gui/beos/ListViews.h
   M /trunk/modules/gui/beos/MediaControlView.cpp
   M /trunk/modules/gui/beos/MediaControlView.h
   M /trunk/modules/gui/beos/MessagesWindow.cpp
   M /trunk/modules/gui/beos/MessagesWindow.h
   M /trunk/modules/gui/beos/Modules.am
   M /trunk/modules/gui/beos/PlayListWindow.cpp
   M /trunk/modules/gui/beos/PlayListWindow.h
   D /trunk/modules/gui/beos/VlcWrapper.cpp
   D /trunk/modules/gui/beos/VlcWrapper.h
   M /trunk/src/libvlc.h

 + src/libvlc.h: use KEY_SPACE instead of ' '
 + gui/beos/*: got rid of the VlcWrapper thing which is unneccessaraly
               complex now that we have variables

 Language/subtitle selection works again in the BeOS UI, but there's
 still a lot to fix :|

------------------------------------------------------------------------
r8447 | titer | 2004-08-17 18:59:02 +0200 (Tue, 17 Aug 2004) | 4 lines
Changed paths:
   M /trunk/modules/gui/macosx/equalizer.m
   M /trunk/modules/gui/macosx/voutgl.m
   M /trunk/modules/gui/macosx/voutqt.m

 + macosx/equalizer.m: missing vlc_object_release()
 + macosx/vout*: --macosx-vout and --macosx-opengl-effect
                 no longer exist

------------------------------------------------------------------------
r8446 | titer | 2004-08-17 17:17:04 +0200 (Tue, 17 Aug 2004) | 6 lines
Changed paths:
   M /trunk/modules/gui/macosx/Modules.am
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/macosx.m
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m
   A /trunk/modules/gui/macosx/voutgl.m
   A /trunk/modules/gui/macosx/voutqt.m
   M /trunk/modules/video_output/opengl.c

 ALL: OS X OpenGL provider
  + vout.m contains the common code for the QT video output and the
    GL provider (window creation, events handling)
  + opengl.c: higher priority on OS X
 Things are a bit broken atm, any help to debug is welcome ;p

------------------------------------------------------------------------
r8445 | gbazin | 2004-08-17 12:31:51 +0200 (Tue, 17 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/dmo/dmo.c
   M /trunk/modules/codec/dmo/dmo.h

* modules/codec/dmo/*: added dmo encoder (can't get video encoding to work though).
------------------------------------------------------------------------
r8444 | gbazin | 2004-08-17 10:21:07 +0200 (Tue, 17 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/demux.c

* modules/codec/ffmpeg/demux.c: a few fixes.
------------------------------------------------------------------------
r8443 | titer | 2004-08-16 15:35:33 +0200 (Mon, 16 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/flac.c

 gcc < 3 compile fix

------------------------------------------------------------------------
r8442 | titer | 2004-08-16 14:51:11 +0200 (Mon, 16 Aug 2004) | 4 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/ebml.patch
   M /trunk/extras/contrib/src/Patches/ffmpeg.patch.cvs
   A /trunk/extras/contrib/src/Patches/matroska.patch
   M /trunk/modules/demux/mkv.cpp
   M /trunk/modules/video_filter/deinterlace.c
   M /trunk/src/misc/cpu.c

 ALL: BeOS fixes
 There's a new stable gcc out for BeOS, now we can re-enable 3DNow/SEE
 and build matroska support

------------------------------------------------------------------------
r8441 | gbazin | 2004-08-16 12:06:54 +0200 (Mon, 16 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/video_output/x11/xcommon.c

* modules/video_output/x11/xcommon.c: play nice even when there isn't any window manager.
------------------------------------------------------------------------
r8440 | sigmunau | 2004-08-16 11:39:14 +0200 (Mon, 16 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

modules/codec/ffmpeg/ffmpeg.c: corrected a build number

------------------------------------------------------------------------
r8439 | sam | 2004-08-16 10:42:33 +0200 (Mon, 16 Aug 2004) | 4 lines
Changed paths:
   M /trunk/configure.ac

  * configure.ac:
    + Build memcpyaltivec and deinterlace with -maltivec.
    + Check for -ldts_pic before -ldts.

------------------------------------------------------------------------
r8438 | sam | 2004-08-16 10:29:06 +0200 (Mon, 16 Aug 2004) | 6 lines
Changed paths:
   M /trunk/debian/Makefile.am
   M /trunk/debian/changelog
   M /trunk/debian/control
   M /trunk/debian/patches/00list
   D /trunk/debian/patches/20_configure.dpatch
   M /trunk/debian/rules
   M /trunk/debian/wxvlc.menu

  * debian/patches/20_configure.dpatch:
    + Don't manage this patch with dpatch since it causes ownership issues.
  * debian/control:
    + Added a missing dpatch build dependency (Closes: #263363).
    + Removed the modplug plugin until libmodplug-dev enters Debian.

------------------------------------------------------------------------
r8437 | hartman | 2004-08-16 02:45:24 +0200 (Mon, 16 Aug 2004) | 4 lines
Changed paths:
   M /trunk/modules/demux/subtitle.c

* Fix a problem with empty subtitles with Subviewer subs
* fixed a line ending replace problem with subviewer subs
* single char subtitle lines should now work subviewer and subrip

------------------------------------------------------------------------
r8436 | gbazin | 2004-08-15 19:08:10 +0200 (Sun, 15 Aug 2004) | 6 lines
Changed paths:
   M /trunk/modules/codec/dvbsub.c
   M /trunk/modules/mux/mpeg/ts.c
   M /trunk/modules/stream_out/transcode.c

* modules/mux/mpeg/ts.c: reworked muxing of subtitles ES.
* modules/stream_out/transcode.c: support for subtitles transcoding.
* modules/codec/dvbsub.c: DVB subtitles encoder (developed for Anevia, www.anevia.com).
  + only works on YUVP subpictures for now.
  + not completely spec compliant yet.

------------------------------------------------------------------------
r8435 | gbazin | 2004-08-15 18:09:03 +0200 (Sun, 15 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/a52.c

* modules/codec/a52.c: fixed segfault
------------------------------------------------------------------------
r8434 | gbazin | 2004-08-15 17:59:25 +0200 (Sun, 15 Aug 2004) | 1 line
Changed paths:
   M /trunk/src/video_output/vout_subpictures.c

* src/video_output/vout_subpictures.c: fixed a deadlock that happened when 2 ephemer subpictures had the same date.
------------------------------------------------------------------------
r8433 | gbazin | 2004-08-15 17:05:11 +0200 (Sun, 15 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/access/dshow/dshow.cpp

* modules/access/dshow/dshow.cpp: compilation fix.
------------------------------------------------------------------------
r8432 | gbazin | 2004-08-15 16:57:47 +0200 (Sun, 15 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/mpeg_audio.c

* modules/codec/mpeg_audio.c: fixed segfault
------------------------------------------------------------------------
r8431 | bigben | 2004-08-15 16:22:28 +0200 (Sun, 15 Aug 2004) | 3 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m

* Adds postprocessing menu


------------------------------------------------------------------------
r8430 | djc | 2004-08-15 14:10:46 +0200 (Sun, 15 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/equalizer.m

Set the preamp value on a preset change

------------------------------------------------------------------------
r8429 | djc | 2004-08-15 01:28:31 +0200 (Sun, 15 Aug 2004) | 5 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/audio_filter/Modules.am
   M /trunk/modules/audio_filter/equalizer.c
   A /trunk/modules/audio_filter/equalizer_presets.h
   M /trunk/modules/gui/macosx/equalizer.h
   M /trunk/modules/gui/macosx/equalizer.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m

*.nib: continuous sliders
intf: Equalizer window in window menu
equalizer.m: presets should work now
equalizer.c, Modules.am, equalizer_presets.h: presets are stored in a separate file

------------------------------------------------------------------------
r8428 | sam | 2004-08-14 22:12:22 +0200 (Sat, 14 Aug 2004) | 6 lines
Changed paths:
   M /trunk/configure.ac

  * configure.ac:
    + Removed the -finline-limit=30000 flag. Since gcc-3.2, this options
      causes gcc to inline every single function of this size because of
      -O3's -finline-functions, although the documentation states that this
      flag should only affect explicitly inlined functions.

------------------------------------------------------------------------
r8427 | hartman | 2004-08-14 21:58:39 +0200 (Sat, 14 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/ftp.c

* Send \r\n after ftp commands, not \n.

------------------------------------------------------------------------
r8426 | asmax | 2004-08-14 17:54:30 +0200 (Sat, 14 Aug 2004) | 4 lines
Changed paths:
   M /trunk/modules/video_output/opengl.c

 * opengl.c: compilation fix for GLX.
   Do we really need two buffers ? Anyway it doesn't work as is with
   GLX, so I only use the first one (quick fix)

------------------------------------------------------------------------
r8425 | titer | 2004-08-14 17:02:43 +0200 (Sat, 14 Aug 2004) | 11 lines
Changed paths:
   M /trunk/modules/video_output/opengl.c

 opengl.c: added OS X specific stuff, this includes:
  + support for YUY2 textures
  + support for non-power-of-2 sizes
  + support for VRAM or AGP texturing

 It now uses two buffers and textures (needed for VRAM/AGP texturing).

 I got to fix a few things on the OS X GL provider before I commit it,
 but in the meantime, people can check if I didn't break the opengl
 output on Win32/GLX ;)

------------------------------------------------------------------------
r8424 | asmax | 2004-08-14 16:23:40 +0200 (Sat, 14 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/video_output/opengl.c

 * opengl.c: use glTexSubImage2D instead of glTexImage2D

------------------------------------------------------------------------
r8423 | gbazin | 2004-08-14 12:14:39 +0200 (Sat, 14 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/access/dvdnav.c

* modules/access/dvdnav.c: small fix.
------------------------------------------------------------------------
r8422 | gbazin | 2004-08-13 22:01:20 +0200 (Fri, 13 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/dvdnav.c

* modules/access/dvdnav.c: by default we try to skip all the warnings intros and go directly to the DVD menu (niark niark niark ;).

------------------------------------------------------------------------
r8421 | gbazin | 2004-08-13 21:32:57 +0200 (Fri, 13 Aug 2004) | 1 line
Changed paths:
   M /trunk/src/input/decoder.c

* src/input/decoder.c: spu_new_buffer() now tries a bit longer when looking for a vout (useful for DVD menus).
------------------------------------------------------------------------
r8420 | gbazin | 2004-08-13 20:58:25 +0200 (Fri, 13 Aug 2004) | 5 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_es.h
   M /trunk/modules/codec/spudec/parse.c
   M /trunk/modules/codec/spudec/spudec.h
   M /trunk/modules/video_filter/blend.c
   M /trunk/src/video_output/vout_subpictures.c

* modules/codec/spudec/*: automatic cropping of fullscreen subpictures (most of them contain large transparent areas).
* src/video_output/vout_subpictures.c: more correct cropping (cropping coordinates are relative to the video size, not subpicture size).
* include/vlc_es.h, modules/video_filter/blend.c: use the i_entries member of video_palette_t.
* include/vlc_common.h: added SetWBE()/SetDWBE()/SetQWBE() facility.

------------------------------------------------------------------------
r8419 | gbazin | 2004-08-13 20:45:42 +0200 (Fri, 13 Aug 2004) | 3 lines
Changed paths:
   M /trunk/modules/video_output/opengl.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_intf.c

* modules/video_output/opengl.c: forward mouse events from opengl-provider module.
* src/video_output/*: moved some stuff from video_output.c to vout_intf.c.

------------------------------------------------------------------------
r8418 | gbazin | 2004-08-13 12:32:57 +0200 (Fri, 13 Aug 2004) | 1 line
Changed paths:
   M /trunk/src/misc/block.c

* src/misc/block.c: fixed memory alignment in block_New(). (it was done on a 15 bytes boundary which was screwing up the cdda plugin on win32.)
------------------------------------------------------------------------
r8417 | ipkiss | 2004-08-12 23:34:01 +0200 (Thu, 12 Aug 2004) | 2 lines
Changed paths:
   M /trunk/doc/skins/skins2-howto.xml

 * doc/skins2-howto.xml: Update the doc when you commit

------------------------------------------------------------------------
r8416 | ipkiss | 2004-08-12 23:15:52 +0200 (Thu, 12 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/vlcproc.cpp
   M /trunk/modules/gui/skins2/src/vlcproc.hpp

 * skins2/src/vlcproc.*: Added the isRepeat boolean expression

------------------------------------------------------------------------
r8415 | gbazin | 2004-08-12 11:14:00 +0200 (Thu, 12 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwindows/Modules.am

* modules/gui/wxwindows/Modules.am: include streamdata.h
------------------------------------------------------------------------
r8414 | titer | 2004-08-12 01:34:38 +0200 (Thu, 12 Aug 2004) | 4 lines
Changed paths:
   M /trunk/include/vlc_threads_funcs.h

 vlc_threads_funcs.h: got rid of vlc_cond_broadcast.
  It wasn't implemented for all systems anyway, and isn't used anymore.
  (Terminates #23)

------------------------------------------------------------------------
r8413 | gbazin | 2004-08-11 13:12:59 +0200 (Wed, 11 Aug 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/ogg.c
   M /trunk/modules/mux/ogg.c

* modules/demux/ogg.c: fixed reading extra data for oggds audio header (needed for WMA).
* modules/mux/ogg.c: generate proper oggds audio header.

------------------------------------------------------------------------
r8412 | hartman | 2004-08-10 17:02:11 +0200 (Tue, 10 Aug 2004) | 10 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/include/stream_output.h
   M /trunk/modules/stream_out/rtp.c
   M /trunk/src/stream_output/sap.c

* include/stream_output.h: add a ip_version field to sap_address_t
  This way we can later on set IP6 instead of IP4 in a SDP.
* modules/stream_out/rtp.c: accept sdp=sap as a valid option.
* src/stream_output/sap.c: 
  - Set the SAP packet Hash headerfield to a unique value based on mtime
    Patch by Philippe van Hecke <philippe at belnet dot be>
  - Set SAP packet IPv6 field to 1 if we are a ipv6 session
  - Made some preperations for setting the origin ip address in the header as well,
    anyone any ideas on how to retrieve the current origin IP address???

------------------------------------------------------------------------
r8411 | hartman | 2004-08-10 15:28:27 +0200 (Tue, 10 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/sap.c

* fix x-plgroup detection

------------------------------------------------------------------------
r8410 | ipkiss | 2004-08-10 00:19:40 +0200 (Tue, 10 Aug 2004) | 2 lines
Changed paths:
   M /trunk/doc/skins/skins2-howto.xml
   M /trunk/modules/gui/skins2/commands/cmd_playlist.cpp
   M /trunk/modules/gui/skins2/commands/cmd_playlist.hpp
   M /trunk/modules/gui/skins2/parser/interpreter.cpp

 * skins2: support playlist.setRandom(true) and playlist.setRandom(false)

------------------------------------------------------------------------
r8409 | gbazin | 2004-08-09 12:25:42 +0200 (Mon, 09 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/dmo/buffer.c
   M /trunk/modules/codec/dmo/dmo.c
   M /trunk/modules/codec/dmo/dmo.h

* modules/codec/dmo: fixed dmo decoder on win32 + got rid of some of the dependencies on wine loader.
------------------------------------------------------------------------
r8408 | gbazin | 2004-08-09 10:16:22 +0200 (Mon, 09 Aug 2004) | 1 line
Changed paths:
   M /trunk/Makefile.am
   M /trunk/configure.ac

* configure.ac, Makefile.am: don't use upx in the win32 installer anymore as some people have been complaining about loading time problems.
------------------------------------------------------------------------
r8407 | gbazin | 2004-08-08 23:14:38 +0200 (Sun, 08 Aug 2004) | 3 lines
Changed paths:
   M /trunk/include/vlc_codec.h
   M /trunk/include/vlc_common.h
   M /trunk/modules/stream_out/transcode.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/objects.c

* modules/stream_out/transcode.c: added support for subtitles overlaying when transcoding (no resizing yet).
* include/vlc_common.h: added a b_force member that is set when a module is forced (ie. module specified in module_Need()).

------------------------------------------------------------------------
r8406 | djc | 2004-08-08 18:52:26 +0200 (Sun, 08 Aug 2004) | 6 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/modules/gui/macosx/equalizer.h
   M /trunk/modules/gui/macosx/equalizer.m

project.pbxproj: correct to relatives paths
*.nib: presets disabled on startup
equalizer.*: add property Id
             we prefer to change playlist variables instead of config
             coding style

------------------------------------------------------------------------
r8405 | bigben | 2004-08-08 16:49:46 +0200 (Sun, 08 Aug 2004) | 4 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/open.m
   M /trunk/modules/gui/macosx/output.h
   M /trunk/modules/gui/macosx/output.m

* demuxdump is working again



------------------------------------------------------------------------
r8404 | hartman | 2004-08-08 12:14:25 +0200 (Sun, 08 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/LIST

* modules/LIST: long time since it was updated

------------------------------------------------------------------------
r8403 | fenrir | 2004-08-08 03:58:59 +0200 (Sun, 08 Aug 2004) | 3 lines
Changed paths:
   M /trunk/src/input/demux.c

 * demux: another way to break your config file, or, --demux is now taken
into acount. (to make bigben happy, being able to do :demux=dump ;)

------------------------------------------------------------------------
r8402 | fenrir | 2004-08-08 03:39:23 +0200 (Sun, 08 Aug 2004) | 5 lines
Changed paths:
   M /trunk/modules/codec/dmo/buffer.c
   M /trunk/modules/codec/dmo/dmo.c
   M /trunk/modules/codec/dmo/dmo.h

 * dmo: - fixed init of WAVEFORMATEX (cbSize is only the size of extra datas).
        - force 16 bits output.
        - support for mplayer loader.
 I can't test under win32 so I hope it still compiles.

------------------------------------------------------------------------
r8401 | fenrir | 2004-08-08 03:36:56 +0200 (Sun, 08 Aug 2004) | 2 lines
Changed paths:
   M /trunk/include/codecs.h

 * codecs.h: a few defines to avoid redefinitions.

------------------------------------------------------------------------
r8400 | fenrir | 2004-08-08 01:38:05 +0200 (Sun, 08 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/v4l/v4l.c

 * v4l: try to open the device only when a access name is given + warning fix.

------------------------------------------------------------------------
r8399 | djc | 2004-08-08 00:50:28 +0200 (Sun, 08 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/equalizer.m

Fix bug when equalizer-bands is not set. Coding style will be apply soon.

------------------------------------------------------------------------
r8398 | djc | 2004-08-08 00:14:38 +0200 (Sun, 08 Aug 2004) | 3 lines
Changed paths:
   A /trunk/extras/MacOSX/Resources/equalizerdrawer_active.png
   A /trunk/extras/MacOSX/Resources/equalizerdrawer_blue.png
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj

*.png: forgotten images
project.pbxproj: changed absolute link to relative

------------------------------------------------------------------------
r8397 | djc | 2004-08-07 23:56:42 +0200 (Sat, 07 Aug 2004) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/modules/gui/macosx/Modules.am
   A /trunk/modules/gui/macosx/equalizer.h
   A /trunk/modules/gui/macosx/equalizer.m

All: equalizer window for MacOS. Need a bit of corrections for the presets part.
Reviews welcome

------------------------------------------------------------------------
r8396 | hartman | 2004-08-07 22:31:13 +0200 (Sat, 07 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/equalizer.c

* treeble -> treble

------------------------------------------------------------------------
r8395 | djc | 2004-08-07 17:37:53 +0200 (Sat, 07 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/equalizer.c

Bug fix and change in parse function

------------------------------------------------------------------------
r8394 | fkuehne | 2004-08-07 16:35:41 +0200 (Sat, 07 Aug 2004) | 1 line
Changed paths:
   M /trunk/po/de.po

*various translation fixes, thanks to Philipp Weissenbacher <philippweissenbacher@aon.at> and Maik Diessner <dandruff@gmx.de>
------------------------------------------------------------------------
r8393 | bigben | 2004-08-07 00:08:57 +0200 (Sat, 07 Aug 2004) | 3 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/output.h
   M /trunk/modules/gui/macosx/output.m

* Adds the scale video option


------------------------------------------------------------------------
r8392 | bigben | 2004-08-06 22:56:46 +0200 (Fri, 06 Aug 2004) | 5 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/output.h
   M /trunk/modules/gui/macosx/output.m

* All :
	- added a sdp=file option
	- it is now possible to have a sap and a rtsp/http/file announce at the same time


------------------------------------------------------------------------
r8391 | sam | 2004-08-06 19:28:36 +0200 (Fri, 06 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/float32tos16.c
   M /trunk/modules/audio_filter/converter/s16tofloat32.c
   M /trunk/modules/gui/skins2/x11/x11_window.cpp
   M /trunk/modules/video_output/x11/xcommon.c
   M /trunk/modules/visualization/visual/effects.c

  * Really fixed strict aliasing breakage here and there.

------------------------------------------------------------------------
r8390 | gbazin | 2004-08-06 15:50:05 +0200 (Fri, 06 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/LIST
   M /trunk/modules/access/dvb/access.c

* modules/LIST, modules/access/dvb/access.c: removed references to ts2/ps2.
------------------------------------------------------------------------
r8389 | gbazin | 2004-08-06 15:29:18 +0200 (Fri, 06 Aug 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/udp.c
   M /trunk/modules/mux/mp4.c

* modules/access/udp.c: use the "ts" demux when in rtp mode (and not "ts2").
* modules/mux/mp4.c: Warning fix patch by Zoltan Nagy.

------------------------------------------------------------------------
r8388 | hartman | 2004-08-05 23:32:32 +0200 (Thu, 05 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

* Fix Artist/Author info in playlist

------------------------------------------------------------------------
r8387 | hartman | 2004-08-05 22:40:29 +0200 (Thu, 05 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/control/hotkeys.c

* Fix a crash with subtitle track hotkey, when no subtitles are available.

------------------------------------------------------------------------
r8386 | hartman | 2004-08-05 21:52:59 +0200 (Thu, 05 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/mpgatofixed32.c

* bad main_data|_begin error of libmad now a Debug message. It's simply to common.

------------------------------------------------------------------------
r8385 | gbazin | 2004-08-05 16:58:16 +0200 (Thu, 05 Aug 2004) | 1 line
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/src/video_output/vout_pictures.c
   M /trunk/src/video_output/vout_subpictures.c

* src/video_output/*: optimized/simplified vout_RenderPicture().
------------------------------------------------------------------------
r8384 | titer | 2004-08-05 16:48:58 +0200 (Thu, 05 Aug 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/video_output/opengl.c

 Build the opengl module on OS X (gl provider not done yet)

------------------------------------------------------------------------
r8383 | gbazin | 2004-08-05 16:05:51 +0200 (Thu, 05 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/blend.c

* modules/video_filter/blend.c: do not compare signed and unsigned.
------------------------------------------------------------------------
r8382 | gbazin | 2004-08-05 14:45:23 +0200 (Thu, 05 Aug 2004) | 3 lines
Changed paths:
   M /trunk/include/vlc_input.h
   M /trunk/modules/gui/wxwindows/bookmarks.cpp
   M /trunk/src/input/control.c

* src/input/control.c: bookmarks support is back (will need some more work though).
* modules/gui/wxwindows/bookmarks.cpp: bookmarks support is back.

------------------------------------------------------------------------
r8381 | gbazin | 2004-08-05 12:16:58 +0200 (Thu, 05 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/blend.c

* modules/video_filter/blend.c: sanity checks.
------------------------------------------------------------------------
r8380 | gbazin | 2004-08-05 01:55:51 +0200 (Thu, 05 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/libmpeg2.c

* modules/codec/libmpeg2.c: fixed problems with still frames in DVD menus.
------------------------------------------------------------------------
r8379 | gbazin | 2004-08-05 00:54:31 +0200 (Thu, 05 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/access/dvdnav.c

* modules/access/dvdnav.c: removed dvdnavsimple mode + a few small improvements.
------------------------------------------------------------------------
r8378 | fenrir | 2004-08-04 23:53:24 +0200 (Wed, 04 Aug 2004) | 4 lines
Changed paths:
   M /trunk/modules/stream_out/rtp.c

 * rtp.c: based on a patch/idea of Philippe Van Hecke:
 You can now use multiple sdp=
 (ex: rtp{dst=ip,port=nb,sdp=file://a.sdp, sdp=http://localhost:8080/a.sdp})

------------------------------------------------------------------------
r8377 | fenrir | 2004-08-04 23:50:59 +0200 (Wed, 04 Aug 2004) | 3 lines
Changed paths:
   M /trunk/src/stream_output/stream_output.c

 * stream_output: sout_CfgParse will accept a special mode ('*' in the
front of a option name) to allow handling of multiple string options.

------------------------------------------------------------------------
r8376 | hartman | 2004-08-04 23:48:57 +0200 (Wed, 04 Aug 2004) | 3 lines
Changed paths:
   A /trunk/modules/stream_out/announce.c (from /trunk/modules/stream_out/announce.c:8373)
   A /trunk/modules/stream_out/announce.h (from /trunk/modules/stream_out/announce.h:8373)

* Fix


------------------------------------------------------------------------
r8375 | gbazin | 2004-08-04 23:13:11 +0200 (Wed, 04 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/blend.c

* modules/video_filter/blend.c: attempt at YUVP -> RV16/24/32 alpha-blending.
------------------------------------------------------------------------
r8374 | hartman | 2004-08-04 23:11:32 +0200 (Wed, 04 Aug 2004) | 4 lines
Changed paths:
   M /trunk/modules/stream_out/Modules.am
   D /trunk/modules/stream_out/announce.c
   D /trunk/modules/stream_out/announce.h
   M /trunk/src/stream_output/sap.c

* Fixed the udp SDPs. More spec compliant now.
* Removed the old SAP code. announce.? in modules/stream_out is 
  still required for SLP announces.

------------------------------------------------------------------------
r8373 | fenrir | 2004-08-04 22:09:31 +0200 (Wed, 04 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/mux/avi.c

 * avi.c: fixed fps computation, thanks markfm for testing.

------------------------------------------------------------------------
r8372 | gbazin | 2004-08-04 20:38:05 +0200 (Wed, 04 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/blend.c

* modules/video_filter/blend.c: YUVP -> YUY2 alpha-blending.
------------------------------------------------------------------------
r8371 | gbazin | 2004-08-04 19:54:17 +0200 (Wed, 04 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/blend.c

* modules/video_filter/blend.c: YUVA -> YUY2 alpha-blending.
------------------------------------------------------------------------
r8370 | gbazin | 2004-08-04 18:05:12 +0200 (Wed, 04 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/access/screen/screen.c
   M /trunk/modules/access/screen/win32.c

* modules/access/screen/*: added a win32 only --screen-fragment-size option to do a kind of progressive capture by splitting the screen in several fragments. This does help user interactivity while capturing but also produces artefacts when moving windows around.
------------------------------------------------------------------------
r8369 | gbazin | 2004-08-04 17:43:04 +0200 (Wed, 04 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/audio_output/waveout.c

* modules/audio_output/waveout.c: added a --no-waveout-float32 option to disable the use of float32 audio output.
------------------------------------------------------------------------
r8368 | hartman | 2004-08-04 13:58:44 +0200 (Wed, 04 Aug 2004) | 2 lines
Changed paths:
   M /trunk/include/vlc_es.h

* viedo_format_t -> video_format_t

------------------------------------------------------------------------
r8367 | gbazin | 2004-08-04 13:13:04 +0200 (Wed, 04 Aug 2004) | 1 line
Changed paths:
   M /trunk/src/misc/modules.c

* src/misc/modules.c: don't forget to save callbacks for config options in the plugins cache.
------------------------------------------------------------------------
r8366 | gbazin | 2004-08-04 12:40:43 +0200 (Wed, 04 Aug 2004) | 4 lines
Changed paths:
   M /trunk/modules/access/dvdnav.c
   M /trunk/modules/access/vcd/vcd.c
   M /trunk/src/input/input.c

* modules/access/dvdnav.c: very basic probing that avoids doing a dvdnav_open() on files when they are not DVD images.
* src/input/input.c: auto-probe access_demux as well.
* modules/access/vcd/vcd.c: raised priority above the file access one.

------------------------------------------------------------------------
r8365 | fenrir | 2004-08-04 02:04:13 +0200 (Wed, 04 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/ps.h

 * ps.h: fixed a segfault with Madonna-audioconverterfails.vob

------------------------------------------------------------------------
r8364 | fenrir | 2004-08-04 01:49:40 +0200 (Wed, 04 Aug 2004) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

 * input.c: fixed total length in playlist.

------------------------------------------------------------------------
r8363 | gbazin | 2004-08-04 01:19:01 +0200 (Wed, 04 Aug 2004) | 1 line
Changed paths:
   M /trunk/src/video_output/vout_subpictures.c

* src/video_output/vout_subpictures.c: fixed OSD alignment
------------------------------------------------------------------------
r8362 | hartman | 2004-08-04 01:08:10 +0200 (Wed, 04 Aug 2004) | 3 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/TODO
   M /trunk/doc/translations.txt

* small addition to translations HOWTO
* updated TODO and NEWS

------------------------------------------------------------------------
r8361 | hartman | 2004-08-04 01:06:53 +0200 (Wed, 04 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/announce.c

* modules/stream_out/announce.c:   \r\n for SDP

------------------------------------------------------------------------
r8360 | gbazin | 2004-08-04 01:06:11 +0200 (Wed, 04 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/dvdnav.c
   M /trunk/modules/access/dvdread.c

* modules/access/dvd*.c: implemented DEMUX_GET_TIME/DEMUX_GET_LENGTH based on the MPEG mux rate.

------------------------------------------------------------------------
r8359 | gbazin | 2004-08-04 00:08:24 +0200 (Wed, 04 Aug 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/cdda.c
   M /trunk/modules/access/vcd/vcd.c

* modules/access/cdda.c: fixes + simplification.
* modules/access/vcd/vcd.c: try to skip bad sectors.

------------------------------------------------------------------------
r8358 | gbazin | 2004-08-03 22:56:16 +0200 (Tue, 03 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/access/vcd/vcd.c

* modules/access/vcd/vcd.c: fixed seeking + simplified a bit.
------------------------------------------------------------------------
r8357 | gbazin | 2004-08-03 14:21:14 +0200 (Tue, 03 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/blend.c

* modules/video_filter/blend.c: fix for chroma planes in ->I420 blending.
------------------------------------------------------------------------
r8356 | gbazin | 2004-08-03 11:45:39 +0200 (Tue, 03 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/video_filter/blend.c

* modules/video_filter/blend.c: YUVA->RV24/32 alpha-blending + fix for YUVA->RV16.
------------------------------------------------------------------------
r8355 | hartman | 2004-08-03 02:23:40 +0200 (Tue, 03 Aug 2004) | 4 lines
Changed paths:
   M /trunk/modules/access/screen/mac.c

* modules/access/screen/mac.c:
  * Plugin now works perfectly in milj. of colors
  * Works in thousands of colors, in inverse colors

------------------------------------------------------------------------
r8354 | gbazin | 2004-08-03 02:11:32 +0200 (Tue, 03 Aug 2004) | 4 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/configure.ac
   M /trunk/include/osd.h
   M /trunk/include/video_output.h
   M /trunk/include/vlc_codec.h
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_es.h
   A /trunk/include/vlc_filter.h
   M /trunk/include/vlc_video.h
   M /trunk/modules/codec/dvbsub.c
   M /trunk/modules/codec/spudec/Modules.am
   M /trunk/modules/codec/spudec/parse.c
   D /trunk/modules/codec/spudec/render.c
   M /trunk/modules/codec/spudec/spudec.c
   M /trunk/modules/codec/spudec/spudec.h
   M /trunk/modules/codec/subsdec.c
   M /trunk/modules/misc/dummy/renderer.c
   M /trunk/modules/misc/freetype.c
   M /trunk/modules/video_filter/Modules.am
   A /trunk/modules/video_filter/blend.c
   M /trunk/src/input/decoder.c
   M /trunk/src/input/stream.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/vout_pictures.c
   M /trunk/src/video_output/vout_pictures.h
   M /trunk/src/video_output/vout_subpictures.c

* ALL: Major rework of the subpictures architecture.
  (expect some breakage).
* modules/video_filter/blend.c: new alpha-blending module.

------------------------------------------------------------------------
r8353 | gbazin | 2004-08-02 21:17:12 +0200 (Mon, 02 Aug 2004) | 3 lines
Changed paths:
   D /trunk/include/ninput.h
   M /trunk/modules/demux/mpeg/Modules.am
   D /trunk/modules/demux/mpeg/ps.c
   D /trunk/modules/demux/mpeg/system.c
   D /trunk/modules/demux/mpeg/system.h
   D /trunk/modules/demux/mpeg/ts.c

* include/ninput.h: removed left-over from access2/demux2 transition.
* modules/demux/mpeg/*: removed old MPEG TS/PS demuxers.

------------------------------------------------------------------------
r8352 | gbazin | 2004-08-02 17:42:21 +0200 (Mon, 02 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/network/ipv4.c

* modules/misc/network/ipv4.c: do a var_Get() on "ttl" + small clean-up.

------------------------------------------------------------------------
r8351 | hartman | 2004-08-02 15:06:38 +0200 (Mon, 02 Aug 2004) | 5 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

* modules/gui/macosx/vout: Output YUY2 to QT/QD.
  This way we bypass Apple's very, very, very unoptimized
  I420 -> YUY2 routine and use titer's altivec optimized one.
  Quartz output is herefore now altivec optimized and close to the opengl output.

------------------------------------------------------------------------
r8350 | gbazin | 2004-08-02 11:46:17 +0200 (Mon, 02 Aug 2004) | 1 line
Changed paths:
   M /trunk/modules/access/screen/screen.c
   M /trunk/modules/access/screen/win32.c

modules/access/screen/win32.c: avoid an extra memcpy() of the screen.
------------------------------------------------------------------------
r8349 | hartman | 2004-08-02 03:21:36 +0200 (Mon, 02 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/control/hotkeys.c

* hotkeys.c: add some more OSD

------------------------------------------------------------------------
r8348 | hartman | 2004-08-02 02:54:51 +0200 (Mon, 02 Aug 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/vout.m

* Fixed hotkey/OSD behaviour for OS X. Also prevents code duplicity. 
  Testing would be welcomed very much.

------------------------------------------------------------------------
r8347 | asmax | 2004-08-01 22:46:01 +0200 (Sun, 01 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_text.cpp

  * ctrl_text.cpp: smoother text scrolling (MOVING_TEXT_STEP=1)

------------------------------------------------------------------------
r8346 | ipkiss | 2004-08-01 18:43:58 +0200 (Sun, 01 Aug 2004) | 3 lines
Changed paths:
   M /trunk/doc/skins/skins2-howto.xml
   M /trunk/modules/gui/skins2/parser/interpreter.cpp
   M /trunk/modules/gui/skins2/src/vlcproc.cpp

 * modules/gui/skins2/parser/interpreter.cpp: Added the "vlc.ontop()" action
 * doc/skins/skins2-howto.xml: Updated the doc

------------------------------------------------------------------------
r8345 | fenrir | 2004-08-01 18:03:42 +0200 (Sun, 01 Aug 2004) | 2 lines
Changed paths:
   M /trunk/src/input/stream.c

 * stream.c: increase precache for stream without title/chapter.

------------------------------------------------------------------------
r8344 | fenrir | 2004-08-01 17:51:49 +0200 (Sun, 01 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/mp4.c

 * mp4: with ref .mov, don't forget to add the access.

------------------------------------------------------------------------
r8343 | fenrir | 2004-08-01 17:14:43 +0200 (Sun, 01 Aug 2004) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

 * input.c: mmh better fix for slow/fast (I hope).

------------------------------------------------------------------------
r8342 | hartman | 2004-08-01 16:46:13 +0200 (Sun, 01 Aug 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

* fix avcodecbuild# prob with h.261

------------------------------------------------------------------------
r8341 | bigben | 2004-08-01 15:23:53 +0200 (Sun, 01 Aug 2004) | 3 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/output.m

* all : fix channels selection in the sout options dialog


------------------------------------------------------------------------
r8340 | fenrir | 2004-08-01 11:19:36 +0200 (Sun, 01 Aug 2004) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

 * input: fixed slower/faster rate.

------------------------------------------------------------------------
r8339 | fenrir | 2004-08-01 11:19:06 +0200 (Sun, 01 Aug 2004) | 2 lines
Changed paths:
   M /trunk/src/input/stream.c

 * stream.c: call Seek if stream_Read( s, NULL, skip );

------------------------------------------------------------------------
r8338 | sam | 2004-07-31 19:29:44 +0200 (Sat, 31 Jul 2004) | 4 lines
Changed paths:
   M /trunk/modules/control/joystick.c

  * modules/control/joystick.c:
    + Compilation and coding style fixes.
    + Initialise the joystick in Open(), not Run().

------------------------------------------------------------------------
r8337 | bigben | 2004-07-31 19:08:35 +0200 (Sat, 31 Jul 2004) | 5 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/output.m

* all :
  - Get rid of the old TS over RTP stream output method in OSX interface
  - ab= and vb= parameters are now (hopefully) always updated


------------------------------------------------------------------------
r8336 | hartman | 2004-07-31 18:34:53 +0200 (Sat, 31 Jul 2004) | 2 lines
Changed paths:
   M /trunk/src/input/stream.c

* print a debug message when our buffer gets it's first data.

------------------------------------------------------------------------
r8335 | asmax | 2004-07-31 13:38:22 +0200 (Sat, 31 Jul 2004) | 4 lines
Changed paths:
   M /trunk/modules/video_output/opengl.c

 * opengl.c: support "cube" and "transparent-cube" effect (with the
 --opengl-effect option). Now MacOSX guys you can write the opengl provider
 interface ;)

------------------------------------------------------------------------
r8334 | hartman | 2004-07-31 02:23:29 +0200 (Sat, 31 Jul 2004) | 7 lines
Changed paths:
   M /trunk/modules/stream_out/rtp.c

modules/stream_output/rtp.c:
* set the required t= SDP parameter
* added config options for description, url and email
* send SDPs with description, url and email info when available
* add the a:tool parameter so people know who is responsible when VLC starts roaming the web with incorrect announces :)


------------------------------------------------------------------------
r8333 | hartman | 2004-07-30 23:38:09 +0200 (Fri, 30 Jul 2004) | 3 lines
Changed paths:
   M /trunk/modules/stream_out/rtp.c

* SDP should use \r\n instead of \n
* Added nice SDP TODO lists. 17 outstanding issues in RTP announces.

------------------------------------------------------------------------
r8332 | sam | 2004-07-30 23:13:17 +0200 (Fri, 30 Jul 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/demux.c
   M /trunk/modules/demux/util/id3tag.c

  * modules/demux/util/id3tag.c modules/codec/ffmpeg/demux.c:
    + Fixed compiler warnings.

------------------------------------------------------------------------
r8331 | sam | 2004-07-30 23:00:08 +0200 (Fri, 30 Jul 2004) | 2 lines
Changed paths:
   M /trunk/mozilla/vlcpeer.cpp

  * mozilla/vlcpeer.cpp: proper float->int cast.

------------------------------------------------------------------------
r8330 | sam | 2004-07-30 22:57:56 +0200 (Fri, 30 Jul 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/bookmarks.cpp
   M /trunk/modules/gui/wxwindows/video.cpp

  * modules/gui/wxwindows/video.cpp modules/gui/wxwindows/bookmarks.cpp:
    + Fixed compiler warnings due to bad argument types.

------------------------------------------------------------------------
r8329 | sam | 2004-07-30 22:51:05 +0200 (Fri, 30 Jul 2004) | 3 lines
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/src/misc/cpu.c
   M /trunk/src/video_output/video_output.c

  * src/video_output/video_output.c:
    + Fixed an undefined function warning.

------------------------------------------------------------------------
r8328 | sam | 2004-07-30 22:49:44 +0200 (Fri, 30 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/invert.c

  * modules/video_filter/invert.c: don't cast lvalues.

------------------------------------------------------------------------
r8327 | sam | 2004-07-30 19:39:27 +0200 (Fri, 30 Jul 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/cmml/browser_open.c

  * modules/codec/cmml/browser_open.c:
    + Fixed a compilation warning due to a missing return value.

------------------------------------------------------------------------
r8326 | sam | 2004-07-30 17:46:01 +0200 (Fri, 30 Jul 2004) | 4 lines
Changed paths:
   M /trunk/bootstrap

  * boostrap:
    + Remove the autotools directory and recreate it (forgot to commit that
      file before).

------------------------------------------------------------------------
r8325 | hartman | 2004-07-30 15:18:53 +0200 (Fri, 30 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

* check correct build# of libavcodec for SNOW support

------------------------------------------------------------------------
r8324 | hartman | 2004-07-30 12:36:51 +0200 (Fri, 30 Jul 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* Fix OSX build of dvdnav

------------------------------------------------------------------------
r8323 | courmisch | 2004-07-30 11:24:32 +0200 (Fri, 30 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/rtp.c

Compile fix

------------------------------------------------------------------------
r8322 | sam | 2004-07-30 11:23:37 +0200 (Fri, 30 Jul 2004) | 2 lines
Changed paths:
   M /trunk
   M /trunk/Makefile.am
   D /trunk/autotools
   M /trunk/configure.ac

  * autotools: no longer manage this directory with SVN.

------------------------------------------------------------------------
r8321 | sam | 2004-07-30 11:23:08 +0200 (Fri, 30 Jul 2004) | 2 lines
Changed paths:
   D /trunk/autotools/Makefile.am

  * autotools: no longer manage this directory with SVN.

------------------------------------------------------------------------
r8320 | fenrir | 2004-07-29 20:48:01 +0200 (Thu, 29 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/rtp.c

 * rtp: added port-audio and port-video option (for default port).

------------------------------------------------------------------------
r8319 | gbazin | 2004-07-29 20:43:22 +0200 (Thu, 29 Jul 2004) | 1 line
Changed paths:
   M /trunk/modules/codec/toolame.c

* modules/codec/toolame.c: compilation fix.
------------------------------------------------------------------------
r8318 | gbazin | 2004-07-29 20:15:38 +0200 (Thu, 29 Jul 2004) | 1 line
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/codec/Modules.am
   A /trunk/modules/codec/toolame.c

* modules/codec/toolame.c: MPEG-1/2 layer II audio encoder using libtoolame (http://users.tpg.com.au/adslblvi/). Patch from Christophe Massiot.
------------------------------------------------------------------------
r8317 | gbazin | 2004-07-29 17:50:20 +0200 (Thu, 29 Jul 2004) | 1 line
Changed paths:
   M /trunk/modules/access/http.c

* modules/access/http.c: --http-reconnect option to automatically try to reconnect in case the connection was untimely closed (enabled by default for ICY/Icecast web radios).
------------------------------------------------------------------------
r8316 | sam | 2004-07-29 17:40:26 +0200 (Thu, 29 Jul 2004) | 3 lines
Changed paths:
   M /trunk/debian/patches/20_configure.dpatch

  * debian/patches/20_configure.dpatch:
    + Fixed generated macros.

------------------------------------------------------------------------
r8315 | sam | 2004-07-29 17:28:00 +0200 (Thu, 29 Jul 2004) | 3 lines
Changed paths:
   M /trunk/debian/Makefile.am
   M /trunk/debian/changelog
   M /trunk/debian/control
   A /trunk/debian/patches
   A /trunk/debian/patches/00list
   A /trunk/debian/patches/20_configure.dpatch
   A /trunk/debian/patches/20_faad2.dpatch
   A /trunk/debian/patches/20_ffmpeg.dpatch
   A /trunk/debian/patches/20_interfaces.dpatch
   M /trunk/debian/rules

  * debian/rules:
    + Switch build system to dpatch.

------------------------------------------------------------------------
r8314 | hartman | 2004-07-29 17:27:57 +0200 (Thu, 29 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/network/ipv4.c

* ipv4.c: ttl setsockopt fix. Thanks to Emmanuel Dreyfus for reporting

------------------------------------------------------------------------
r8313 | hartman | 2004-07-29 17:18:04 +0200 (Thu, 29 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/vcdx/access.c
   M /trunk/modules/access/vcdx/cdrom.c
   M /trunk/modules/access/vcdx/vcd.h
   M /trunk/modules/access/vcdx/vcdplayer.c
   M /trunk/modules/access/vcdx/vcdplayer.h

* vcdx Coding style fixes.

------------------------------------------------------------------------
r8312 | sam | 2004-07-29 17:02:16 +0200 (Thu, 29 Jul 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac

  * configure.ac: build i420_yuy2_altivec with -maltivec -mabi=altivec since
    no inline asm version is available for this module.

------------------------------------------------------------------------
r8311 | fkuehne | 2004-07-29 16:03:19 +0200 (Thu, 29 Jul 2004) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/output.h

* added declares for the checkboxes in the nib to control the rtp-sout-modul
------------------------------------------------------------------------
r8310 | gbazin | 2004-07-29 10:50:52 +0200 (Thu, 29 Jul 2004) | 1 line
Changed paths:
   M /trunk/include/vlc_block.h
   M /trunk/src/input/decoder.c
   M /trunk/src/misc/block.c

* src/input/decoder.c: don't let the decoder/packetizer fifo grow too much because this leads to a steady increase in memory useage when the data isn't consumed quickly enough. (not the best fix, but should be better than nothing)
------------------------------------------------------------------------
r8309 | fenrir | 2004-07-29 00:39:52 +0200 (Thu, 29 Jul 2004) | 3 lines
Changed paths:
   M /trunk/modules/stream_out/rtp.c

 * rtp: sdp can now be exported as a file (sdp=file://filename).
 Initial path by Philippe Van Hecke (philippe DOT vanhecke AT belnet DOT be)

------------------------------------------------------------------------
r8308 | bigben | 2004-07-28 17:57:33 +0200 (Wed, 28 Jul 2004) | 4 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/output.m

Added a RTP (New) stream outpu method for the rtp sout module. Still lot of work in this dialog box.



------------------------------------------------------------------------
r8307 | titer | 2004-07-28 16:53:16 +0200 (Wed, 28 Jul 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

 contrib/src/Makefile: fixed OS X breakage

------------------------------------------------------------------------
r8306 | titer | 2004-07-28 16:28:01 +0200 (Wed, 28 Jul 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/Patches/dvdnav.patch

 BeOS libdvdnav patch

------------------------------------------------------------------------
r8305 | titer | 2004-07-28 12:48:44 +0200 (Wed, 28 Jul 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac

 configure.ac: fix dvdnav linking on beos/os x/win32 (hacky)

------------------------------------------------------------------------
r8304 | gbazin | 2004-07-28 12:37:24 +0200 (Wed, 28 Jul 2004) | 4 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/encoder.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.h

* modules/codec/ffmpeg/*:
  - added fourcc for SNOW and DTS.
  - added 'qscale' (fixed quantizer scale - VBR) and 'strict' (standard compliance) encoding options.

------------------------------------------------------------------------
r8303 | hartman | 2004-07-28 12:04:59 +0200 (Wed, 28 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/open.m

* modules/gui/macosx/open.m: dvdplay:// -->> dvdnav://

------------------------------------------------------------------------
r8302 | titer | 2004-07-28 09:48:30 +0200 (Wed, 28 Jul 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac

 configure.ac: typo

------------------------------------------------------------------------
r8301 | hartman | 2004-07-28 02:36:48 +0200 (Wed, 28 Jul 2004) | 15 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/vout.m

MacOSX intf work

* vout_Control implemented for macosx
* position slider fixed
* p_input manage loops fixed (buttons, playstatus etc)
* float on top works again
* visual filters work
* deinterlace filter selection broken
* fullscreen button is not being updated atm
* potential deadlocks between intf thread and vout thread???
* the window title might not always be updated.

OSX devs, please test as much as you can. This was all fairly low level stuff.
We need to test it properly.

------------------------------------------------------------------------
r8300 | hartman | 2004-07-27 23:11:07 +0200 (Tue, 27 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m

* More code cleanup for OSX vout. Man what a mess this is :)

------------------------------------------------------------------------
r8299 | hartman | 2004-07-27 18:20:32 +0200 (Tue, 27 Jul 2004) | 1 line
Changed paths:
   M /trunk/include/darwin_specific.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m
   M /trunk/src/interface/interface.c
   M /trunk/src/libvlc.h
   M /trunk/src/misc/darwin_specific.m
   M /trunk/src/video_output/video_output.c
   M /trunk/src/vlc.c

-
------------------------------------------------------------------------
r8298 | hartman | 2004-07-27 18:16:31 +0200 (Tue, 27 Jul 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/access/screen/Modules.am
   A /trunk/modules/access/screen/mac.c

* screen module for OSX. Does not yet work. Seems close, but can't find the problem for now..

------------------------------------------------------------------------
r8297 | hartman | 2004-07-27 17:07:15 +0200 (Tue, 27 Jul 2004) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_output.c

* ( p_vout->p_module && p_vout->p_module ) how pointless

------------------------------------------------------------------------
r8296 | gbazin | 2004-07-27 13:33:26 +0200 (Tue, 27 Jul 2004) | 1 line
Changed paths:
   M /trunk/src/libvlc.h

* src/libvlc.h: cleanup in the hotkeys definitions.
------------------------------------------------------------------------
r8295 | hartman | 2004-07-27 12:54:50 +0200 (Tue, 27 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/prefs.m

* release what you find. (this looks like a very old bug)

------------------------------------------------------------------------
r8294 | titer | 2004-07-27 10:05:31 +0200 (Tue, 27 Jul 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

 gettext BeOS patch is no longer necessary

------------------------------------------------------------------------
r8293 | fkuehne | 2004-07-27 01:37:03 +0200 (Tue, 27 Jul 2004) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

* updated the used gettext version to 0.14.1
------------------------------------------------------------------------
r8292 | hartman | 2004-07-26 23:29:33 +0200 (Mon, 26 Jul 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* Fix dts building on mac

------------------------------------------------------------------------
r8291 | hartman | 2004-07-26 22:30:14 +0200 (Mon, 26 Jul 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/ffmpeg.patch.cvs

* remove patch that is no longer necessary.

------------------------------------------------------------------------
r8290 | gbazin | 2004-07-26 22:29:24 +0200 (Mon, 26 Jul 2004) | 1 line
Changed paths:
   M /trunk/modules/access/screen
   M /trunk/modules/access/screen/beos.cpp
   M /trunk/modules/access/screen/win32.c
   M /trunk/modules/access/screen/x11.c

* modules/access/screen/*: added svn properties.
------------------------------------------------------------------------
r8289 | hartman | 2004-07-26 21:49:05 +0200 (Mon, 26 Jul 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

* fix libebml and libmatroska downloads

------------------------------------------------------------------------
r8288 | titer | 2004-07-26 19:54:12 +0200 (Mon, 26 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/screen/beos.cpp

 screen/beos.cpp: test before you commit

------------------------------------------------------------------------
r8287 | asmax | 2004-07-26 19:03:00 +0200 (Mon, 26 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/video_output/opengl.c

 * opengl.c: clear the color buffer before rendering

------------------------------------------------------------------------
r8286 | titer | 2004-07-26 17:06:48 +0200 (Mon, 26 Jul 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/access/Modules.am
   A /trunk/modules/access/screen
   A /trunk/modules/access/screen/Modules.am
   A /trunk/modules/access/screen/beos.cpp
   A /trunk/modules/access/screen/screen.c (from /trunk/modules/access/screen.c:8285)
   A /trunk/modules/access/screen/screen.h
   A /trunk/modules/access/screen/win32.c
   A /trunk/modules/access/screen/x11.c
   D /trunk/modules/access/screen.c

 ALL: splitted screen module (needed as BeOS requires C++)

------------------------------------------------------------------------
r8285 | gbazin | 2004-07-26 16:10:30 +0200 (Mon, 26 Jul 2004) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwindows/fileinfo.cpp

* modules/gui/wxwindows/fileinfo.cpp: partially fixed char encoding problem in fileinfo dialog.
------------------------------------------------------------------------
r8284 | gbazin | 2004-07-26 12:27:55 +0200 (Mon, 26 Jul 2004) | 1 line
Changed paths:
   M /trunk/modules/access/screen.c

* modules/access/screen.c: force RV24 capture on win32 for now (otherwise colors are screwed up).
------------------------------------------------------------------------
r8283 | gbazin | 2004-07-26 11:28:16 +0200 (Mon, 26 Jul 2004) | 1 line
Changed paths:
   M /trunk/configure.ac

* configure.ac:  should fix detection of libpng.
------------------------------------------------------------------------
r8282 | gbazin | 2004-07-25 22:39:06 +0200 (Sun, 25 Jul 2004) | 1 line
Changed paths:
   M /trunk/modules/control/rc.c

* modules/control/rc.c: removed useless code for the rc-host option.
------------------------------------------------------------------------
r8281 | gbazin | 2004-07-25 22:36:28 +0200 (Sun, 25 Jul 2004) | 5 lines
Changed paths:
   M /trunk/modules/video_output/x11/glx.c
   M /trunk/modules/video_output/x11/xcommon.c

* modules/video_output/x11/*:
   - fixed exit in embedded mode when fullscreen.
   - re-use the current video sub-window when switching to fullscreen (to have opengl working in fullscreen mode as well).
   - add options to the opengl plugin.

------------------------------------------------------------------------
r8280 | courmisch | 2004-07-25 19:47:05 +0200 (Sun, 25 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/control/telnet.c

Use VLC networking APIs: close -> net_Close, accept -> net_Accept

------------------------------------------------------------------------
r8279 | gbazin | 2004-07-25 10:34:08 +0200 (Sun, 25 Jul 2004) | 1 line
Changed paths:
   M /trunk/NEWS

* NEWS: updated.
------------------------------------------------------------------------
r8278 | courmisch | 2004-07-25 10:20:09 +0200 (Sun, 25 Jul 2004) | 5 lines
Changed paths:
   M /trunk/modules/control/rc.c

- unlink Unix socket on exit,
- bind to ::1 by default if --ipv6 is passed,
- do not overflow Unix socket path,
- use a different option (--rc-unix) for Unix socket.

------------------------------------------------------------------------
r8277 | gbazin | 2004-07-25 09:54:18 +0200 (Sun, 25 Jul 2004) | 1 line
Changed paths:
   M /trunk/modules/mux/asf.c
   M /trunk/modules/mux/mpeg/ts.c
   M /trunk/modules/mux/ogg.c

* modules/mux/asf.c, ts.c, ogg.c: added WMV3 fourcc.
------------------------------------------------------------------------
r8276 | gbazin | 2004-07-25 01:05:03 +0200 (Sun, 25 Jul 2004) | 1 line
Changed paths:
   M /trunk/modules/control/rc.c
   M /trunk/src/misc/net.c

* src/misc/net.c, modules/control/rc.c: win32 fixes.
------------------------------------------------------------------------
r8275 | gbazin | 2004-07-25 00:49:28 +0200 (Sun, 25 Jul 2004) | 4 lines
Changed paths:
   M /trunk/include/network.h
   M /trunk/modules/control/rc.c
   M /trunk/src/misc/net.c

* src/misc/net.c, include/network.h: added net_vaPrintf() and net_Accept().
* modules/control/rc.c: added option to listen on a socket instead of only stdin.
   Inspired from a patch by Bernhard Rosenkraenzer <bero at arklinux dot org>.

------------------------------------------------------------------------
r8274 | courmisch | 2004-07-24 19:22:40 +0200 (Sat, 24 Jul 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/http.c

Specify port in Host: HTTP request header
(thanks to Olivier Lourdais for the report)

------------------------------------------------------------------------
r8273 | courmisch | 2004-07-24 19:02:26 +0200 (Sat, 24 Jul 2004) | 2 lines
Changed paths:
   M /trunk/src/misc/vlm.c

Fixed typo

------------------------------------------------------------------------
r8272 | gbazin | 2004-07-24 18:33:00 +0200 (Sat, 24 Jul 2004) | 1 line
Changed paths:
   M /trunk/modules/access/screen.c

* modules/access/screen.c: win32 support for screen capture (colors are inverted right now).
------------------------------------------------------------------------
r8271 | gbazin | 2004-07-24 15:40:17 +0200 (Sat, 24 Jul 2004) | 1 line
Changed paths:
   M /trunk/configure.ac

* configure.ac: don't build the screen plugin on darwin.
------------------------------------------------------------------------
r8270 | fenrir | 2004-07-24 14:42:26 +0200 (Sat, 24 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/mux/mp4.c

 * mp4.c: compute avg/max bitrate info. removed a fprintf...

------------------------------------------------------------------------
r8269 | gbazin | 2004-07-24 14:33:15 +0200 (Sat, 24 Jul 2004) | 1 line
Changed paths:
   M /trunk/modules/access/v4l/v4l.c

* modules/access/v4l/v4l.c: converted to access_demux module (less code, more CPU efficient).
------------------------------------------------------------------------
r8268 | fenrir | 2004-07-24 13:57:47 +0200 (Sat, 24 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/dummy/input.c

 * input: release p_playlist.

------------------------------------------------------------------------
r8267 | fenrir | 2004-07-24 13:28:50 +0200 (Sat, 24 Jul 2004) | 3 lines
Changed paths:
   M /trunk/modules/mux/mp4.c

 * mp4.c: really(?) fixed the tkhd invalid width (thx bond for the
report).

------------------------------------------------------------------------
r8266 | fenrir | 2004-07-24 13:12:39 +0200 (Sat, 24 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/equalizer.c

 * equalizer : [0] isn't cool, use a define.

------------------------------------------------------------------------
r8265 | gbazin | 2004-07-24 12:24:11 +0200 (Sat, 24 Jul 2004) | 1 line
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/stream_out/display.c

* modules/stream_out/display.c: converted to the new input API + re-enabled in the build.
------------------------------------------------------------------------
r8264 | gbazin | 2004-07-24 11:50:14 +0200 (Sat, 24 Jul 2004) | 1 line
Changed paths:
   M /trunk/NEWS
   M /trunk/TODO

NEWS, TODO: comprehensive new features update.
------------------------------------------------------------------------
r8263 | courmisch | 2004-07-24 11:06:58 +0200 (Sat, 24 Jul 2004) | 4 lines
Changed paths:
   M /trunk/src/misc/httpd.c

- really iterate through getaddrinfo(),
- fixed read after freeaddrinfo() bug,
- removed extraneous debug messages

------------------------------------------------------------------------
r8262 | gbazin | 2004-07-24 02:20:19 +0200 (Sat, 24 Jul 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/access/Modules.am
   A /trunk/modules/access/screen.c

* modules/access/screen.c: new screen capture access module. Only X11 for now but should be straight-forward to adapt to other platforms.

------------------------------------------------------------------------
r8261 | gbazin | 2004-07-23 20:13:20 +0200 (Fri, 23 Jul 2004) | 1 line
Changed paths:
   M /trunk/modules/visualization/galaktos/plugin.c

* modules/visualization/galaktos/plugin.c: usual test before you commit.
------------------------------------------------------------------------
r8260 | gbazin | 2004-07-23 20:08:58 +0200 (Fri, 23 Jul 2004) | 1 line
Changed paths:
   M /trunk/modules/visualization/galaktos/plugin.c

* modules/visualization/galaktos/plugin.c: fixed threading issues with opengl.
------------------------------------------------------------------------
r8259 | gbazin | 2004-07-23 18:43:22 +0200 (Fri, 23 Jul 2004) | 1 line
Changed paths:
   M /trunk/configure.ac

* configure.ac: added glwin32 and fixed linkage of the opengl module on win32.
------------------------------------------------------------------------
r8258 | gbazin | 2004-07-23 18:36:51 +0200 (Fri, 23 Jul 2004) | 1 line
Changed paths:
   M /trunk/modules/video_output/opengl.c
   M /trunk/modules/video_output/x11/glx.c

* modules/video_output/opengl.c, modules/video_output/x11/glx.c: proper scaling + fixes.
------------------------------------------------------------------------
r8257 | sam | 2004-07-23 18:16:22 +0200 (Fri, 23 Jul 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac

  * configure.ac: fixed the AltiVec capabilities check.

------------------------------------------------------------------------
r8256 | sam | 2004-07-23 17:16:00 +0200 (Fri, 23 Jul 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac

  * configure.ac: don't use -maltivec -mabi=altivec, because we don't want
    to trigger AltiVec optimisations in our generic code.

------------------------------------------------------------------------
r8255 | titer | 2004-07-23 16:19:31 +0200 (Fri, 23 Jul 2004) | 4 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/configure.ac
   M /trunk/extras/contrib/src/Makefile

 + configure.ac: BeOS dvdread linkage fix
 + contrib/src/Makefile: build more libs on BeOS, use libdts' svn
 + Makefile.am: fixed BeOS packages generation

------------------------------------------------------------------------
r8254 | gbazin | 2004-07-23 15:37:43 +0200 (Fri, 23 Jul 2004) | 1 line
Changed paths:
   M /trunk/modules/video_output/opengl.c

* modules/video_output/opengl.c: forward control queries to opengl provider.
------------------------------------------------------------------------
r8253 | gbazin | 2004-07-23 14:47:34 +0200 (Fri, 23 Jul 2004) | 3 lines
Changed paths:
   M /trunk/modules/video_output/directx/Modules.am
   M /trunk/modules/video_output/directx/events.c
   A /trunk/modules/video_output/directx/glwin32.c
   M /trunk/modules/video_output/directx/vout.h

* modules/video_output/directx/glwin32.c: 1st shot at a win32 opengl provider.
* modules/video_output/directx/events.c: removed unused code.

------------------------------------------------------------------------
r8252 | gbazin | 2004-07-23 14:42:11 +0200 (Fri, 23 Jul 2004) | 1 line
Changed paths:
   M /trunk/src/video_output/vout_intf.c

* src/video_output/vout_intf.c: small kludge for opengl providers.
------------------------------------------------------------------------
r8251 | titer | 2004-07-23 13:33:25 +0200 (Fri, 23 Jul 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/Patches/ffmpeg.patch.cvs
   A /trunk/extras/contrib/src/Patches/libdvdread.patch
   A /trunk/extras/contrib/src/Patches/speex.patch

 BeOS contrib bla bla

------------------------------------------------------------------------
r8250 | damienf | 2004-07-23 12:19:58 +0200 (Fri, 23 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/dshow/filter.cpp
   M /trunk/modules/access/dshow/filter.h

improved filter compatibility by favoring current connection media type in subsequent connections

------------------------------------------------------------------------
r8249 | titer | 2004-07-23 00:59:50 +0200 (Fri, 23 Jul 2004) | 7 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/configure.ac
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/mpeg2dec.patch
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/MediaControlView.cpp
   M /trunk/modules/gui/beos/VlcWrapper.cpp
   M /trunk/modules/video_filter/deinterlace.c

 + configure.ac: don't build OpenGL support on BeOS although it has gl.h
 + extras/contrib/src/*: build libmpeg2 w/o mmxext and 3dnow on BeOS
   (buggy compiler)
 + modules/gui/beos/*: quick compile fixes
 + modules/video_filter/deinterlace.c: require mmxext instead of mmx
 + Makefile.am: on BeOS, build a VLC bundle a la OS X

------------------------------------------------------------------------
r8248 | gbazin | 2004-07-23 00:36:16 +0200 (Fri, 23 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/video_output/opengl.c
   M /trunk/modules/video_output/x11/glx.c
   M /trunk/modules/visualization/galaktos/plugin.c

* modules/video_output/x11/glx.c: OpenGL context is initialized in pf_init() because of threading issues.

------------------------------------------------------------------------
r8247 | gbazin | 2004-07-23 00:14:42 +0200 (Fri, 23 Jul 2004) | 1 line
Changed paths:
   M /trunk/modules/video_output/opengl.c
   M /trunk/modules/video_output/x11/glx.c

* modules/video_output/x11/glx.c, modules/video_output/opengl.c: some fixes.
------------------------------------------------------------------------
r8246 | gbazin | 2004-07-22 23:53:43 +0200 (Thu, 22 Jul 2004) | 1 line
Changed paths:
   M /trunk/src/misc/objects.c

* src/misc/objects.c: hmmm, did I say vlc_opengl.h was removed ?
------------------------------------------------------------------------
r8245 | gbazin | 2004-07-22 23:50:15 +0200 (Thu, 22 Jul 2004) | 1 line
Changed paths:
   M /trunk/modules/video_output/x11/glx.c

* modules/video_output/x11/glx.c: vlc_opengl.h was removed.
------------------------------------------------------------------------
r8244 | gbazin | 2004-07-22 23:30:45 +0200 (Thu, 22 Jul 2004) | 1 line
Changed paths:
   M /trunk/Makefile.am

* Makefile.am: include/vlc_opengl.h was removed.
------------------------------------------------------------------------
r8243 | gbazin | 2004-07-22 23:27:45 +0200 (Thu, 22 Jul 2004) | 4 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/include/video_output.h
   D /trunk/include/vlc_opengl.h
   M /trunk/modules/video_output/Modules.am
   A /trunk/modules/video_output/opengl.c
   M /trunk/modules/video_output/x11/Modules.am
   M /trunk/modules/video_output/x11/glx.c
   M /trunk/modules/video_output/x11/xcommon.c
   M /trunk/modules/video_output/x11/xcommon.h
   M /trunk/modules/visualization/galaktos/main.c
   M /trunk/modules/visualization/galaktos/plugin.c
   M /trunk/modules/visualization/galaktos/plugin.h

* modules/video_output/x11/*: the glx "opengl provider" makes use of xcommon.c.
* modules/video_output/opengl.c: new platform independant OpenGL vout (uses an "opengl provider" module).
* modules/visualization/galaktos/*: uses the new "opengl provider" module.

------------------------------------------------------------------------
r8242 | titer | 2004-07-22 18:48:38 +0200 (Thu, 22 Jul 2004) | 2 lines
Changed paths:
   M /trunk/bootstrap
   M /trunk/configure.ac

 contrib system adapted for BeOS (need to set LIBRARY_PATH and BELIBRARIES)

------------------------------------------------------------------------
r8241 | gbazin | 2004-07-22 18:37:43 +0200 (Thu, 22 Jul 2004) | 1 line
Changed paths:
   M /trunk/modules/video_output/x11/glx.c

* modules/video_output/x11/glx.c: improvements.
------------------------------------------------------------------------
r8240 | gbazin | 2004-07-22 17:45:54 +0200 (Thu, 22 Jul 2004) | 1 line
Changed paths:
   M /trunk/modules/video_chroma/i420_rgb.c

* modules/video_chroma/i420_rgb.c: work around a gcc-3.3.4 optimization bug.
------------------------------------------------------------------------
r8239 | titer | 2004-07-22 17:09:42 +0200 (Thu, 22 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/equalizer.c

 equalizer.c: compile fix for old compilers (thx sam)

------------------------------------------------------------------------
r8238 | titer | 2004-07-22 16:21:59 +0200 (Thu, 22 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/network/ipv4.c
   M /trunk/src/misc/httpd.c

 BeOS doesn't know about PF_INET

------------------------------------------------------------------------
r8237 | titer | 2004-07-22 15:50:35 +0200 (Thu, 22 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/control/netsync.c

 netsync.c: converted to unix file because BeOS' gcc chokes on dos files

------------------------------------------------------------------------
r8236 | titer | 2004-07-22 15:06:21 +0200 (Thu, 22 Jul 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac

 configure.ac: check for png_set_rows in libpng because early versions
 don't have it

------------------------------------------------------------------------
r8235 | hartman | 2004-07-22 13:49:14 +0200 (Thu, 22 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/access_output/udp.c

* frenglish paquets -> packets

------------------------------------------------------------------------
r8234 | titer | 2004-07-22 10:51:40 +0200 (Thu, 22 Jul 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/bootstrap
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/gettext.patch
   M /trunk/extras/contrib/src/packages.mak

 contrib/*: started to adapt the contrib system for BeOS

------------------------------------------------------------------------
r8233 | gbazin | 2004-07-22 09:03:22 +0200 (Thu, 22 Jul 2004) | 1 line
Changed paths:
   M /trunk/modules/visualization/galaktos

* modules/visualization/galaktos: added svn:ignore property.
------------------------------------------------------------------------
r8232 | gbazin | 2004-07-22 08:59:56 +0200 (Thu, 22 Jul 2004) | 1 line
Changed paths:
   M /trunk/Makefile.am
   M /trunk/include/vlc_access.h
   M /trunk/include/vlc_demux.h
   M /trunk/include/vlc_es_out.h
   M /trunk/include/vlc_opengl.h
   M /trunk/include/vlc_stream.h

* Makefile.am: added include/vlc_opengl.h to the build.
------------------------------------------------------------------------
r8231 | asmax | 2004-07-22 00:38:49 +0200 (Thu, 22 Jul 2004) | 7 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_objects.h
   A /trunk/include/vlc_opengl.h
   M /trunk/modules/video_output/x11/glx.c
   M /trunk/modules/visualization/galaktos/Modules.am
   D /trunk/modules/visualization/galaktos/glx.c
   D /trunk/modules/visualization/galaktos/glx.h
   M /trunk/modules/visualization/galaktos/main.c
   M /trunk/modules/visualization/galaktos/plugin.c
   M /trunk/modules/visualization/galaktos/plugin.h
   M /trunk/src/misc/objects.c

 * all: created a new module type "opengl provider", which provides a
   simple interface to create and use OpenGL windows
 * modules/video_output/x11/glx.c: the GLX vout now implements the
  "opengl provider" interface
 * modules/visualization/galaktos/*: no more dependency on GLX: we use
   the generic opengl provider interface instead.

------------------------------------------------------------------------
r8230 | hartman | 2004-07-21 21:03:34 +0200 (Wed, 21 Jul 2004) | 2 lines
Changed paths:
   A /trunk/share/http/webcam.html

* Example Multipart MJPEG webpage. With cambozola JAVA applet example.

------------------------------------------------------------------------
r8229 | hartman | 2004-07-21 20:45:06 +0200 (Wed, 21 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/sap.c

* Fix the sap module compilation. Compile before you commit strikes once again.......

------------------------------------------------------------------------
r8228 | hartman | 2004-07-21 01:15:33 +0200 (Wed, 21 Jul 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/livedotcom.cpp

* Fix livedotcom API change.
  Thanks to James MacLean, Arwed von Merkatz and Ross Finlayson for reporting and fixing the issue.

------------------------------------------------------------------------
r8227 | asmax | 2004-07-21 00:25:06 +0200 (Wed, 21 Jul 2004) | 3 lines
Changed paths:
   M /trunk/modules/video_output/x11/glx.c

  * glx.c: don't scale the image with the chroma (supposed to speed up
    the conversion ??)

------------------------------------------------------------------------
r8226 | hartman | 2004-07-20 23:36:51 +0200 (Tue, 20 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/sap.c

* recognize new x-plgroup paramater (only standardized fields are not prefixed with x-)

------------------------------------------------------------------------
r8225 | asmax | 2004-07-20 22:25:25 +0200 (Tue, 20 Jul 2004) | 7 lines
Changed paths:
   M /trunk/build-vlc
   M /trunk/config.in
   M /trunk/configure.ac
   M /trunk/modules/video_output/x11/Modules.am
   A /trunk/modules/video_output/x11/glx.c (from /trunk/modules/visualization/galaktos/glx.c:8212)
   M /trunk/modules/visualization/galaktos/main.c
   M /trunk/modules/visualization/galaktos/video_init.c

  * modules/video_output/x11/glx.c: new OpenGL vout for X11.
    TODO: - factorization with xcommon.c
          - factorization with glx.c in GaLaktos plugin
          - remove hard-coded values
    (If you don't like the rotating cube, hack the code yourself,
    the variables will come later ! ;)

------------------------------------------------------------------------
r8224 | adn | 2004-07-20 18:43:36 +0200 (Tue, 20 Jul 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/commands/cmd_minimize.cpp
   M /trunk/modules/gui/skins2/commands/cmd_minimize.hpp

author :)

------------------------------------------------------------------------
r8223 | sigmunau | 2004-07-20 13:49:04 +0200 (Tue, 20 Jul 2004) | 3 lines
Changed paths:
   M /trunk/modules/mux/mpjpeg.c

mpjpeg.c: The rfc says to use \r\n so use \r\n. Also set the right mime type.
This makes the served stream work with cambozola applet.

------------------------------------------------------------------------
r8222 | sam | 2004-07-20 11:53:24 +0200 (Tue, 20 Jul 2004) | 9 lines
Changed paths:
   M /trunk/debian/README.Debian
   M /trunk/debian/changelog
   M /trunk/debian/control

  * debian/control:
    + Build-depend on libdvbpsi3-dev, so that we can get rid of the previous
      versions of this library.
    + Recommend the videolan-doc package.
    + Build-conflict on libavcodec-dev, just in case it enters Sid at an
      unappropriate moment.
  * debian/README.Debian:
    + Removed mention of the libmpeg2 tree, which we no longer provide.

------------------------------------------------------------------------
r8221 | gbazin | 2004-07-20 11:23:18 +0200 (Tue, 20 Jul 2004) | 1 line
Changed paths:
   M /trunk/src/misc/httpd.c

* src/misc/httpd.c: fixed non-initialized variable that prevented getaddrinfo() from working.
------------------------------------------------------------------------
r8220 | hartman | 2004-07-19 21:41:44 +0200 (Mon, 19 Jul 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac

* darwin buildflag for vlc/libvlc

------------------------------------------------------------------------
r8219 | fenrir | 2004-07-19 19:04:45 +0200 (Mon, 19 Jul 2004) | 2 lines
Changed paths:
   M /trunk/src/input/stream.c

 * stream.c: fixed seeking near the end of a stream.

------------------------------------------------------------------------
r8218 | gbazin | 2004-07-19 16:54:37 +0200 (Mon, 19 Jul 2004) | 1 line
Changed paths:
   M /trunk/modules/demux/ts.c

